1.3.0 2010-06-07
2010-06-07 14:34  cgilles

	* utilities/searchwindow/searchview.cpp,
	  utilities/searchwindow/searchview.h,
	  utilities/searchwindow/searchwindow.cpp,
	  utilities/searchwindow/searchwindow.h: in adv search window, it's
	  better to use "Try" sentence instead "Test". To be homogenous
	  with the rest of digiKam

2010-06-07 12:35  cgilles

	* NEWS: polish

2010-06-07 12:29  cgilles

	* NEWS: update

2010-06-07 08:19  cgilles

	* NEWS: update

2010-06-06 22:47  cgilles

	* NEWS: update

2010-06-06 22:47  cgilles

	* NEWS: update

2010-06-06 22:41  cgilles

	* NEWS: update

2010-06-06 16:49  aclemens

	* NEWS: update

2010-06-06 08:13  aclemens

	* utilities/advancedrename/README: fix example

2010-06-06 08:11  aclemens

	* utilities/advancedrename/TODO: I guess it is working fine the way
	  it is, don't make things too complicated.

2010-06-06 08:08  aclemens

	* utilities/advancedrename/parser/options/dateoption.cpp: Fix regex
	  for token parsing in the dateoption

2010-06-06 08:08  aclemens

	* utilities/advancedrename/parser/modifiers/rangemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/replacemodifier.cpp:
	  Fix syntax highlighting

2010-06-05 20:35  mwiesweg

	* libs/threadimageio/managedloadsavethread.cpp: Fix copy-and-paste
	  mistake.
	  Funny: Code with obvious crash is almost three years old.
	  
	  CCBUG: 240828

2010-06-05 16:25  eva

	* utilities/queuemanager/queuelist.cpp: Fixing the following bug:
	  Items added to an existing queue don't have the right destination
	  path
	  set.
	  
	  Not checked: wether settings are being set properly to new items
	  
	  Suggestion: don't store settings in items at all, then changes
	  don't
	  need
	  to be propergated on every change. A queue has the same settings
	  for all
	  items anyways (or am I wrong here?)

2010-06-05 15:01  mwiesweg

	* NEWS, digikam/imageratingoverlay.cpp, digikam/ratingwidget.cpp,
	  digikam/ratingwidget.h: Constrain the width of the rating widget
	  in the rating overlay,
	  so that clicks to the left or right of the visible stars do not
	  change the rating.
	  
	  BUG: 238232

2010-06-05 14:41  mwiesweg

	* libs/imageproperties/imagedescedittab.cpp: For creating a tag
	  from the line edit, use the tag modification helper of the tree
	  view
	  to make the check-new-tag functionality work.
	  Optimize the workflow for creating several new tags in a row.
	  
	  CCBUG: 237452

2010-06-05 12:49  eva

	* digikam/imagethumbnailbar.cpp: removed single selection again.
	  The thumbnailbar works fine, as DnD with
	  multiple selections works actually fine. It seems the menu
	  actions don't
	  handle multiple selections in thumbnailbar as they do for
	  albumiconview

2010-06-05 12:09  eva

	* digikam/imagethumbnailbar.cpp: disabled multiple selection in
	  ThumbnailBar as actions on multiple items
	  don't work anyways

2010-06-03 22:46  cgilles

	* utilities/queuemanager/basetools/decorate/watermark.cpp: fix
	  layout

2010-06-03 20:01  aclemens

	* NEWS: update

2010-06-03 20:00  aclemens

	* utilities/advancedrename/parser/options/dateoption.cpp:
	  Tripple-check datetime information in the parser. It should have
	  been set already be the
	  calling instance, but somehow it fails for CameraUI now.
	  
	  BUG:231585

2010-06-03 18:06  aclemens

	* utilities/advancedrename/common/tooltipdialog.cpp: Use
	  QTextBrowser instead of QTextEdit to allow handling of
	  hyperlinks.

2010-06-03 09:14  cgilles

	* imageplugins/TODO: update

2010-06-03 09:07  cgilles

	* NEWS: update

2010-06-03 08:46  cgilles

	* utilities/queuemanager/basetools/decorate/watermark.cpp: polish

2010-06-03 08:43  cgilles

	* utilities/queuemanager/basetools/decorate/watermark.cpp,
	  utilities/queuemanager/basetools/decorate/watermark.h: apply
	  patch #42716 from Mikkel Baekhoej Christensen to apply image
	  watermark in BQM
	  BUGS: 233409

2010-06-03 08:06  cgilles

	* imageplugins/TODO: update

2010-06-02 20:56  aclemens

	* tests/CMakeLists.txt: Avoid defining the content of
	  libadvancedrename_SRCS twice.
	  
	  But why do we do it like this anyway?
	  Why don't we use static libs for all the lib***_SRCS defines?
	  For example AdvancedRename is compiled three times, for the
	  digiKam target, for
	  the tests target and for the themedesigner target.
	  This is true for a lot of other things, too.
	  
	  Why don't we use static libs and just link them in the end?
	  Other candidates would be libdigikamgui, libsearchwindow etc...
	  
	  Is there any reason why it is not done this way?
	  
	  CCMAIL:digikam-devel@kde.org

2010-06-01 12:51  mwiesweg

	* digikam/albummanager.cpp: Fix waiting cursor when new database
	  fails.
	  Properly get the database directory, not the filename, for
	  checks.

2010-06-01 12:51  mwiesweg

	* digikam/albumsettings.cpp, utilities/setup/setupdatabase.cpp: Use
	  new methods.
	  Use DatabaseParameters directly to construct SQLite parameters.
	  This solves
	  all problems arising when switching to a different SQLite db
	  file.

2010-06-01 12:51  mwiesweg

	* libs/widgets/common/databasewidget.cpp,
	  libs/widgets/common/databasewidget.h: Use the text in the combo
	  box for user-visible text, and the item data
	  for the technical value (driver name)

2010-06-01 12:51  mwiesweg

	* databaseserver/databaseserver.cpp, digikam/main.cpp,
	  libs/database/databaseserverstarter.h: Replace strings

2010-06-01 12:51  mwiesweg

	* libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Some restructuring.
	  Use central method to retrieve the QSQLITE and QMYSQL strings.
	  Reorganize and rename the methods that translate between folder
	  and file for SQLite.

2010-06-01 10:23  mwiesweg

	* digikam/imagecategorizedview.cpp: Dont forget to map the proxy
	  model indices to source.
	  Thumbnails for the currently visible items will now again
	  have the highest priority and be loaded from top to bottom,
	  regardless of scrolling direction or paint order.

2010-06-01 10:23  mwiesweg

	* libs/models/imagethumbnailmodel.cpp,
	  libs/models/imagethumbnailmodel.h: Set a low priority on the
	  preload thread.
	  Stop preloading already when image infos are cleared (typically,
	  when another album is loaded)

2010-06-01 10:23  mwiesweg

	* libs/threadimageio/managedloadsavethread.cpp,
	  libs/threadimageio/thumbnailloadthread.cpp: Fix leak and wrong
	  method call

2010-06-01 10:23  mwiesweg

	* libs/threads/dynamicthread.cpp, libs/threads/dynamicthread.h:
	  Allow to set a thread priority on a DynamicThread

2010-05-31 21:57  cgilles

	* NEWS: update

2010-05-31 13:33  mwiesweg

	* libs/widgets/common/histogrampainter.cpp: Remove bogus warning if
	  value is 0.
	  When value is negative, just return 0; log(1.0) was 0 anyway.

2010-05-31 13:26  mwiesweg

	* libs/database/collectionmanager.cpp: Also fix albumRootPath() as
	  already done with collectionLocation()
	  for the situation of two directories where the second one starts
	  with
	  the path of the first (~/pictures, ~/pictures2)
	  
	  CCBUG: 239902

2010-05-30 17:51  coles

	* databaseserver/databaseserver.cpp, digikam/albummanager.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.cpp,
	  utilities/setup/setupalbumview.cpp,
	  utilities/setup/setuplighttable.cpp: Proof-reading - corrected
	  various minor errors.

2010-05-30 06:55  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-05-29 20:57  cgilles

	* NEWS: update

2010-05-28 21:16  aclemens

	* utilities/advancedrename/common/tooltipdialog.cpp,
	  utilities/advancedrename/common/tooltipdialog.h: polish

2010-05-28 21:15  aclemens

	* utilities/advancedrename/common/tooltipdialog.cpp,
	  utilities/advancedrename/common/tooltipdialog.h: polish

2010-05-28 21:13  aclemens

	* utilities/advancedrename/common/tooltipdialog.cpp: no frame in
	  the tooltipdialog

2010-05-28 20:29  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/common/tooltipdialog.cpp,
	  utilities/advancedrename/common/tooltipdialog.h: Use a separate
	  TooltipDialog class

2010-05-28 13:02  mwiesweg

	* imageplugins/color/bwsepiatool.cpp,
	  utilities/imageeditor/editor/editortool.cpp: No editor tool (one
	  exception) cared to delete the preview widget
	  and the settings widget. Usually, the preview widget hold a copy
	  of the image data, which explains a significant memory leak
	  each time a new tool is opened.
	  
	  Delete the two pointers in EditorTool to fix all current tools.
	  
	  CCBUG: 221281

2010-05-28 13:02  mwiesweg

	* libs/threadimageio/loadsavetask.h,
	  libs/threadimageio/previewtask.cpp: Better support cancelling in
	  the PreviewTask.
	  Do not show a bogus error message when the task is cancelled.

2010-05-27 21:02  aclemens

	* utilities/advancedrename/common/tooltipcreator.cpp: polish header
	  style

2010-05-27 20:55  aclemens

	* tests/advancedrenametest.cpp,
	  utilities/advancedrename/parser/modifiers/rangemodifier.cpp:
	  Change the range modifier token, be more verbose with names to
	  match the other
	  modifiers.

2010-05-27 20:45  aclemens

	* tests/advancedrenametest.cpp, tests/advancedrenametest.h: Fix
	  test cases, remove all fill modifier related code

2010-05-27 20:44  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/parser/modifiers/fillmodifier.cpp,
	  utilities/advancedrename/parser/modifiers/fillmodifier.h: Remove
	  the "fill" modifier again. This one is rather useless, I don't
	  think
	  anybody will ever use this one.

2010-05-27 20:31  aclemens

	* utilities/advancedrename/parser/options/metadataoption.cpp:
	  polish, to match the database rename option dialog

2010-05-27 20:25  aclemens

	* utilities/advancedrename/parser/options/directorynameoption.cpp,
	  utilities/advancedrename/parser/options/directorynameoption.h:
	  polish

2010-05-27 20:21  aclemens

	* utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/common/tooltipcreator.cpp: polish

2010-05-26 22:33  aclemens

	* utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/advancedrenamewidget.h,
	  utilities/advancedrename/common/tooltipcreator.cpp,
	  utilities/advancedrename/common/tooltipcreator.h: polish

2010-05-26 22:01  aclemens

	* utilities/advancedrename/advancedrenamedialog.cpp,
	  utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/advancedrenamewidget.h,
	  utilities/advancedrename/common/tooltipcreator.cpp,
	  utilities/cameragui/renamecustomizer.cpp,
	  utilities/cameragui/renamecustomizer.h,
	  utilities/queuemanager/queuemgrwindow.cpp,
	  utilities/queuemanager/queuesettingsview.cpp,
	  utilities/queuemanager/queuesettingsview.h: Get rid of the
	  tooltip tracker. Use a dialog window instead:
	  
	  1. The window can be resized / moved
	  2. On multiscreen machines, the dialog can be moved to the second
	  monitor
	  3. Fonts can be zoomed (CTRL + Mousewheel)
	  4. HTML can be fully rendered (not possible with a QLabel widget)

2010-05-26 20:22  aclemens

	* utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/common/tooltipcreator.cpp,
	  utilities/advancedrename/common/tooltipcreator.h: polish

2010-05-25 18:34  mwiesweg

	* NEWS, libs/3rdparty/lprof/cmssheet.cpp: Work around a crash
	  caused by somehow broken profile (or buggy lprof).
	  After that, no crash occurs. Profile is not drawn on CIE tongue
	  but
	  I cannot fix that.
	  
	  BUG: 229370

2010-05-25 08:16  scripty

	* digikam/digikam.desktop,
	  imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop,
	  showfoto/showfoto.desktop: SVN_SILENT made messages (.desktop
	  file, second try)

2010-05-25 08:15  cgilles

	* NEWS: update

2010-05-25 08:15  cgilles

	* data/themes/Gray: fix curves color with Gray theme
	  BUGS: 211804

2010-05-25 07:16  cgilles

	* HACKING: update

2010-05-24 16:07  mwiesweg

	* libs/database/collectionscanner.cpp,
	  libs/database/imagescanner.cpp: Regard a file as modified when
	  its file size has changed, even if the modification
	  date did not change.
	  
	  This seems necessary to prevent problems like bug 233222 to
	  persist: Now the file
	  may still be wrongly scanned during the copy operation, but at
	  least at next
	  rescan it will be corrected. Moreover it seems reasonable to
	  assume a changed file
	  when the file size changed (some operations will restore the
	  modification date).
	  
	  Overhead: For my collections of 30000 images, scanning took 1550
	  msec without the change
	  and 1750 including the check, with hot caches. With cold caches,
	  the scan took
	  9300 msec in both cases, no significant difference here.
	  
	  Note: At first start with this check, there may be a good number
	  of files rescanned.
	  
	  CCBUG: 233222
	  CCMAIL: digikam-devel@kde.org

2010-05-24 16:07  mwiesweg

	* libs/database/albumdb.cpp, libs/database/albuminfo.h: Include the
	  fileSize parameter in the ItemScanInfo structure

2010-05-24 08:17  aclemens

	* utilities/advancedrename/common/parser.cpp: Do not use
	  removeAll() to remove an option or modifier from the list, this
	  will
	  lead to a memory leak.

2010-05-24 08:00  aclemens

	* utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/common/parser.h,
	  utilities/advancedrename/parser/defaultrenameparser.cpp,
	  utilities/advancedrename/parser/importrenameparser.cpp: Avoid
	  code duplication, instead of registering all options again in the
	  ImportRenameParser, unregister the ones not needed.

2010-05-23 20:32  mwiesweg

	* libs/models/imagesortsettings.cpp,
	  libs/models/imagesortsettings.h: Sorting images: In the case that
	  the primary sort role is equal,
	  use a number of (hardcoded) secondary sort roles, file name,
	  dates etc.

2010-05-23 20:00  aclemens

	* utilities/advancedrename/parser/options/filepropertiesoption.cpp:
	  polish

2010-05-23 19:59  aclemens

	* utilities/advancedrename/parser/options/filepropertiesoption.cpp,
	  utilities/advancedrename/parser/options/filepropertiesoption.h:
	  refactor

2010-05-23 11:58  aclemens

	* NEWS: update

2010-05-23 11:28  aclemens

	* NEWS: update

2010-05-23 07:52  aclemens

	* utilities/advancedrename/parser/options/database/dbkeyscollection.h:
	  Add some documentation

2010-05-23 07:20  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/keys/positionkeys.cpp,
	  utilities/advancedrename/parser/options/database/keys/positionkeys.h:
	  Add position information keys to the database renaming option

2010-05-23 06:32  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-05-23 06:28  aclemens

	* utilities/advancedrename/parser/options/database/dbkeyselector.cpp:
	  sort columns while importing the DbOptionKeysMap

2010-05-22 20:50  aclemens

	* digikam/digikamapp.cpp: Do not enable the edit action for
	  non-image items

2010-05-22 20:29  aclemens

	* digikam/albumiconview.cpp, digikam/contextmenuhelper.h,
	  digikam/digikamimageview.cpp, digikam/imagepreviewview.cpp,
	  utilities/advancedrename/parser/options/database/dbheaderlistitem.cpp,
	  utilities/lighttable/lighttablebar.cpp,
	  utilities/lighttable/lighttablepreview.cpp: polish

2010-05-22 18:23  aclemens

	* utilities/advancedrename/parser/options/metadataoption.cpp:
	  polish

2010-05-22 17:33  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/dbheaderlistitem.cpp,
	  utilities/advancedrename/parser/options/database/dbheaderlistitem.h,
	  utilities/advancedrename/parser/options/database/dbkeyscollection.cpp,
	  utilities/advancedrename/parser/options/database/dbkeyscollection.h,
	  utilities/advancedrename/parser/options/database/dbkeyselector.cpp,
	  utilities/advancedrename/parser/options/database/dbkeyselector.h,
	  utilities/advancedrename/parser/options/database/keys/commonkeys.cpp,
	  utilities/advancedrename/parser/options/database/keys/metadatakeys.cpp:
	  Add headers to the database key selector

2010-05-22 14:56  aclemens

	* utilities/advancedrename/parser/options/database/keys/commonkeys.cpp:
	  Add all_authors_key to the CommonKeys

2010-05-22 14:42  aclemens

	* utilities/advancedrename/parser/options/database/keys/commonkeys.cpp:
	  Add default author key to CommonKeys

2010-05-22 14:32  aclemens

	* utilities/advancedrename/parser/options/database/keys/commonkeys.cpp:
	  Multiline comments must be simplified to avoid a messed up
	  filename

2010-05-22 14:23  aclemens

	* utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/databaseoption.h:
	  polish

2010-05-22 14:19  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/keys/metadatakeys.cpp,
	  utilities/advancedrename/parser/options/database/keys/metadatakeys.h:
	  Metadata keys for database renaming option

2010-05-22 14:08  cgilles

	* NEWS: update

2010-05-22 13:56  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/databaseoption.h,
	  utilities/advancedrename/parser/options/database/dbkeyscollection.cpp,
	  utilities/advancedrename/parser/options/database/dbkeyscollection.h,
	  utilities/advancedrename/parser/options/database/dbkeyselector.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.h,
	  utilities/advancedrename/parser/options/database/keys/commonkeys.cpp,
	  utilities/advancedrename/parser/options/database/keys/commonkeys.h:
	  DbOptionKey => DbKeysCollection

2010-05-22 13:45  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/dbkeyselector.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.h,
	  utilities/advancedrename/parser/options/database/keys/commonkeys.cpp,
	  utilities/advancedrename/parser/options/database/keys/commonkeys.h,
	  utilities/advancedrename/parser/options/database/keys/defaultcommentkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/defaultcommentkey.h,
	  utilities/advancedrename/parser/options/database/keys/dimensionkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/dimensionkey.h,
	  utilities/advancedrename/parser/options/database/keys/filesizekey.cpp,
	  utilities/advancedrename/parser/options/database/keys/filesizekey.h,
	  utilities/advancedrename/parser/options/database/keys/formatkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/formatkey.h,
	  utilities/advancedrename/parser/options/database/keys/mediatypekey.cpp,
	  utilities/advancedrename/parser/options/database/keys/mediatypekey.h,
	  utilities/advancedrename/parser/options/database/keys/ratingkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/ratingkey.h:
	  Merge common database keys

2010-05-22 11:15  aclemens

	* themedesigner/CMakeLists.txt: Fix themedesigner build

2010-05-22 11:06  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/keys/categorykey.cpp,
	  utilities/advancedrename/parser/options/database/keys/categorykey.h,
	  utilities/advancedrename/parser/options/database/keys/mediatypekey.cpp,
	  utilities/advancedrename/parser/options/database/keys/mediatypekey.h:
	  CategoryKey => MediaTypeKey

2010-05-22 08:42  aclemens

	* utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.h,
	  utilities/advancedrename/parser/options/database/keys/categorykey.cpp,
	  utilities/advancedrename/parser/options/database/keys/categorykey.h:
	  Add an "isLocalized" parameter to the CategoryKey option.
	  So you can either have a normal (english) or a localized category
	  name.
	  
	  rename pattern: "[db:Category]_###
	  => Image_001.jpg
	  
	  or (e.g. german localization)
	  
	  rename pattern: "[db:CategoryLoc]_###
	  => Bild_001.jpg

2010-05-22 08:18  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/keys/categorykey.cpp,
	  utilities/advancedrename/parser/options/database/keys/categorykey.h:
	  New key for database renaming option: Category

2010-05-22 07:58  aclemens

	* utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/parser/defaultrenameparser.cpp,
	  utilities/advancedrename/parser/importrenameparser.cpp: polish

2010-05-22 07:42  aclemens

	* CMakeLists.txt, digikam/CMakeLists.txt, tests/CMakeLists.txt,
	  themedesigner/CMakeLists.txt,
	  utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/parser/defaultrenameparser.cpp,
	  utilities/advancedrename/parser/importrenameparser.cpp,
	  utilities/advancedrename/parser/importrenameparser.h,
	  utilities/advancedrename/parser/options/database,
	  utilities/advancedrename/parser/options/database/databaseoption.cpp,
	  utilities/advancedrename/parser/options/database/databaseoption.h,
	  utilities/advancedrename/parser/options/database/dbkeyselector.cpp,
	  utilities/advancedrename/parser/options/database/dbkeyselector.h,
	  utilities/advancedrename/parser/options/database/dboptionkey.cpp,
	  utilities/advancedrename/parser/options/database/dboptionkey.h,
	  utilities/advancedrename/parser/options/database/keys,
	  utilities/advancedrename/parser/options/database/keys/defaultcommentkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/defaultcommentkey.h,
	  utilities/advancedrename/parser/options/database/keys/dimensionkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/dimensionkey.h,
	  utilities/advancedrename/parser/options/database/keys/filesizekey.cpp,
	  utilities/advancedrename/parser/options/database/keys/filesizekey.h,
	  utilities/advancedrename/parser/options/database/keys/formatkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/formatkey.h,
	  utilities/advancedrename/parser/options/database/keys/ratingkey.cpp,
	  utilities/advancedrename/parser/options/database/keys/ratingkey.h,
	  utilities/cameragui/renamecustomizer.cpp: Add new database
	  renaming option.
	  
	  This option is used to add values from the database to the new
	  filename.
	  Right now only a few values are implemented, but the parser is
	  easy to extend,
	  so anybody who can think of new values can add them :-)
	  
	  The CameraUI will not have the database renaming option, because
	  the images are
	  not yet added to the database (sure).

2010-05-21 12:30  mwiesweg

	* NEWS, libs/threadimageio/loadingdescription.cpp,
	  libs/threadimageio/previewtask.cpp: Previews are stored
	  post-processed in the cache, full versions are not.
	  That means for non-RAW images, we must distinguish by the cache
	  key
	  between the two even for full-size previews.
	  In case of preview loading, the unprocessed full version can
	  additionally
	  be stored in the cache.
	  
	  BUG: 238338

2010-05-21 10:59  mwiesweg

	* NEWS, libs/dimg/loaders/tiffloader.cpp: Remove the
	  ProcessingSoftware tag (0xb) when writing a TIFF file, because
	  it makes libtiff generate a warning which is then user-visible in
	  Gimp.
	  
	  Now finally, the Gimp is happy again with our TIFF files.
	  
	  BUG: 211758

2010-05-20 13:23  mwiesweg

	* libs/threadimageio/managedloadsavethread.cpp,
	  libs/threadimageio/managedloadsavethread.h,
	  libs/threadimageio/thumbnailloadthread.cpp: The one or other
	  optimization, as found by callgrind.
	  With thumbnail preloading, suddenly we have to deal with a high
	  number of loading tasks.

2010-05-20 13:23  mwiesweg

	* libs/models/imagethumbnailmodel.cpp,
	  libs/models/imagethumbnailmodel.h: Thumbnail preloading was too
	  intrusive:
	  - start preloading only after the model finished all loading
	  - use a separate preloading thread
	  - do not request pixmaps for the preloading, to avoid blocking
	  the UI thread
	  and flooding the cache

2010-05-20 13:23  mwiesweg

	* libs/database/databaseparameters.cpp: improve debug output

2010-05-20 13:23  mwiesweg

	* libs/models/imagemodel.cpp, libs/models/imagemodel.h: Emit a
	  signal when all loading is done

2010-05-20 13:22  mwiesweg

	* libs/widgets/common/kcategorizedview.cpp,
	  libs/widgets/common/kcategorizedview_p.h: There is still a bit of
	  optimization to squeeze out of the icon view:
	  Create only those model indexes that are needed (creating an
	  index
	  from the proxy model sets up data structures in the model)

2010-05-18 14:16  mwiesweg

	* libs/threadimageio/loadsavetask.h,
	  libs/threadimageio/managedloadsavethread.cpp: Optimization: avoid
	  creation of object (significant for findExistingTask())

2010-05-18 14:16  mwiesweg

	* libs/threadimageio/previewtask.cpp: Set format and filepath on
	  preview

2010-05-18 11:19  cgilles

	* utilities/firstrun/assistantdlg.cpp,
	  utilities/firstrun/assistantdlg.h,
	  utilities/firstrun/assistantdlgpage.cpp,
	  utilities/firstrun/assistantdlgpage.h,
	  utilities/firstrun/collectionpage.cpp,
	  utilities/firstrun/collectionpage.h,
	  utilities/firstrun/metadatapage.cpp,
	  utilities/firstrun/metadatapage.h,
	  utilities/firstrun/previewpage.cpp,
	  utilities/firstrun/previewpage.h, utilities/firstrun/rawpage.cpp,
	  utilities/firstrun/rawpage.h,
	  utilities/firstrun/startscanpage.cpp,
	  utilities/firstrun/startscanpage.h,
	  utilities/firstrun/tooltipspage.cpp,
	  utilities/firstrun/tooltipspage.h,
	  utilities/firstrun/welcomepage.cpp,
	  utilities/firstrun/welcomepage.h: polish

2010-05-18 11:11  cgilles

	* utilities/firstrun/openfilepage.cpp,
	  utilities/firstrun/openfilepage.h: Left is not Right and
	  vice-versa (:=)))

2010-05-18 11:04  cgilles

	* libs/dmetadata/dmetadata.cpp: polish

2010-05-18 10:52  cgilles

	* libs/dmetadata/dmetadata.cpp: add Lens indentifier for Sony
	  Camera

2010-05-17 21:55  cgilles

	* NEWS: update

2010-05-17 19:30  mwiesweg

	* libs/dimg/dimg.cpp: Use standard method to allocate data when
	  constructing from QImage.
	  This should avoid the crash and instead silently fail in the
	  situation of the bug report.
	  
	  CCBUG: 237957

2010-05-17 11:24  cgilles

	* digikam/metadatahub.cpp, digikam/metadatahub.h: include moc file

2010-05-17 09:24  cgilles

	* libs/widgets/common/databasewidget.cpp,
	  libs/widgets/common/databasewidget.h: set cursor as busy during
	  check of DB connection.
	  If these operation can be treaded, it can be better to use
	  BusyDlg dialog here, as it done with Camera Autodetection
	  process.

2010-05-16 08:00  cgilles

	* NEWS: update

2010-05-16 07:55  cgilles

	* NEWS: update

2010-05-15 21:25  mghansen

	* NEWS: Update NEWS, this bug was fixed by Marcel a long time ago
	  and I forgot to report back.
	  
	  BUG: 219878

2010-05-15 20:26  mwiesweg

	* digikam/main.cpp: In main(), when we have the db params to use,
	  write them to the config file.
	  This is needed for all first-run or upgrade situations.
	  
	  CCBUG: 235928

2010-05-15 16:57  cgilles

	* NEWS: update

2010-05-15 15:58  mwiesweg

	* libs/dimg/dimg.cpp: extra check here not to return a null size

2010-05-15 15:58  mwiesweg

	* libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Fix problem upgrading the
	  digikamrc file from 1.2 to 1.3:
	  
	  Separate out the logic to get the db file from a path for SQLite
	  into static methods.
	  The problem was that isSQLite() is false for a recently
	  constructed argument,
	  when calling parametersForSQLite().
	  
	  CCBUG: 235928

2010-05-15 14:43  mwiesweg

	* digikam/digikamimageview.cpp: Enable thumbnail preloading of all
	  images in the model

2010-05-15 14:43  mwiesweg

	* digikam/digikamimageview.cpp, digikam/digikamimageview.h,
	  digikam/imagecategorizedview.h: Adjust main view's thumbnail size
	  for preloading

2010-05-15 14:43  mwiesweg

	* digikam/imagedelegate.cpp: should be a null QVariant to reset
	  temporary size

2010-05-15 14:43  mwiesweg

	* libs/models/imagethumbnailmodel.cpp,
	  libs/models/imagethumbnailmodel.h: Add facility to automatically
	  preload thumbnails for all entries in the model
	  
	  CCBUG:237639

2010-05-15 14:43  mwiesweg

	* libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h: Add a method to preload
	  a group.
	  Consolidate code.

2010-05-15 14:43  mwiesweg

	* libs/threadimageio/loadingcache.cpp,
	  libs/threadimageio/loadingcache.h: Properly const'ify.
	  Add a method to check if an entry is in the cache.

2010-05-15 14:42  mwiesweg

	* libs/threadimageio/managedloadsavethread.cpp,
	  libs/threadimageio/managedloadsavethread.h: Add a method to
	  preload a group of thumbnails (in order).
	  Properly const'ify signatures.

2010-05-15 07:15  cgilles

	* NEWS: update

2010-05-14 18:05  cgilles

	* TODO.MYSQLPORT: polish

2010-05-14 17:35  cgilles

	* NEWS: update

2010-05-14 15:54  mwiesweg

	* digikam/albumdragdrop.cpp: Check if dropped album (still) exists
	  
	  CCBUG: 237555

2010-05-14 05:42  cgilles

	* NEWS: update

2010-05-13 20:32  cfeck

	* libs/dimg/filters/icc/iccprofile.cpp: Fix return value

2010-05-13 16:38  cgilles

	* NEWS: update

2010-05-13 13:50  mwiesweg

	* libs/widgets/common/paniconwidget.cpp,
	  libs/widgets/common/paniconwidget.h: Add a method that takes the
	  prescaled preview image and the original image's size
	  instead of the full original image and the preview's intended
	  size.
	  This avoid converting the full DImg to QImage, instead the DImg
	  is scaled
	  and the small variant converted to QImage.

2010-05-13 13:50  mwiesweg

	* libs/database/tagscache.cpp: When a new tag was added by
	  TagsCache, invalidate the internal cache.
	  When a transaction is active, the TagChangeset may arrive only
	  later;
	  but we know that the tag was changed.
	  (this was the original SQL error that caused, though itself no
	  problem,
	  a lot of problems due to broken error handling in 235928)
	  
	  CCBUG: 235928

2010-05-13 13:50  mwiesweg

	* libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend.h,
	  libs/database/databasecorebackend_p.h: Fix various bugs with SQL
	  error handling:
	  For SQLite, there is no sense in trying to close database and
	  reconnect. In fact, the database
	  will open again, but remain locked in this case, so that all
	  subsequent statements fail.
	  Limit connection error handling to MySQL.
	  Restructure query error handling, reuse code.
	  
	  CCBUG: 235928

2010-05-13 13:50  mwiesweg

	* digikam/databaseguierrorhandler.cpp,
	  digikam/databaseguierrorhandler.h,
	  libs/database/databaseerrorhandler.h: Fix bug where logic was
	  reverted.
	  As there is no such thing as a null QSqlQuery, pass only the
	  query text
	  and the last error to the error handler.
	  
	  CCBUG: 235928

2010-05-13 13:50  mwiesweg

	* libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Some polishing.
	  Streamline legacyAndDefaultChecks().
	  Do not remove old entries in legacyAndDefaultChecks(), the "Album
	  Path" is used by SchemaUpdater.
	  
	  CCBUG: 235928

2010-05-13 13:36  mwiesweg

	* digikam/scancontroller.cpp: Don't forget to order counting of
	  total-files-to-scan in case the progress
	  dialog is shown at first start
	  
	  CCBUG: 235928

2010-05-13 13:35  mwiesweg

	* libs/database/albumdb.cpp, libs/database/haar/haariface.cpp,
	  libs/database/sqlquery.cpp, libs/database/sqlquery.h,
	  libs/database/thumbnaildb.cpp: There is no real "null" QSqlQuery.
	  In doubt, it is opened on the
	  default database. Dont preted there was a null SqlQuery.

2010-05-13 13:24  aclemens

	* utilities/advancedrename/advancedrenamedialog.cpp,
	  utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/advancedrename/advancedrenamewidget.h,
	  utilities/cameragui/renamecustomizer.cpp,
	  utilities/queuemanager/queuesettingsview.cpp: some API changes;
	  added some more documentation

2010-05-12 16:12  cgilles

	* NEWS: update

2010-05-11 15:45  cgilles

	* NEWS: update

2010-05-10 20:54  mwiesweg

	* digikam/albummanager.cpp, digikam/digikamapp.cpp,
	  digikam/main.cpp, utilities/firstrun/collectionpage.cpp:
	  Reorganize main():
	  Move database initialization to main. Previously, for example,
	  the first album root
	  set in the FirstRun assistant was simply ignored.
	  Try to structure it a bit more. Try to reinstate the command line
	  parameter
	  to set db dir, untested.
	  
	  CCBUG: 235928

2010-05-10 20:54  mwiesweg

	* libs/database/databasecorebackend.cpp,
	  libs/database/databaseerrorhandler.h, libs/database/sqlquery.h: -
	  fix stupid mistake taking lock count of mutex. Resulted in a few
	  deadlocks.
	  - prepare DatabaseErrorAnswer and SqlQuery for being sent in a
	  queued signal
	  
	  CCBUG: 235928

2010-05-10 10:54  cgilles

	* NEWS: update

2010-05-10 10:29  cgilles

	* NEWS: update

2010-05-10 06:41  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-05-09 12:02  jwienke

	* HACKING, NEWS, digikam/albumtreeview.cpp,
	  digikam/datefolderview.cpp, digikam/datefolderview.h: Fix loading
	  of date album on application start.
	  
	  The problem was that DAlbums are created asynchronously. The
	  sidebar tab was activated before the albums are loaded which
	  resulted in setting 0x0 as current album because the tree view
	  was not populated. To prevent this the DateFolderView now listens
	  on signaleAllDAlbumsLoaded and re-sets the current album in the
	  album manager if this signal occurs and the folder view is
	  active.
	  
	  BUG: 236002

2010-05-07 19:00  mwiesweg

	* digikam/metadatamanager.cpp, digikam/metadatamanager.h: Add
	  method signatures for convenience

2010-05-07 19:00  mwiesweg

	* libs/dimg/dimg.cpp, libs/dimg/dimg.h,
	  libs/dimg/loaders/jpegloader.cpp,
	  libs/dimg/loaders/pgfloader.cpp,
	  libs/dimg/loaders/tiffloader.cpp,
	  libs/threadimageio/previewtask.cpp: Use dedicated methods from
	  libkexiv2 to set a TIFF thumbnail.
	  Reenable metadata writing to TIFF for testing (not all problems
	  solved).
	  
	  Provide original image size for JPEG and RAW from DImg.
	  For RAWs, size is read with Exiv2.
	  
	  CCBUG: 211758

2010-05-07 06:41  scripty

	* digikam/digikam.notifyrc,
	  imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop,
	  utilities/imageeditor/editor/digikamimageplugin.desktop,
	  utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	  messages (.desktop file)

2010-05-06 18:36  foerster

	* digikam/albumsettings.cpp, libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Add methods to get a stripped
	  database path and also add methods to get a full database file
	  path.
	  Using them in modified albumsettings class, which is used by the
	  setup dialogs.
	  
	  This prevents showing a full file path in SQLite database
	  settings.
	  
	  CCMAIL: marcel.wiesweg@gmx.de

2010-05-06 08:13  cgilles

	* digikam/welcomepageview.cpp, digikam/welcomepageview.h: update

2010-05-06 08:09  cgilles

	* NEWS: update

2010-05-05 18:19  jmueller

	* imageplugins/color/bwsepiatool.cpp,
	  imageplugins/color/bwsepiatool.h,
	  libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.h,
	  utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp: update curves
	  scale type in b&w settings and raw import settings from histogram
	  scale

2010-05-04 11:10  foerster

	* databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h: Don't invent the wheel twice.
	  Using of stringlist.join() instead of an own method.

2010-05-04 10:06  foerster

	* libs/database/databaseparameters.cpp,
	  utilities/firstrun/collectionpage.cpp: On first run dialog, save
	  database settings with methods provided by DatabaseParameters to
	  ensure the same settings format is used.
	  This should be a fix: B.K.O. 235928.

2010-05-03 15:49  mwiesweg

	* NEWS, libs/threads/dynamicthread.cpp: Initialize the running flag
	  to true.
	  When it was set to false, the ImageHistogram would do nothing
	  when
	  executed directly in the current thread (not scheduled to its own
	  thread),
	  as the image plugins do it: the running flag was false, the
	  histogram null.
	  
	  BUG: 235600

2010-05-03 06:52  cgilles

	* NEWS: update

2010-05-03 06:50  cgilles

	* NEWS: update

2010-05-02 06:45  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-05-01 16:25  aclemens

	* NEWS: update

2010-05-01 16:25  aclemens

	* NEWS: update

2010-05-01 09:55  aclemens

	* utilities/advancedrename/advancedrenameinput.cpp,
	  utilities/advancedrename/advancedrenameinput.h: Disable syntax
	  highlighting if widget has been disabled

2010-05-01 08:55  aclemens

	* utilities/advancedrename/common/modifier.cpp,
	  utilities/advancedrename/common/modifier.h,
	  utilities/advancedrename/common/option.h,
	  utilities/advancedrename/common/parseable.h,
	  utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/common/parsesettings.h,
	  utilities/advancedrename/parser/modifiers/casemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/casemodifier.h,
	  utilities/advancedrename/parser/modifiers/defaultvaluemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/defaultvaluemodifier.h,
	  utilities/advancedrename/parser/modifiers/fillmodifier.cpp,
	  utilities/advancedrename/parser/modifiers/fillmodifier.h,
	  utilities/advancedrename/parser/modifiers/rangemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/rangemodifier.h,
	  utilities/advancedrename/parser/modifiers/replacemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/replacemodifier.h,
	  utilities/advancedrename/parser/modifiers/trimmedmodifier.cpp,
	  utilities/advancedrename/parser/modifiers/trimmedmodifier.h,
	  utilities/advancedrename/parser/modifiers/uniquemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/uniquemodifier.h: Use
	  common interface in Option and Modifier parseables...

2010-05-01 07:13  aclemens

	* CMakeLists.txt, tests/CMakeLists.txt,
	  utilities/advancedrename/common/modifier.cpp,
	  utilities/advancedrename/common/modifier.h,
	  utilities/advancedrename/common/option.cpp,
	  utilities/advancedrename/common/option.h,
	  utilities/advancedrename/common/parseable.cpp,
	  utilities/advancedrename/common/parseable.h,
	  utilities/advancedrename/common/parseabledialog.cpp,
	  utilities/advancedrename/common/parseabledialog.h,
	  utilities/advancedrename/common/parseobject.cpp,
	  utilities/advancedrename/common/parseobject.h,
	  utilities/advancedrename/common/parseobjectdialog.cpp,
	  utilities/advancedrename/common/parseobjectdialog.h,
	  utilities/advancedrename/common/token.h,
	  utilities/advancedrename/parser/modifiers/defaultvaluemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/defaultvaluemodifier.h,
	  utilities/advancedrename/parser/modifiers/fillmodifier.cpp,
	  utilities/advancedrename/parser/modifiers/fillmodifier.h,
	  utilities/advancedrename/parser/modifiers/rangemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/rangemodifier.h,
	  utilities/advancedrename/parser/modifiers/replacemodifier.cpp,
	  utilities/advancedrename/parser/modifiers/replacemodifier.h,
	  utilities/advancedrename/parser/options/dateoption.cpp,
	  utilities/advancedrename/parser/options/dateoption.h,
	  utilities/advancedrename/parser/options/metadataoption.cpp,
	  utilities/advancedrename/parser/options/metadataoption.h,
	  utilities/advancedrename/parser/options/sequencenumberoption.cpp,
	  utilities/advancedrename/parser/options/sequencenumberoption.h:
	  ParseObject => Parseable
	  I will extract a more common interface in the future...

2010-05-01 07:13  aclemens

	* utilities/advancedrename/README: polish

2010-05-01 06:09  aclemens

	* libs/dimg/dimg.cpp: Fix warning: wrong return type

2010-04-30 17:50  mwiesweg

	* NEWS: update

2010-04-30 11:17  cgilles

	* NEWS: update

2010-04-30 11:07  cgilles

	* NEWS: update

2010-04-29 06:42  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-04-28 22:21  pino

	* tests/CMakeLists.txt: albummodeltest needs QtGui

2010-04-28 00:45  cfeck

	* databaseserver/databaseserver.cpp: SVN_SILENT build
	  
	  Putting a "," between the strings will make it separate
	  arguments,
	  and i18n() complains. Either use preprocessor concatenation (as
	  in
	  this commit), or use i18n()+i18n() etc. (the latter being
	  dangerous,
	  as it can easily lead to untranslatable "i18n puzzles").
	  
	  CCMAIL: hamsi2k@freenet.de

2010-04-27 20:33  mwiesweg

	* libs/database/databaseservererror.h: export macro

2010-04-27 20:33  mwiesweg

	* utilities/nepomuk/digikamnepomukservice.cpp,
	  utilities/nepomuk/digikamnepomukservice.h: - fix two bugs
	  introduced by the silent semantic API changes in Nepomuk:
	  With the switch from file:// to nepomuk://res URIs, we must not
	  pass FileDataObject
	  as the second parameter to Nepomuk::Resource, if we want to
	  retrieve the nepomuk: URI.
	  When removing a tag property, we must pass the resourceURI of the
	  tag, not the
	  Resource object itself.
	  - use TagsCache, remove own caching
	  - Fix reading of db parameters, as changed recently for MySQL
	  port

2010-04-27 20:33  mwiesweg

	* libs/database/albumdb.cpp, libs/database/albumdb.h,
	  libs/database/tagscache.cpp, libs/database/tagscache.h: A method
	  to get a single TagInfo, a method to get a tag's parent.

2010-04-27 20:33  mwiesweg

	* libs/database/databaseparameters.cpp: Fix the bug that a missing
	  slash at the end of the db folder in config would cause failure.
	  Really check if it's a directory.

2010-04-27 18:01  foerster

	* CMakeLists.txt, databaseserver/CMakeLists.txt,
	  databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h,
	  databaseserver/org.kde.digikam.DatabaseServer.xml,
	  digikam/albummanager.cpp, libs/database/databaseservererror.cpp,
	  libs/database/databaseservererror.h,
	  libs/database/databaseserverstarter.cpp,
	  libs/database/databaseserverstarter.h: Extended dbus interface of
	  the databaseserver to retrieve detailled error information to the
	  callee if the database can't started.
	  This error information is shown in a message box, when the
	  databaseserverstarter fails to setup the running environment.
	  Therefore there is a new class "databaseservererror" which is a
	  data container which
	  contains the error information for the transfer over dbus .

2010-04-27 07:44  cgilles

	* NEWS: update

2010-04-26 19:22  jmueller

	* digikam/albumhistory.cpp, digikam/albumhistory.h,
	  digikam/digikamview.cpp: Apply patch from konstantin krivakin.
	  Thanks for contrubution! Timeline albums needed to be supported
	  in History, too. Konstantin, could you extend your patch this
	  way?
	  
	  CCBUGS: 229795
	  
	  Regards, Jens

2010-04-25 20:14  mwiesweg

	* libs/dimg/loaders/dimgloaderobserver.h,
	  libs/threadimageio/loadsavetask.cpp,
	  libs/threadimageio/loadsavetask.h,
	  libs/threadimageio/loadsavethread.cpp,
	  libs/threadimageio/loadsavethread.h,
	  libs/threadimageio/managedloadsavethread.cpp,
	  showfoto/CMakeLists.txt: Port the load/save framework to
	  DynamicThread

2010-04-25 20:14  mwiesweg

	* libs/threads/dynamicthread.cpp, libs/threads/dynamicthread.h:
	  Various fixes and improvements.
	  Add API to share the mutex, so that the mutex-protected scope of
	  state change can
	  be also be used by subclasses.

2010-04-25 20:13  mwiesweg

	* databaseserver/databaseserver.cpp, digikam/albummanager.cpp,
	  digikam/albummanager.h, digikam/albumsettings.cpp,
	  digikam/albumsettings.h, digikam/digikamapp.cpp,
	  digikam/main.cpp, libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h,
	  libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h,
	  libs/widgets/common/databasewidget.cpp, tests/albummodeltest.cpp,
	  utilities/setup/setupdatabase.cpp: Cleanup and restructure
	  loading of db parameters from config.
	  We need it also in places like the nepomuk service,
	  so move it from AlbumSettings into DatabaseParameters.
	  Get rid of 8 arguments in method signature and just pass the
	  params object.

2010-04-25 17:54  cgilles

	* NEWS: update

2010-04-25 05:32  cgilles

	* NEWS: update

2010-04-25 05:31  cgilles

	* imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp: use right name for
	  Red eyes tool action
	  BUGS: 234545

2010-04-23 13:13  cgilles

	* NEWS: update

2010-04-22 18:45  foerster

	* libs/database/databasecorebackend.cpp: Added an helpful log entry
	  in case that binding elements are missing.

2010-04-22 18:24  foerster

	* data/database/dbconfig.xml.cmake: Fixed another typo which leads
	  to NULL values in a statement in mysql mode.

2010-04-22 10:00  foerster

	* libs/database/databasecorebackend.cpp: Only allow QStringList,
	  List<QVariant> and Map<String, QVariant> as replacement
	  containers.
	  Using iterator on lists for faster data access.

2010-04-22 08:57  foerster

	* data/database/dbconfig.xml.cmake: Add correct statement on insert
	  statement.

2010-04-20 19:11  foerster

	* CMakeLists.txt, data/database/dbconfig.xml.cmake,
	  libs/database/albumdb.cpp, libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend.h,
	  libs/database/dbactiontype.cpp, libs/database/dbactiontype.h:
	  Added database specific statements for changeImageInformation().
	  Extended the binding algorithm to handle also lists and maps for
	  creating dynamic statements (partly at least).
	  Therefore a DBActionType class is introduced to control whether
	  the items should inserted as fields or as value entries.

2010-04-19 20:44  aclemens

	* NEWS,
	  utilities/advancedrename/parser/options/filepropertiesoption.cpp,
	  utilities/queuemanager/queuelist.cpp: Revert "do not update
	  target suffix before advanced renaming take place...."
	  
	  This reverts commit 65f33ce4ba0d654d358b82b5cfc2e9d126961415.
	  
	  CCBUG:234022

2010-04-19 20:03  mwiesweg

	* digikam/imagethumbnaildelegate.cpp,
	  libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h: For the preview
	  thumbbar, also adjust the thumbnail size to reach 256
	  
	  CCBUG: 233094

2010-04-19 19:48  mwiesweg

	* digikam/imagecategorizedview.cpp,
	  libs/models/imagethumbnailmodel.cpp,
	  libs/models/imagethumbnailmodel.h,
	  libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h: Correctly adjust
	  thumbnail size to reach 256 in icon view.
	  
	  BBUG: 233094

2010-04-19 13:59  cgilles

	* libs/dimg/filters/greycstoration/greycstorationfilter.cpp:
	  compile under win32

2010-04-19 06:42  cgilles

	* libs/threadimageio/pgfutils.h,
	  libs/threadimageio/thumbnailcreator.cpp: restore PGF quality 4
	  for thumb compression.
	  Please check if thumbnails are not to blured there with this
	  value, else, use only 3 instead...
	  CCBUGS: 233094

2010-04-19 06:36  cgilles

	* libs/threads/dynamicthread.cpp, libs/threads/dynamicthread.h,
	  libs/threads/threadmanager.cpp, libs/threads/threadmanager.h,
	  libs/threads/workerobject.cpp, libs/threads/workerobject.h: just
	  polish

2010-04-19 06:26  cgilles

	* libs/dmetadata/dmetadatadata.h: polish

2010-04-19 06:27  cgilles

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp: polish

2010-04-18 21:18  jmueller

	* NEWS, utilities/queuemanager/queuelist.cpp,
	  utilities/queuemanager/queuelist.h,
	  utilities/queuemanager/queuemgrwindow.cpp: reset proccessed items
	  when target path or target filename changes
	  
	  BUGS: 234569

2010-04-18 20:29  jmueller

	* NEWS, utilities/queuemanager/queuelist.cpp: do not update target
	  suffix before advanced renaming take place, because advanced
	  rename check if source path exist (I don't know if this check is
	  needed - Andi?)
	  
	  BUGS: 234022

2010-04-18 18:51  cgilles

	* project/documents/digiKam-project-presentation.odp: added new
	  page with team photo

2010-04-18 18:12  cgilles

	* NEWS: update

2010-04-18 14:27  mwiesweg

	* NEWS, digikam/imagepreviewview.cpp, libs/database/imageinfo.h:
	  Changing a rating causes a refiltering of the model. There is no
	  change in visible images,
	  nonetheless somehow the currently selected image is reselected.
	  Still no visible effect,
	  but the preview gets the current image path set again, reloads it
	  and resets the zoom.
	  Just check if the newly set Image is the same as the current one,
	  and dont reload in that case.
	  
	  Btw: Beautiful bug number. Next one is 345678 ;-)
	  
	  BUG: 234567

2010-04-18 14:27  mwiesweg

	* NEWS, libs/database/collectionscanner.cpp: When reading the album
	  move hints and looking for the src collection, dont look it up
	  in the list of currently scanned collections, but in the list of
	  all collections -
	  the src collection may be scanned previously or later.
	  
	  BUG: 231598

2010-04-18 09:52  cgilles

	* project/documents/digiKam-project-presentation.odp: add new page
	  about project goal

2010-04-18 09:47  cgilles

	* project/bootstrap.bat, project/bootstrap.mandriva.2008,
	  project/bootstrap.mandriva.2009, project/bootstrap.ubuntu.8.04,
	  project/extractConfigGroups.py, project/project.kdevelop,
	  project/rm_git_mergetool_leftovers, project/scripts,
	  project/scripts/bootstrap.bat,
	  project/scripts/bootstrap.mandriva,
	  project/scripts/bootstrap.ubuntu,
	  project/scripts/extractConfigGroups.py,
	  project/scripts/rm_git_mergetool_leftovers,
	  project/scripts/shell.bat, project/shell.bat: mv scripts to
	  subdir

2010-04-18 09:42  cgilles

	* libs/jpegutils/libjpeg-80/transupp.cpp: wrap jpeglib header

2010-04-18 09:41  cgilles

	* libs/jpegutils/libjpeg-62/transupp.cpp: fix compilation

2010-04-18 08:22  cgilles

	* project/DBSCHEMA.ODS, project/ImageAnnotation.odt,
	  project/documents/DBSCHEMA.ODS,
	  project/documents/ImageAnnotation.odt,
	  project/documents/porting2ModelView.ods,
	  project/documents/unitsForInputWidgets.ods,
	  project/porting2ModelView.ods, project/unitsForInputWidgets.ods:
	  move doc at sub folder

2010-04-17 19:06  cgilles

	* project/documents/rgb2yuv.ods, project/rgb2yuv.ods: mv

2010-04-17 18:13  cgilles

	* NEWS: update
	  --Cette ligne, et les suivantes ci-dessous, seront ignorée
	  
	  M NEWS

2010-04-17 14:51  mwiesweg

	* libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/bcg/bcgfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/cb/cbfilter.cpp,
	  libs/dimg/filters/decorate/texturefilter.cpp,
	  libs/dimg/filters/dimgthreadedfilter.cpp,
	  libs/dimg/filters/dimgthreadedfilter.h,
	  libs/dimg/filters/fx/blurfxfilter.cpp,
	  libs/dimg/filters/fx/charcoalfilter.cpp,
	  libs/dimg/filters/fx/distortionfxfilter.cpp,
	  libs/dimg/filters/fx/embossfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/oilpaintfilter.cpp,
	  libs/dimg/filters/fx/raindropfilter.cpp,
	  libs/dimg/filters/greycstoration/greycstorationfilter.cpp,
	  libs/dimg/filters/hsl/hslfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lens/antivignettingfilter.cpp,
	  libs/dimg/filters/lens/lensdistortionfilter.cpp,
	  libs/dimg/filters/lens/lensfunfilter.cpp,
	  libs/dimg/filters/nr/nrfilter.cpp,
	  libs/dimg/filters/sharp/refocusfilter.cpp,
	  libs/dimg/filters/sharp/sharpenfilter.cpp,
	  libs/dimg/filters/sharp/unsharpmaskfilter.cpp,
	  libs/dimg/filters/transform/contentawarefilter.cpp,
	  libs/dimg/filters/transform/freerotationfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.cpp, tests/CMakeLists.txt: Port
	  threaded filters to be a DynamicThread.
	  Mostly simple find-and-replace work.

2010-04-17 14:23  mwiesweg

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.h: Stop thread
	  before destroying data
	  
	  CCBUG: 232615

2010-04-17 13:59  mwiesweg

	* libs/threadimageio/thumbnailcreator.cpp,
	  libs/threadimageio/thumbnailcreator.h,
	  libs/threadimageio/thumbnailloadthread.cpp: When loading a
	  thumbnail with KDE (mostly videos) also store the result in the
	  db.
	  There is a quality loss because KDE provides only pixmaps, not
	  QImages,
	  but it's definitely faster for us.

2010-04-17 13:22  mwiesweg

	* digikam/albumsettings.cpp, digikam/albumsettings.h,
	  digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/nepomuk/digikamnepomukservice.cpp,
	  utilities/nepomuk/digikamnepomukservice.h,
	  utilities/setup/setupmetadata.cpp,
	  utilities/setup/setupmetadata.h: Add a button that triggers a
	  full Nepomuk resync.
	  Move the DBus calls from DigikamApp to AlbumSettings.
	  
	  CCBUG: 234534

2010-04-17 13:22  mwiesweg

	* libs/database/tagscache.cpp: Set flags to false when info is
	  updated.
	  Some restructuring, disentangle locks.
	  
	  CCBUG: 234594

2010-04-17 13:22  mwiesweg

	* libs/database/databasecorebackend.cpp: polish kdebug

2010-04-17 09:13  cgilles

	* project/documents,
	  project/documents/digiKam-project-presentation.odp: add documents
	  sub folder
	  new oo.org slides to talk about whole digiKam project. doc is in
	  English

2010-04-16 12:31  cgilles

	* digikam/albumtreeview.cpp, digikam/albumtreeview.h: polish

2010-04-16 12:22  cgilles

	* digikam/datefolderview.cpp, digikam/datefolderview.h: polish

2010-04-16 12:20  cgilles

	* utilities/searchwindow/searchgroup.cpp: typo

2010-04-16 06:15  scripty

	* imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-04-15 21:38  jwienke

	* HACKING: add Simian instructions for code duplication search

2010-04-15 20:26  mwiesweg

	* libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: The easiest case for porting
	  from a "static" to a "dynamic" thread, works
	  well for me.

2010-04-15 20:26  mwiesweg

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/CMakeLists.txt, libs/threads,
	  libs/threads/dynamicthread.cpp, libs/threads/dynamicthread.h,
	  libs/threads/threadmanager.cpp, libs/threads/threadmanager.h,
	  libs/threads/workerobject.cpp, libs/threads/workerobject.h: Some
	  ideas on threading I had been in my mind for a longer time:
	  We currently have a lot of threads started and sleeping around.
	  Current technology
	  like QThreadPool aims at having "runnables" instead that are
	  assigned to
	  threads from a pool. (same for task-based frameworks like
	  threadweaver).
	  These are some lightweight wrappers to adapt our current code,
	  without
	  any deep code changes, to use a QThreadPool. The intention is to
	  use even
	  more threading without worries about the number of open threads.
	  
	  Initial code, not thoroughly tested.

2010-04-15 20:26  mwiesweg

	* digikam/databaseguierrorhandler.cpp,
	  digikam/databaseguierrorhandler.h,
	  libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend_p.h,
	  libs/database/databaseerrorhandler.h: The DatabaseErrorHandler is
	  a great mechanism to give feedback to the user,
	  mostly in the case of a MySQL connection error.
	  It now came to be used a bit too often - for every db error that
	  came along,
	  and in that case, disabling all subsequent db actions.
	  
	  Move error classification to the backend. Use the error handler
	  for connection
	  errors only, the code to display a message box is currently
	  unused.
	  Tolerate the occasional SQL error (which should be debugged, but
	  not impair
	  user experience).
	  
	  Hope this fixes the problem. Johannes, can you test with your
	  established testcase?
	  
	  CCBUG: 233549

2010-04-15 19:29  mwiesweg

	* digikam/imagethumbnailbar.cpp, digikam/imagethumbnailbar.h,
	  digikam/imagethumbnaildelegate.cpp,
	  libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h: Adjust the
	  ImageThumbnailBar so that showing thumbnails up to full 256 is
	  possible.
	  For this we need to find out pixel-exactly which viewport size
	  (we know the max value for
	  that) corresponds to which widget size (which we can set a max
	  value for).
	  It seems to work to just take the difference of the two at one
	  point of time.
	  Additionally, add the two pixels used for the highlighting
	  border.
	  
	  CCBUG: 233094

2010-04-15 06:10  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-04-14 22:08  jmueller

	* libs/dimg/filters/lens/lensfuncameraselector.cpp: do lensfun
	  search not only for lenses, do it also for make and model
	  
	  CCBUGS: 184156

2010-04-14 20:28  cgilles

	* NEWS: update

2010-04-14 19:38  cgilles

	* libs/threadimageio/pgfutils.cpp, libs/threadimageio/pgfutils.h:
	  polish

2010-04-14 19:36  cgilles

	* libs/threadimageio/pgfutils.cpp: patch from Raphael Schweizer to
	  play properly with PGF image under PowerPC computer
	  CCBUGS: 233094

2010-04-14 15:13  jnarboux

	* libs/dimg/filters/hsl/hslfilter.cpp,
	  libs/dimg/filters/hsl/hslfilter.h: fix precision

2010-04-14 14:59  jnarboux

	* libs/dimg/filters/lens/antivignettingfilter.cpp: polish, fix
	  swaping of x and y offsets, inline a function to increase
	  efficiency

2010-04-14 14:13  jnarboux

	* libs/dimg/filters/lens/antivignettingfilter.cpp,
	  libs/dimg/filters/lens/antivignettingfilter.h: polish: use qround

2010-04-12 18:57  jmueller

	* libs/dimg/filters/lens/lensfuncameraselector.cpp,
	  libs/dmetadata/dmetadata.cpp: - set subject distance in lensfun
	  plugin for nikon dslrs
	  - support additional meta for older canon models

2010-04-12 18:47  cgilles

	* NEWS: update

2010-04-12 16:38  mwiesweg

	* libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h: Use MetadataManager to
	  apply the MetadataHub changes. Removes another
	  very annoying use of kapp->processEvents! Also some problems with
	  continuing to change while applying, and with changes applied to
	  wrong images
	  should be fixed.
	  We can no longer know which database change signal originate from
	  our own changes,
	  which means we have to reload in any case. This needs to be
	  further refined.
	  
	  CCBUG: 206127

2010-04-12 16:38  mwiesweg

	* digikam/metadatamanager.cpp, digikam/metadatamanager.h,
	  digikam/metadatamanager_p.h: Add the necessary signal/slots and
	  connections to apply the changes
	  stored in a metadata hub multithreaded to a list of ImageInfo.

2010-04-12 16:38  mwiesweg

	* digikam/metadatahub.cpp, digikam/metadatahub.h: Use a more robust
	  approach to handle removing of tags.
	  Previously this based was on an event loop, with no good
	  influence
	  on throwing an object across threads.

2010-04-12 09:06  cgilles

	* project/shell.bat: polish

2010-04-12 06:20  jnarboux

	* libs/dimg/filters/lc/localcontrastsettings.cpp: save/restore
	  settings of expander box in local contrast plugin

2010-04-11 22:13  cgilles

	* NEWS: update

2010-04-11 22:04  cgilles

	* NEWS: update

2010-04-11 15:06  mwiesweg

	* libs/threadimageio/previewtask.cpp: These patches also got lost
	  in between the branches:
	  Use Exiv2's preview manager if available to select the RAW
	  preview to display.
	  (previous commit 1050937)

2010-04-11 15:06  mwiesweg

	* libs/dimg/loaders/tiffloader.cpp: Remove all Exif.Thumbnail.*
	  tags when writing TIFF.
	  
	  CCBUG: 211758

2010-04-11 15:06  mwiesweg

	* NEWS, digikam/metadatahub.cpp,
	  imageplugins/enhance/lensautofixtool.cpp,
	  libs/database/imagescanner.cpp, libs/dimg/dimg.cpp,
	  libs/dimg/dimg.h, libs/dimg/dimg_p.h,
	  libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h,
	  libs/dimg/loaders/pngloader.cpp,
	  libs/dimg/loaders/tiffloader.cpp, libs/dmetadata/dmetadata.cpp,
	  libs/dmetadata/dmetadata.h, libs/dmetadata/dmetadatadata.h,
	  libs/imageproperties/imagepropertiessidebardb.cpp,
	  libs/jpegutils/jpegutils.cpp,
	  utilities/imageeditor/canvas/dimginterface.cpp,
	  utilities/imageeditor/canvas/dimginterface.h,
	  utilities/imageeditor/editor/imageiface.cpp,
	  utilities/imageeditor/editor/imageiface.h,
	  utilities/queuemanager/basetools/metadata/assigntemplate.cpp:
	  These patches were lost in between all the branching.
	  Recommitting.
	  The bug is fixed when using a recent (KDE 4.4) libkexiv2.
	  
	  BUG: 183171

2010-04-10 16:38  cgilles

	* NEWS: update

2010-04-09 20:14  foerster

	* libs/database/databasecopymanager.cpp: Handle only forward
	  queries by executing the query again.
	  Also improve logging the result size.

2010-04-09 19:07  foerster

	* data/database/dbconfig.xml.cmake: DatabaseMigration: Fixed typo
	  which prevents to copy image metadata.

2010-04-09 19:04  foerster

	* libs/database/databasecopymanager.cpp: SQLite doesn't support a
	  query size request. Workaround for
	  such databases is to go to the end of the query
	  result and using then the current row number as result size.

2010-04-09 13:07  cgilles

	* imageplugins/decorate/superimpose/dirselectwidget.cpp,
	  imageplugins/decorate/superimpose/dirselectwidget.h,
	  imageplugins/decorate/superimpose/superimposetool.h,
	  imageplugins/decorate/superimpose/superimposewidget.cpp: polish

2010-04-09 12:58  cgilles

	* imageplugins/decorate/superimpose/superimpose.cpp,
	  imageplugins/decorate/superimpose/superimpose.h,
	  imageplugins/decorate/superimpose/superimposetool.cpp,
	  imageplugins/decorate/superimpose/superimposewidget.h: polish

2010-04-09 12:45  cgilles

	* imageplugins/decorate/inserttextwidget.cpp,
	  imageplugins/decorate/inserttextwidget.h: Support Color
	  Management in Insert Text tool preview
	  CCBUGS: 233739

2010-04-09 12:04  cgilles

	* imageplugins/transform/perspectivewidget.cpp: polish

2010-04-09 12:01  cgilles

	* imageplugins/transform/imageselectionwidget.cpp,
	  imageplugins/transform/perspectivewidget.cpp: polish

2010-04-09 11:52  cgilles

	* imageplugins/transform/perspectivewidget.cpp,
	  imageplugins/transform/perspectivewidget.h: use d private
	  container

2010-04-09 10:57  cgilles

	* NEWS: update

2010-04-09 10:57  cgilles

	* imageplugins/transform/imageselectionwidget.cpp: use color
	  managed with Ratio crop preview widget
	  BUGS: 233739

2010-04-09 10:41  cgilles

	* imageplugins/transform/imageselectionwidget.cpp: polish

2010-04-09 10:38  cgilles

	* imageplugins/transform/imageselectionwidget.cpp,
	  imageplugins/transform/imageselectionwidget.h: using namespace

2010-04-09 06:32  cgilles

	* NEWS: update

2010-04-08 17:14  foerster

	* TODO.MYSQLPORT, libs/database/albumdb.cpp: MySql default behavior
	  is to handle column/table names case sensitive. Now database
	  statistics are working for this backend.
	  Add some points to the TODO list.

2010-04-08 15:48  mwiesweg

	* CMakeLists.txt: Really disable Nepomuk compilation when shared
	  ontologies are not found...

2010-04-08 14:10  cgilles

	* config-digikam.h.cmake: missing to patch this file to define
	  debug area for database server

2010-04-08 12:58  cgilles

	* libs/threadimageio/thumbnailcreator.cpp,
	  libs/threadimageio/thumbnailcreator.h,
	  libs/threadimageio/thumbnailcreator_p.h: use PGF compression
	  level 3 instead 4 to prevent bluring effect.
	  Investigation still open about this problem.
	  CCBUGS : 233094

2010-04-08 11:40  cgilles

	* libs/database/tagscache.h: fix win32 warnings

2010-04-08 11:26  cgilles

	* libs/widgets/common/kcategorizedview.cpp: Fix Win32 broken
	  compilation
	  
	  Marcel,
	  
	  Under Win32 with MinGW env, compilation is broken. gcc do not
	  find gid_t with this line :
	  
	  int getgrouplist(const char *, gid_t , gid_t *, int *);
	  
	  ... from kdefakes.h file. I don't know why...

2010-04-08 11:04  cgilles

	* libs/dimg/filters/lens/antivignettingfilter.cpp: Fix Win32
	  Warnings.
	  
	  Julien,
	  No need to re-invent the wheel. Look if QRound() macro is enough
	  to replace approx() as well.
	  
	  http://doc.trolltech.com/4.5/qtglobal.html#qRound

2010-04-08 11:01  cgilles

	* libs/dimg/filters/lens/antivignettingfilter.cpp: Fix Win32
	  warnings
	  
	  Julien,
	  Same there. cast is not the right solution. Please, check if
	  precision is lost or not in your algorithms.

2010-04-08 10:52  cgilles

	* libs/dimg/filters/hsl/hslfilter.cpp: Fix win32 warning
	  
	  Julien,
	  Do you seen that Vibrance value is hosted by double and used as
	  integer in your algorithm. Precision is lost???

2010-04-08 10:46  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp: fix win32 warnings

2010-04-08 10:44  cgilles

	* libs/dimg/filters/cb/cbsettings.cpp: fix win32 warnings

2010-04-08 10:42  cgilles

	* libs/dimg/filters/decorate/bordersettings.cpp: fix win32 warnings

2010-04-08 07:25  cgilles

	* NEWS: update

2010-04-07 20:02  mghansen

	* libs/imageproperties/worldmapwidget.cpp: Fix typo.

2010-04-07 13:38  cgilles

	* imageplugins/enhance/inpaintingtool.cpp: polish

2010-04-07 13:01  cgilles

	* imageplugins/enhance/restorationtool.cpp: polish

2010-04-07 13:01  cgilles

	* utilities/imageeditor/widgets/previewtoolbar.h: polish

2010-04-07 11:06  foerster

	* digikam/albumsettings.cpp, digikam/main.cpp: Also remove (legacy
	  parameter) "Album Path" from the configuration.
	  Adapted first run assistant call.

2010-04-07 09:38  foerster

	* TODO.MYSQLPORT, digikam/albumsettings.cpp: After a successful
	  migration of the old database path entry, we must delete it from
	  the digikamrc config file.
	  This prevents an new migration attempt at the start of digikam
	  and the user defined settings will not be overwritten.

2010-04-07 08:18  cgilles

	* libs/template/subjectedit.cpp: polish

2010-04-07 07:34  cgilles

	* libs/template/templatepanel.cpp: compile with last kexiv2

2010-04-07 06:46  cgilles

	* NEWS: update

2010-04-06 22:01  mlaurent

	* libs/database/tagscache.cpp: Fix iterator

2010-04-06 20:09  jwienke

	* tests/CMakeLists.txt: make tests compile again

2010-04-06 18:10  cgilles

	* TODO.MYSQLPORT: update

2010-04-06 18:07  cgilles

	* NEWS: update

2010-04-06 13:53  cgilles

	* digikam/CMakeLists.txt: uppercase

2010-04-06 13:38  cgilles

	* utilities/queuemanager/basetools/metadata/assigntemplate.cpp: fix
	  layout

2010-04-06 12:46  cgilles

	* libs/dimg/filters/greycstoration/greycstorationfilter.cpp: polish

2010-04-06 12:31  cgilles

	* NEWS: update

2010-04-06 12:32  cgilles

	* TODO.MYSQLPORT: This one is very important for the future.
	  I'm sure that users will ask to be able to setup db file paths
	  somewhere in the computer, and not only in home dir.
	  CCMAIL: marcel.wiesweg@gmx.de

2010-04-06 12:25  cgilles

	* digikam/componentsinfo.h, digikam/dbstatdlg.cpp: typo

2010-04-06 11:08  cgilles

	* TODO.MYSQLPORT, digikam/componentsinfo.h, digikam/dbstatdlg.cpp,
	  digikam/dbstatdlg.h: add database backend info to help dialogs

2010-04-06 10:48  cgilles

	* utilities/setup/setupdatabase.cpp: polish

2010-04-06 10:40  cgilles

	* libs/dialogs/infodlg.cpp: polish

2010-04-06 10:37  cgilles

	* TODO.MYSQLPORT: update

2010-04-06 10:33  cgilles

	* TODO.MYSQLPORT: update

2010-04-06 10:31  cgilles

	* libs/widgets/common/databasewidget.cpp,
	  libs/widgets/common/databasewidget.h: use d private container

2010-04-06 09:56  cgilles

	* TODO.MYSQLPORT, libs/dialogs/migrationdlg.cpp,
	  libs/dialogs/migrationdlg.h: use d private containers

2010-04-06 09:35  cgilles

	* TODO.MYSQLPORT, digikam/databaseguierrorhandler.cpp,
	  digikam/databaseguierrorhandler.h,
	  libs/database/databaseerrorhandler.h: use d private containers

2010-04-06 09:19  cgilles

	* libs/dimg/filters/nr/nrfilter.h,
	  libs/dimg/filters/nr/nrsettings.cpp,
	  libs/dimg/filters/nr/nrsettings.h,
	  utilities/queuemanager/basetools/enhance/noisereduction.cpp:
	  simplify wavelets NR settings to YCrCb as well, to be homogenous
	  with FilmGrain settings.
	  Lead NR settings is now removed

2010-04-06 08:00  cgilles

	* CMakeLists.txt: polish

2010-04-06 07:50  cgilles

	* CMakeLists.txt, NEWS, README, libs/CMakeLists.txt,
	  libs/dmetadata/captionvalues.cpp, libs/dmetadata/captionvalues.h,
	  libs/imageproperties/captionedit.cpp,
	  libs/imageproperties/captionedit.h, libs/template/CMakeLists.txt,
	  libs/template/TODO, libs/template/altlangstredit.cpp,
	  libs/template/altlangstredit.h,
	  libs/template/countryselector.cpp,
	  libs/template/countryselector.h, libs/template/msgtextedit.cpp,
	  libs/template/msgtextedit.h, libs/template/subjectedit.h,
	  libs/template/subjectwidget.cpp, libs/template/subjectwidget.h,
	  libs/template/templatepanel.cpp,
	  libs/template/templateviewer.cpp, libs/template/templateviewer.h,
	  libs/template/topicset.iptc-subjectcode.xml,
	  utilities/setup/setuptemplate.cpp,
	  utilities/setup/setuptemplate.h: remove duplicates widget from
	  digiKam core.
	  Use libkexiv2 widget available from trunk
	  set libkexiv2 dependency to 1.1.0. You need libkex2 from trunk
	  now to compile digiKam 1.3.0
	  CCMAIL: digikam-devel@kde.org

2010-04-06 07:28  cgilles

	* libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h: polish

2010-04-06 06:48  cgilles

	* libs/template/TODO: polish

2010-04-06 06:48  cgilles

	* libs/template/altlangstredit.cpp, libs/template/altlangstredit.h:
	  polish

2010-04-05 19:29  cgilles

	* NEWS: update

2010-04-05 19:28  cgilles

	* libs/database/tagscache.cpp, libs/database/tagscache.h: Fix slot
	  typo
	  BUGS: 233418

2010-04-05 19:12  cgilles

	* libs/template/templatelist.cpp, libs/template/templatelist.h,
	  libs/template/templatemanager.cpp,
	  libs/template/templatemanager.h, libs/template/templatepanel.cpp,
	  libs/template/templatepanel.h: polish

2010-04-05 19:06  jmueller

	* libs/dimg/filters/lens/lensfuncameraselector.cpp: before giving
	  up try to find lens via lensfun search

2010-04-05 19:03  cgilles

	* libs/template/subjectedit.cpp, libs/template/subjectedit.h,
	  libs/template/subjectwidget.cpp, libs/template/subjectwidget.h:
	  polish

2010-04-05 18:50  cgilles

	* libs/template/msgtextedit.cpp, libs/template/msgtextedit.h:
	  polish

2010-04-05 18:03  jmueller

	* libs/dmetadata/dmetadata.cpp: fix nikon lens string in metadata
	  display for various models

2010-04-05 13:41  mwiesweg

	* NEWS, libs/database/databasecopymanager.cpp,
	  libs/database/databasecorebackend.h: Checking for bool (with true
	  = success) breaks when using an enum
	  for error conditions, where success is 0.
	  Apply a little syntactic sugar to make this work again -
	  fixes searches and schema updating.
	  
	  BUG: 233253

2010-04-05 10:55  cgilles

	* NEWS: update

2010-04-05 10:53  cgilles

	* NEWS: update

2010-04-05 10:52  cgilles

	* NEWS: update

2010-04-05 10:50  cgilles

	* NEWS: update

2010-04-05 10:30  mwiesweg

	* NEWS, libs/database/tagscache.h: Use correct EXPORT macro
	  
	  BUG: 233287

2010-04-04 21:37  mwiesweg

	* databaseserver/databaseserver.cpp,
	  libs/database/databaseconfigelement.cpp,
	  libs/widgets/common/databasewidget.cpp: compile

2010-04-04 21:37  mwiesweg

	* data/database/dbconfig.xml.cmake: These were not implemented for
	  SQLite...

2010-04-04 21:37  mwiesweg

	* libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend.h: - manual transaction
	  handling was confusing the transaction stack counter.
	  switch back to using the wrapper methods, and just don't roll
	  back on our own
	  - warn if an action is not implement in XML
	  - use global config elements

2010-04-04 21:37  mwiesweg

	* libs/database/databaseconfigelement.cpp,
	  libs/database/databaseconfigelement.h,
	  libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Move loading code from
	  DatabaseParameters to a global static place in
	  DatabaseConfigElement.
	  The config does not need to be loaded each time again but can be
	  shared.
	  Apart from that, it was never loaded in the IOSlaves (tag listing
	  was broken)

2010-04-04 21:37  mwiesweg

	* databaseserver/databaseserver.cpp,
	  libs/database/databaseconfigelement.cpp,
	  libs/database/databaseconfigelement.h,
	  libs/database/databasecopymanager.cpp,
	  libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend.h,
	  libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h: Code readability,
	  capitalization, indentation

2010-04-04 21:37  mwiesweg

	* digikam/metadatahub.cpp, digikam/metadatahub.h,
	  libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h: Remove dependency on
	  Album/AlbumManager, use TagsCache and tag IDs.
	  Add a QObject-based MetadataHubOnTheRoad watching for tag
	  deletion on its own.
	  Use this for ImageDescEditTag.

2010-04-04 21:37  mwiesweg

	* libs/database/albumdb.cpp, libs/database/albumdb.h: Remove
	  getTagsFromTagsPath from AlbumDB, replaced by TagsCache.

2010-04-04 21:37  mwiesweg

	* digikam/albummanager.cpp, libs/database/imageinfo.cpp,
	  libs/database/imagescanner.cpp,
	  utilities/kipiiface/kipiimageinfo.cpp: Use TagsCache where
	  applicable

2010-04-04 21:37  mwiesweg

	* libs/database/tagscache.cpp, libs/database/tagscache.h: Polish
	  API.
	  Add convenience signals.

2010-04-04 21:36  mwiesweg

	* digikam/imagecategorizedview.cpp,
	  libs/models/imagethumbnailmodel.cpp,
	  libs/models/imagethumbnailmodel.h,
	  libs/widgets/common/itemviewimagedelegate.cpp,
	  libs/widgets/common/itemviewimagedelegate.h: We now set the
	  thumbnail size newly again each time in the delegate.
	  Also do that for prepareThumbnails in the view.

2010-04-04 21:36  mwiesweg

	* libs/dimg/loaders/pngloader.cpp: Comment out section causing
	  crash
	  
	  BUG: 229340

2010-04-04 19:12  cgilles

	* TODO.MYSQLPORT, databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h, libs/dialogs/migrationdlg.h:
	  polish

2010-04-04 19:02  cgilles

	* databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h: use d private internal class

2010-04-04 18:36  cgilles

	* NEWS: update

2010-04-04 16:13  cgilles

	* NEWS: update

2010-04-04 14:18  cgilles

	* NEWS: update

2010-04-04 10:35  aclemens

	* utilities/cameragui/cameraiconview.cpp,
	  utilities/cameragui/renamecustomizer.cpp,
	  utilities/cameragui/renamecustomizer.h: Reset the parser properly
	  in CameraUI
	  
	  CCBUG:230553

2010-04-04 10:16  cgilles

	* CMakeLists.txt, TODO.MYSQLPORT, databaseserver/CMakeLists.txt,
	  databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h, databaseserver/main.cpp,
	  databaseserver/pollthread.cpp: use dedicated kdebug area for
	  digiKam database server

2010-04-04 09:56  cgilles

	* TODO.MYSQLPORT, libs/database/databasecopymanager.cpp,
	  libs/database/databasecopymanager.h: code review

2010-04-04 09:48  cgilles

	* TODO.MYSQLPORT, libs/database/databaseconfigelement.cpp,
	  libs/database/databaseconfigelement.h: code review

2010-04-04 09:45  cgilles

	* TODO.MYSQLPORT, utilities/setup/databaseconnectionwidget.h: this
	  file not used

2010-04-04 09:42  cgilles

	* TODO.MYSQLPORT, libs/widgets/common/databasewidget.cpp,
	  libs/widgets/common/databasewidget.h: code review, polish, coding
	  style.

2010-04-04 06:08  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-04-03 23:06  cgilles

	* TODO.MYSQLPORT: update

2010-04-03 23:05  cgilles

	* CMakeLists.txt, libs/database/sqlquery.cpp,
	  libs/database/sqlquery.h: this class is not exported. this will
	  fix compilation under WIN32

2010-04-03 19:01  cgilles

	* TODO.MYSQLPORT, digikam/databaseguierrorhandler.cpp,
	  digikam/databaseguierrorhandler.h: code review

2010-04-03 18:56  cgilles

	* README: update

2010-04-03 18:55  cgilles

	* TODO.MYSQLPORT: update

2010-04-03 18:01  jwienke

	* CMakeLists.txt, themedesigner/CMakeLists.txt: re-enable theme
	  designer

2010-04-03 17:36  jwienke

	* CMakeLists.txt: correct library version

2010-04-03 17:15  cgilles

	* NEWS: update

2010-04-03 17:09  cgilles

	* TODO.MYSQLPORT, databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h, databaseserver/main.cpp,
	  databaseserver/pollthread.cpp, databaseserver/pollthread.h: usaul
	  code review, moc, namespace, coding style, indent, etc...

2010-04-03 16:43  cgilles

	* databaseserver/CMakeLists.txt: polish

2010-04-03 14:40  mwiesweg

	* CMakeLists.txt, libs/database/databaseaccess.cpp,
	  libs/database/tagscache.cpp, libs/database/tagscache.h: TagsCache
	  is a new singleton class caching the Tags table from the db.
	  We have the long-standing problem that AlbumManager is only
	  available
	  from the UI thread, and storing TAlbum* is bad. The only
	  alternative
	  required AlbumDB::getTagsFromTagPaths reading the full Tags table
	  each
	  time again.
	  TagsCache is thread-safe and allows fast look-up name -> ids,
	  path -> id,
	  id -> name, id -> path, and additionally implements
	  getTagsFromTagPaths.

2010-04-03 14:40  mwiesweg

	* libs/database/albumdb.cpp, libs/database/albumdb.h,
	  libs/database/albuminfo.h: Introduce a TagShortInfo, without
	  caring for tag icons
	  (and only reading from one table)

2010-04-03 14:40  mwiesweg

	* libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend_p.h,
	  libs/database/databaseerrorhandler.h: Make DatabaseErrorHandler's
	  method a slot again. Fix the invokeMethod call.
	  Fix a possible missed wake call by splitting the waiting on
	  errorLock
	  in two parts (in a separate class)
	  Some restructuring.

2010-04-03 14:40  mwiesweg

	* CMakeLists.txt: For Nepomuk support, require KDE 4.4 and
	  shared-desktop-ontologies (which
	  are required by kdebase-4.4 anyway)
	  
	  CCBUG: 225533

2010-04-03 10:47  cgilles

	* TODO.MYSQLPORT: update

2010-04-03 10:47  cgilles

	* TODO.MYSQLPORT: update. Help/DB stat dialog is broken with MySql
	  CCMAIL: marcel.wiesweg@gmx.de

2010-04-03 10:45  cgilles

	* NEWS: update

2010-04-03 06:27  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-04-02 20:47  mwiesweg

	* CMakeLists.txt: Don't check for mysql_install_db on Win32.
	  
	  CCBUG: 233109

2010-04-02 17:19  mwiesweg

	* CMakeLists.txt, digikam/albummanager.cpp,
	  digikam/databaseerrorhandler.cpp, digikam/databaseerrorhandler.h,
	  digikam/databaseguierrorhandler.cpp,
	  digikam/databaseguierrorhandler.h, tests/CMakeLists.txt: Change
	  behavior in DatabaseGuiErrorHandler:
	  Only show the dialog when the first connection attempt failed.
	  Otherwise it is shortly flashing at startup.
	  Rename the file to databaseguierrorhandler.h/cpp to avoid
	  confusion
	  with databaserrorhandler.h.

2010-04-02 17:19  mwiesweg

	* libs/database/databasecorebackend.h,
	  libs/database/databaseerrorhandler.h,
	  libs/database/thumbnaildb.h: Move declaration of the
	  DatabaseErrorHandler interface to separate header file

2010-04-02 17:19  mwiesweg

	* libs/database/sqlquery.h: indentation and formatting

2010-04-02 17:18  mwiesweg

	* digikam/databaseerrorhandler.cpp, digikam/databaseerrorhandler.h:
	  indentation

2010-04-02 16:35  cgilles

	* AUTHORS: update

2010-04-02 16:32  cgilles

	* data/pics/splash-showfoto.png: new showfoto 1.3.0 splashscreen
	  from Dmitri Popov
	  CCMAIL: dmpop@openoffice.org

2010-04-02 13:00  mwiesweg

	* digikam/CMakeLists.txt,
	  utilities/nepomuk/digikamnepomukservice.cpp: Use NIE/NFO
	  namespace instead of Xesam.
	  Please complain if it does not build with KDE4.3.
	  Need to test if bug is fixed.
	  
	  CCBUG: 225533

2010-04-02 13:00  mwiesweg

	* digikam/albummanager.cpp, digikam/digikamapp.cpp,
	  tests/CMakeLists.txt: Remove DigikamApp dependency for starting
	  database server, make AlbumModelTest compile again.

2010-04-02 13:00  mwiesweg

	* config-digikam.h.cmake, databaseserver/CMakeLists.txt,
	  libs/database/databaseserverstarter.cpp,
	  libs/database/databaseserverstarter.h: Install the database
	  server into kde4/libexec; I hope it's the right indication
	  to put such a helper executable in this place. Then we can also
	  use the
	  CMake-provided install path to call the binary, removing the
	  hardcoded path.

2010-04-02 13:00  mwiesweg

	* CMakeLists.txt: Polish detection of MySQL executables in CMake.
	  Verify that these programs exist, refuse to compile otherwise.
	  
	  TODO: make this an optional dependency?

2010-04-02 13:00  mwiesweg

	* libs/models/abstractalbummodel.cpp: Dont emit change event for
	  albums not contained in model

2010-04-02 11:10  cgilles

	* AUTHORS: update

2010-04-02 11:08  cgilles

	* data/pics/splash-digikam.png: new digiKam 1.3.0 splash from
	  Kalyan Varma
	  CCMAIL: kalyan@rtns.org

2010-04-02 06:55  jnarboux

	* libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.h: use new expander
	  box with check box

2010-04-01 22:20  pino

	* tests/CMakeLists.txt: add more include directories needed for the
	  tests

2010-04-01 12:38  cgilles

	* NEWS: update

2010-04-01 12:37  cgilles

	* data/pics/CMakeLists.txt: wrong cmake syntax to include subdir
	  during compilation and install
	  BUGS: 232875

2010-04-01 12:34  cgilles

	* data/pics/borderpatterns/CMakeLists.txt: polish

2010-04-01 12:30  cgilles

	* CMakeLists.txt, libs/imageproperties/cameraitempropertiestab.h,
	  libs/imageproperties/imagepropertiestab.h,
	  libs/template/templateviewer.h,
	  libs/widgets/common/rexpanderbox.cpp,
	  libs/widgets/common/rexpanderbox.h,
	  utilities/cameragui/cameraui_p.h: bye bye
	  Digikam::RExpanderBox...

2010-04-01 12:24  cgilles

	* imageplugins/enhance/localcontrasttool.cpp,
	  imageplugins/transform/contentawareresizetool.cpp,
	  imageplugins/transform/freerotationtool.cpp,
	  imageplugins/transform/ratiocroptool.cpp,
	  libs/dimg/filters/bcg/bcgsettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/mixersettings.cpp,
	  libs/dimg/filters/cb/cbsettings.cpp,
	  libs/dimg/filters/curves/curvessettings.cpp,
	  libs/dimg/filters/decorate/bordersettings.cpp,
	  libs/dimg/filters/icc/iccprofilesettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.cpp,
	  libs/dimg/filters/nr/nrsettings.cpp,
	  libs/dimg/filters/sharp/sharpsettings.cpp,
	  libs/dimg/filters/transform/freerotationsettings.cpp,
	  libs/dimg/filters/wb/wbsettings.cpp,
	  utilities/advancedrename/advancedrenamewidget.cpp,
	  utilities/cameragui/cameraui.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/searchwindow/choicesearchutilities.cpp,
	  utilities/searchwindow/choicesearchutilities.h,
	  utilities/searchwindow/searchfieldgroup.cpp,
	  utilities/searchwindow/searchfieldgroup.h,
	  utilities/searchwindow/searchfields.cpp,
	  utilities/searchwindow/searchgroup.cpp,
	  utilities/searchwindow/searchgroup.h: use libkdcraw RExpanderBox
	  instead internal version. No need to duplicates implementation

2010-04-01 12:06  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h: use new RExpanderBox
	  from libkdcraw from trunk including checkbox in expander label

2010-04-01 11:13  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp: polish

2010-04-01 06:38  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-31 14:18  cgilles

	* REVIEW, TODO.MYSQLPORT: update

2010-03-31 14:06  cgilles

	* libs/database/databaseserverstarter.cpp: add comment

2010-03-31 14:05  cgilles

	* REVIEW: files to review

2010-03-31 14:02  cgilles

	* utilities/setup/setupdatabase.cpp,
	  utilities/setup/setupdatabase.h: polish

2010-03-31 13:55  cgilles

	* libs/database/databaseserverstarter.cpp,
	  libs/database/databaseserverstarter.h: missing Digikam namespace.
	  fix coding style and other polish

2010-03-31 13:44  cgilles

	* libs/dialogs/migrationdlg.cpp, libs/dialogs/migrationdlg.h:
	  missing moc file

2010-03-31 13:03  cgilles

	* AUTHORS: give credit to Holger

2010-03-31 13:01  cgilles

	* digikam/digikamapp.cpp: there is a dialog there

2010-03-31 13:00  foerster

	* digikam/albumsettings.cpp: Using the right configuration group
	  for old database settings.

2010-03-31 12:59  cgilles

	* digikam/digikamapp.cpp: use right icon there

2010-03-31 12:59  cgilles

	* libs/dimg/drawdecoding.cpp: fix missing option to copy

2010-03-31 12:52  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: polish

2010-03-31 10:56  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: fix compilation
	  warnings

2010-03-31 09:56  cgilles

	* libs/template/TODO: this files must be moved to KDE4.5 (trunk)
	  Jens, can you do it as well. since digiKam 1.3.0 depand of
	  libkdcraw from trunk now, we ca also
	  set dependency to libkexiv2 to trunk version and remove
	  dupplicates implementation in digiKam/kipi-plugins.
	  This si want mean that digiKam and kipi-plugins 1.3.0 will depand
	  of libkexiv2 from trunk. libkexiv2 version
	  ids must be updgrated of course.
	  Thanks in advance
	  CCMAIL: tschenser@gmx.de

2010-03-31 08:30  cgilles

	* utilities/setup/setup.cpp, utilities/setup/setup.h: use right
	  icon for DB. polish

2010-03-31 07:33  foerster

	* digikam/albumsettings.cpp: Move the settings migration out of the
	  nepomuk section.

2010-03-31 06:58  cgilles

	* digikam/albummanager.cpp: fix warning

2010-03-30 21:40  jwienke

	* themedesigner/mainwindow.cpp: Fix model view port problems of
	  theme designer. Nevertheless, since the merge of the database
	  branch this still doesn't compile. DatabaseWidget is missing as
	  dependency. How to fix this? Holger?

2010-03-30 18:33  foerster

	* CMakeLists.txt, data/CMakeLists.txt, data/database,
	  data/database/CMakeLists.txt, data/database/dbconfig.xml.cmake,
	  data/database/mysql-global.conf, databaseserver,
	  databaseserver/CMakeLists.txt, databaseserver/databaseserver.cpp,
	  databaseserver/databaseserver.h, databaseserver/main.cpp,
	  databaseserver/org.kde.digikam.DatabaseServer.xml,
	  databaseserver/pollthread.cpp, databaseserver/pollthread.h,
	  digikam/CMakeLists.txt, digikam/albummanager.cpp,
	  digikam/albummanager.h, digikam/albumsettings.cpp,
	  digikam/albumsettings.h, digikam/databaseerrorhandler.cpp,
	  digikam/databaseerrorhandler.h, digikam/digikamapp.cpp,
	  digikam/digikamapp.h, digikam/digikamui.rc, digikam/main.cpp,
	  kioslave/digikamalbums.cpp, kioslave/digikamdates.cpp,
	  kioslave/digikamsearch.cpp, kioslave/digikamtags.cpp,
	  libs/database/albumdb.cpp, libs/database/albumdb.h,
	  libs/database/databaseaccess.cpp, libs/database/databaseaccess.h,
	  libs/database/databasebackend.cpp,
	  libs/database/databasebackend.h,
	  libs/database/databaseconfigelement.cpp,
	  libs/database/databaseconfigelement.h,
	  libs/database/databasecopymanager.cpp,
	  libs/database/databasecopymanager.h,
	  libs/database/databasecorebackend.cpp,
	  libs/database/databasecorebackend.h,
	  libs/database/databasecorebackend_p.h,
	  libs/database/databaseparameters.cpp,
	  libs/database/databaseparameters.h,
	  libs/database/databaseserverstarter.cpp,
	  libs/database/databaseserverstarter.h,
	  libs/database/haar/haariface.cpp, libs/database/imagelister.cpp,
	  libs/database/schemaupdater.cpp, libs/database/schemaupdater.h,
	  libs/database/sqlquery.cpp, libs/database/sqlquery.h,
	  libs/database/thumbnaildatabaseaccess.cpp,
	  libs/database/thumbnaildatabaseaccess.h,
	  libs/database/thumbnaildb.cpp, libs/database/thumbnaildb.h,
	  libs/database/thumbnailschemaupdater.cpp,
	  libs/database/upgradedb_sqlite2tosqlite3.cpp,
	  libs/database/upgradedb_sqlite2tosqlite3.h,
	  libs/dialogs/migrationdlg.cpp, libs/dialogs/migrationdlg.h,
	  libs/threadimageio/thumbnailcreator.cpp,
	  libs/threadimageio/thumbnailloadthread.cpp,
	  libs/threadimageio/thumbnailloadthread.h,
	  libs/widgets/common/databasewidget.cpp,
	  libs/widgets/common/databasewidget.h, tests/CMakeLists.txt,
	  tests/albummodeltest.cpp,
	  utilities/setup/databaseconnectionwidget.h,
	  utilities/setup/setup.cpp, utilities/setup/setup.h,
	  utilities/setup/setupcollections.cpp,
	  utilities/setup/setupcollections.h,
	  utilities/setup/setupdatabase.cpp,
	  utilities/setup/setupdatabase.h: Merged branch
	  Digikam-DatabaseExt into trunk.
	  
	  Happy easter holidays :)

2010-03-30 18:15  jwienke

	* NEWS, digikam/ratingwidget.cpp: Fix crash in rating widget.
	  
	  Thanks for the hint.
	  
	  BUG: 232628

2010-03-30 12:05  cgilles

	* libs/dimg/drawdecoding.cpp: polish

2010-03-30 12:01  cgilles

	* libs/dimg/drawdecoding.cpp, libs/dimg/drawdecoding.h: polish

2010-03-30 11:58  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow_p.h,
	  utilities/queuemanager/queuemgrwindow.cpp,
	  utilities/setup/setupdcraw.cpp, utilities/setup/setupdcraw.h:
	  remove warnings

2010-03-30 10:51  cgilles

	* libs/dimg/drawdecoding.cpp, libs/dimg/drawdecoding.h,
	  libs/dimg/loaders/rawloader.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp: remove
	  levels adjust from post processed settings (never used)

2010-03-30 09:21  cgilles

	* NEWS: update

2010-03-30 09:20  cgilles

	* CMakeLists.txt: compile

2010-03-30 09:20  cgilles

	* libs/dimg/drawdecoding.cpp, libs/dimg/drawdecoding.h: add cpp
	  file here

2010-03-30 08:01  cgilles

	* libs/dimg/drawdecoding.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp: new copy
	  constructor based on RawDecodingSettings object

2010-03-30 07:38  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/queuemanager/queuemgrwindow.cpp: compile with last
	  revert in libkdcraw

2010-03-30 07:36  cgilles

	* libs/dimg/drawdecoding.h: polish

2010-03-30 07:01  cgilles

	* NEWS: update

2010-03-29 21:55  cgilles

	* CMakeLists.txt, README, libs/dimg/filters/fx/filmgrainfilter.cpp:
	  libkdcraw depencency is 1.1.0, not 1.2.0

2010-03-29 21:50  cgilles

	* CMakeLists.txt: polish

2010-03-29 15:00  cgilles

	* CMakeLists.txt, README,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/queuemanager/queuemgrwindow.cpp: set libkdcraw
	  dependency to >= 1.2.0

2010-03-29 11:40  cgilles

	* CMakeLists.txt: 1.3.0 is open

2010-03-29 07:29  jnarboux

	* libs/dimg/filters/hsl/hslfilter.cpp: fix logic

2010-03-29 06:41  cgilles

	* NEWS: update

2010-03-29 06:38  cgilles

	* utilities/queuemanager/basetools/color/hslcorrection.cpp: HSL
	  correction tool is also available in Batch Queue Manager. Don't
	  forget to patch Vibrance management settings here, else, settings
	  widget
	  adjustment done by user will be ignored, and default value will
	  be used instead.
	  CCBUGS: 195561

2010-03-29 06:31  cgilles

	* project/NEWS.1.2.0: archive

2010-03-29 06:23  cgilles

	* libs/dimg/filters/hsl/hslfilter.cpp,
	  libs/dimg/filters/hsl/hslfilter.h,
	  libs/dimg/filters/hsl/hslsettings.cpp: fix warnings
	  polish
	  give credits to Julien

2010-03-29 06:07  jnarboux

	* libs/dimg/filters/hsl/hslfilter.cpp,
	  libs/dimg/filters/hsl/hslfilter.h,
	  libs/dimg/filters/hsl/hslsettings.cpp: First version of the
	  vibrance slider in the HSL tool.
	  
	  CCBUGS: 195561

2010-03-28 22:38  nlecureuil

	* NEWS: Commits are open for release 1.3.0

2010-03-28 22:17  nlecureuil

	* ChangeLog: Prepare for 1.2.0

1.2.0 2010-03-28
--------------------------------------------------------------------------------
2010-03-28 08:14  jnarboux

	* NEWS: update

2010-03-27 09:31  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: factoring

2010-03-26 21:40  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: more api doc

2010-03-26 21:38  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: add comments

2010-03-26 18:13  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: added comment

2010-03-26 13:54  jnarboux

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-26 10:55  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: New Possoin noise
	  generator based on an approximation of Gauss generator. It's very
	  fast.
	  Now mosaic must diseapear with large film grain value
	  CCBUGS: 148540

2010-03-26 10:16  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: To prevent mosaicing
	  between shadows, midtone, and highlight zone, we check now the
	  noise range of matrix pixels between reference point noise range.
	  If diffenrence is higher than 10%, matrix noise range is used
	  instead reference range to compute local noise for each point

2010-03-26 09:57  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: factorize compute noise
	  code

2010-03-26 09:35  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-26 09:33  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-26 09:30  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: rename local var

2010-03-26 07:51  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: add comments

2010-03-25 18:42  jnarboux

	* libs/dimg/filters/fx/filmgrainfilter.cpp: solve the color cast
	  problem

2010-03-25 15:10  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: check cancel in loop

2010-03-25 14:24  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp: polish

2010-03-25 13:40  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-25 13:31  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: fix infinite recursion to
	  Poisson generator

2010-03-25 12:42  cgilles

	* imageplugins/filters/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: enable Ok button only if
	  one type of noise will be add to image

2010-03-25 12:20  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-25 12:07  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-25 12:04  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: test if unecessary
	  computation

2010-03-25 12:02  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-25 11:36  cgilles

	* NEWS: update

2010-03-25 11:34  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/nr/nrsettings.cpp: usr YcbCr icons

2010-03-25 11:25  cgilles

	* data/pics/CMakeLists.txt, data/pics/colors-chromablue.png,
	  data/pics/colors-chromared.png, data/pics/colors-luma.png: add
	  icons for YUV color space

2010-03-25 11:06  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h,
	  libs/dimg/filters/fx/filmgrainsettings.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: add new
	  option to set photographic distribution

2010-03-25 09:16  cgilles

	* NEWS: update

2010-03-25 09:15  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: add comments

2010-03-25 09:12  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h,
	  libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: Add film
	  grain size settings.
	  Separate chrominance blue and red noise settings.
	  Fix inversion of shadows and highlight adjustements.
	  Factorize methods to set YCrCb adjustements.
	  Set methods as inline to speed up computation.
	  Use d private container.
	  CCBUGS: 148540

2010-03-25 07:46  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.h: fix default settings

2010-03-25 07:14  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	  kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	  utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	  utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	  messages (.desktop file)

2010-03-24 13:49  cgilles

	* imageplugins/filters/filmgraintool.cpp: use real image size to
	  compute preview here

2010-03-24 13:27  cgilles

	* utilities/queuemanager/basetools/filters/filmgrain.cpp: wrong
	  cast

2010-03-24 11:59  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: update

2010-03-24 11:52  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: compute all noise on
	  YCbCr color space. Drop HSL color space.
	  
	  To check shadows, midtone, and highlight area of image, use Luma
	  chanel from YUV instead Lightness chanel from HSL.
	  
	  Fix all glitch color generated aroung shadows and hightlight
	  pixels to clamp properly all values adjusted with graininess.
	  
	  CCBUGS: 148540

2010-03-24 11:20  cgilles

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h: constify

2010-03-24 11:09  cgilles

	* libs/dimg/dcolor.cpp: missing to clamp value from YUV to RGB.
	  This si why conversion look weird with highlight and shadows
	  colors

2010-03-24 10:28  cgilles

	* project/rgb2yuv.ods: debug yuv conversion sheet

2010-03-23 15:26  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: use double value
	  everywhere to compute chominance adjustement.
	  Clamp adjusted value with noise between 0.0 and 1.0.
	  CCBUGS: 148540

2010-03-23 11:26  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: improvements of
	  Chrominance noise generator

2010-03-23 08:56  cgilles

	* NEWS: update

2010-03-22 15:27  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h: polish

2010-03-22 15:15  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: include experimental
	  Chrominance code here. Use preprocessor settings to test this
	  code.
	  CCBUGS: 148540

2010-03-22 10:21  cgilles

	* libs/dimg/filters/README: update

2010-03-22 10:19  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: polish

2010-03-22 08:43  cgilles

	* NEWS: update

2010-03-22 07:03  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-21 17:34  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-21 16:02  jwienke

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow_p.h: Move legacy
	  sidebar state conversion code to a private method. Also use
	  initializer list in constructor to prevent the useless
	  initialization of a bunch of qstrings.
	  
	  I don't know why, but somehow this "solved" my sidebar restoring
	  problem.

2010-03-21 12:38  jwienke

	* digikam/digikamapp.cpp, digikam/digikamapp_p.h,
	  digikam/imagepreviewview.cpp, digikam/imagethumbnailbar.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h,
	  libs/dimg/filters/bw/infraredfilter.h,
	  libs/dimg/filters/bw/mixerfilter.h,
	  libs/dimg/filters/bw/tonalityfilter.h,
	  libs/dimg/filters/curves/curvesfilter.h,
	  libs/dimg/filters/decorate/bordersettings.cpp,
	  libs/dimg/filters/lc/localcontrastcontainer.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/levels/levelsfilter.h,
	  libs/dimg/filters/transform/contentawarefilter.h,
	  libs/dmetadata/dmetadata.cpp, libs/template/subjectwidget.cpp,
	  utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
	  utilities/cameragui/cameraui_p.h,
	  utilities/lighttable/lighttablepreview.cpp,
	  utilities/lighttable/lighttablewindow.cpp,
	  utilities/lighttable/lighttablewindow_p.h,
	  utilities/queuemanager/queuemgrwindow.cpp,
	  utilities/queuemanager/queuemgrwindow_p.h: Fix some krazy
	  warnings.

2010-03-21 00:38  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-20 21:08  mwiesweg

	* digikam/albumtreeview.cpp: fix copy+paste mistake

2010-03-20 18:26  jwienke

	* libs/imageproperties/imagedescedittab.cpp: remove unused code

2010-03-20 12:07  aclemens

	* NEWS: update

2010-03-20 12:07  jwienke

	* digikam/albumtreeview.cpp: tried to fix selection behaviour which
	  was a result from marcel's broken commit.

2010-03-20 12:05  aclemens

	* NEWS: update

2010-03-19 14:47  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: polish

2010-03-19 14:39  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h: on/off widget depending
	  of noise set

2010-03-19 14:32  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h,
	  libs/dimg/filters/fx/filmgrainsettings.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: add
	  settings to set luma or chroma noise independently
	  CCBUGS: 148540

2010-03-19 14:09  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp: typo

2010-03-19 14:08  cgilles

	* digikam/albumtreeview.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h,
	  libs/dimg/filters/fx/filmgrainsettings.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: Film
	  Grain : sensibility => intensity

2010-03-19 14:08  cgilles

	* imageplugins/color/bwsepiatool.cpp: fix i18n

2010-03-19 12:03  cgilles

	* digikam/digikamapp.cpp: since BQM includes similar tools, disable
	  some batch kipi-plugins now

2010-03-19 08:12  scripty

	* digikam/digikam.desktop, digikam/digikam.notifyrc,
	  imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop,
	  kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	  kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	  utilities/hotplug/digikam-download.desktop.cmake,
	  utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	  utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	  utilities/hotplug/digikam-opencamera.desktop.cmake,
	  utilities/imageeditor/editor/digikamimageplugin.desktop,
	  utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	  messages (.desktop file)

2010-03-18 18:23  jmueller

	* utilities/queuemanager/batchtool.cpp: reenable reset settings to
	  default

2010-03-18 17:30  mwiesweg

	* digikam/albumtreeview.cpp: Fix expandNewCurrentItem

2010-03-18 17:30  mwiesweg

	* NEWS: update

2010-03-18 15:55  cgilles

	* libs/dimg/dcolor.cpp: polish

2010-03-18 14:44  cgilles

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h: compute YCbCr value as
	  double, not int

2010-03-18 14:12  cgilles

	* libs/dimg/dcolor.cpp: polish

2010-03-18 12:51  cgilles

	* libs/dimg/filters/fx/filmgrainfilter.cpp: optimize : allocate
	  variable outside the loop to speed up

2010-03-18 12:48  cgilles

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h,
	  libs/dimg/filters/bw/tonalityfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/hsl/hslfilter.cpp: DColor : added 2 methods to
	  convert from RGB to YCrCb color space and vice versa.
	  CCBUGS: 148540

2010-03-18 12:21  cgilles

	* libs/dimg/filters/nr/nrfilter.cpp: polish

2010-03-18 12:18  cgilles

	* libs/dimg/filters/nr/nrfilter.cpp: polish

2010-03-18 11:33  cgilles

	* NEWS, imageplugins/TODO: update

2010-03-18 11:31  cgilles

	* CMakeLists.txt, libs/dimg/filters/decorate/borderfilter.cpp,
	  libs/dimg/filters/decorate/borderfilter.h,
	  libs/dimg/filters/decorate/bordersettings.cpp,
	  libs/dimg/filters/decorate/bordersettings.h,
	  utilities/queuemanager/basetools/decorate/border.cpp,
	  utilities/queuemanager/basetools/decorate/border.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: enable Border tool
	  for Batch Queue Manager

2010-03-18 10:08  cgilles

	* imageplugins/enhance/antivignettingtool.cpp: polish

2010-03-18 09:52  cgilles

	* libs/dimg/dcolor.cpp, libs/dimg/dcolor.h: if QColor is invalid,
	  reset Dcolor component and print a warning message on the console

2010-03-18 07:40  cgilles

	* NEWS: update

2010-03-18 06:56  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-18 06:33  aclemens

	* libs/dimg/filters/transform/freerotationfilter.cpp: pedantic

2010-03-17 14:59  cgilles

	* utilities/queuemanager/basetools/decorate/border.cpp,
	  utilities/queuemanager/basetools/decorate/border.h: start to
	  implement BQM border tool

2010-03-17 14:55  cgilles

	* imageplugins/decorate/bordertool.cpp,
	  imageplugins/decorate/bordertool.h: border tool use new common
	  settings widget npw

2010-03-17 14:49  cgilles

	* libs/dimg/filters/decorate/bordersettings.cpp: progress ++

2010-03-17 14:43  cgilles

	* libs/dimg/filters/decorate/bordersettings.cpp: progress ++

2010-03-17 14:34  cgilles

	* libs/dimg/filters/decorate/borderfilter.cpp,
	  libs/dimg/filters/decorate/bordersettings.cpp,
	  libs/dimg/filters/decorate/bordersettings.h: progress ++

2010-03-17 13:59  cgilles

	* CMakeLists.txt, libs/dimg/filters/decorate/bordersettings.cpp,
	  libs/dimg/filters/decorate/bordersettings.h: start to implement
	  Border settings widget

2010-03-17 13:30  cgilles

	* imageplugins/superimpose: rm

2010-03-17 13:29  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/digikamimageplugin_decorate_ui.rc,
	  imageplugins/decorate/imageplugin_decorate.cpp,
	  imageplugins/decorate/imageplugin_decorate.h,
	  imageplugins/decorate/superimpose,
	  imageplugins/decorate/superimpose/dirselectwidget.cpp,
	  imageplugins/decorate/superimpose/dirselectwidget.h,
	  imageplugins/decorate/superimpose/superimpose.cpp,
	  imageplugins/decorate/superimpose/superimpose.h,
	  imageplugins/decorate/superimpose/superimposetool.cpp,
	  imageplugins/decorate/superimpose/superimposetool.h,
	  imageplugins/decorate/superimpose/superimposewidget.cpp,
	  imageplugins/decorate/superimpose/superimposewidget.h,
	  imageplugins/superimpose/dirselectwidget.cpp,
	  imageplugins/superimpose/dirselectwidget.h,
	  imageplugins/superimpose/superimpose.cpp,
	  imageplugins/superimpose/superimpose.h,
	  imageplugins/superimpose/superimposetool.cpp,
	  imageplugins/superimpose/superimposetool.h,
	  imageplugins/superimpose/superimposewidget.cpp,
	  imageplugins/superimpose/superimposewidget.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  superimpose tool to decorate plugin

2010-03-17 12:57  cgilles

	* imageplugins/decorate/bordertool.cpp,
	  libs/dimg/filters/decorate/borderfilter.cpp,
	  libs/dimg/filters/decorate/borderfilter.h: use common settings
	  container here

2010-03-17 11:41  cgilles

	* imageplugins/decorate/CMakeLists.txt: compile

2010-03-17 11:40  cgilles

	* data/pics/CMakeLists.txt, data/pics/texturepatterns,
	  data/pics/texturepatterns/CMakeLists.txt,
	  data/pics/texturepatterns/bluejean-texture.png,
	  data/pics/texturepatterns/bricks-texture.png,
	  data/pics/texturepatterns/bricks2-texture.png,
	  data/pics/texturepatterns/burlap-texture.png,
	  data/pics/texturepatterns/canvas-texture.png,
	  data/pics/texturepatterns/cellwood-texture.png,
	  data/pics/texturepatterns/fabric-texture.png,
	  data/pics/texturepatterns/marble-texture.png,
	  data/pics/texturepatterns/marble2-texture.png,
	  data/pics/texturepatterns/metalwire-texture.png,
	  data/pics/texturepatterns/modern-texture.png,
	  data/pics/texturepatterns/moss-texture.png,
	  data/pics/texturepatterns/paper-texture.png,
	  data/pics/texturepatterns/paper2-texture.png,
	  data/pics/texturepatterns/stone-texture.png,
	  data/pics/texturepatterns/wall-texture.png: missing these files

2010-03-17 11:36  cgilles

	* data/pics/CMakeLists.txt, data/pics/borderpatterns,
	  imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/borderpatterns: move at common place

2010-03-17 11:33  cgilles

	* libs/dimg/filters/decorate/borderfilter.cpp,
	  libs/dimg/filters/decorate/borderfilter.h: polish

2010-03-17 11:20  cgilles

	* imageplugins/decorate/bordertool.cpp,
	  imageplugins/decorate/bordertool.h: polish

2010-03-17 11:13  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: polish

2010-03-17 08:52  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-17 08:48  cgilles

	* utilities/queuemanager/basetools/transform/rotate.cpp: angle is
	  double value

2010-03-17 08:46  cgilles

	* libs/dimg/filters/transform/freerotationsettings.cpp: missing
	  cast

2010-03-17 07:59  cgilles

	* NEWS: update

2010-03-17 07:53  cgilles

	* CMakeLists.txt, NEWS,
	  imageplugins/transform/freerotationtool.cpp,
	  imageplugins/transform/freerotationtool.h,
	  libs/dimg/filters/transform/freerotationsettings.cpp,
	  libs/dimg/filters/transform/freerotationsettings.h,
	  utilities/queuemanager/basetools/transform/rotate.cpp: add full
	  support of Free Rotation filter settings in BQM Rotate tool

2010-03-17 07:50  cgilles

	* NEWS: update

2010-03-17 07:49  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp: use a different
	  settings name from rc file to prevent broken adjustments in B&W
	  filter with an old value generated by digiKam < 1.2.0
	  BUGS: 231048

2010-03-16 18:58  mwiesweg

	* digikam/albummanager.cpp, digikam/albumtreeview.cpp: Dont reset
	  current item in icon view when clicking on selected album in left
	  side bar

2010-03-16 17:53  mwiesweg

	* NEWS, digikam/albumtreeview.cpp, digikam/albumtreeview.h,
	  digikam/datefolderview.cpp, digikam/leftsidebarwidgets.cpp,
	  utilities/fuzzysearch/fuzzysearchview.cpp,
	  utilities/gpssearch/gpssearchview.cpp: When a tree view shall
	  change the global current album,
	  this now must be explicitly enabled with a flag.
	  In the reported bug, the AlbumSelectWidget in some way fiddled
	  with the current album (only visible in the current album stored
	  in config for next start)
	  
	  BUG: 230358

2010-03-16 14:46  cgilles

	* imageplugins/transform/freerotationtool.cpp,
	  libs/dimg/filters/transform/freerotationfilter.cpp,
	  libs/dimg/filters/transform/freerotationfilter.h,
	  utilities/queuemanager/basetools/transform/rotate.cpp: introduce
	  free rotation settings container

2010-03-16 13:46  cgilles

	* libs/dimg/filters/transform/freerotationfilter.cpp,
	  libs/dimg/filters/transform/freerotationfilter.h: use a d private
	  internal class

2010-03-16 12:59  cgilles

	* imageplugins/TODO: update

2010-03-16 12:58  cgilles

	* utilities/queuemanager/basetools/transform/rotate.cpp,
	  utilities/queuemanager/basetools/transform/rotate.h: add initial
	  support of FreeRotation in Batch Queue Manager

2010-03-16 10:54  cgilles

	* libs/dimg/filters/transform/freerotationfilter.cpp,
	  libs/dimg/filters/transform/freerotationfilter.h: polish

2010-03-16 07:45  cgilles

	* utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	  utilities/queuemanager/basetools/enhance/restoration.cpp:
	  optimize

2010-03-16 07:38  cgilles

	* CMakeLists.txt, imageplugins/TODO,
	  utilities/queuemanager/basetools/color/convert16to8.cpp,
	  utilities/queuemanager/basetools/color/convert16to8.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: new Batch Queue
	  Manager tool to convert color depth from 16 to 8 bits

2010-03-16 07:33  cgilles

	* CMakeLists.txt, NEWS, imageplugins/TODO,
	  utilities/queuemanager/basetools/color/convert8to16.cpp,
	  utilities/queuemanager/basetools/color/convert8to16.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: new Batch Queue
	  Manager tool to convert color bits depth from 8 to 16 bits

2010-03-16 07:33  scripty

	* digikam/digikam.desktop, digikam/digikam.notifyrc,
	  imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/superimpose/digikamimageplugin_superimpose.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop,
	  kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
	  kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
	  utilities/hotplug/digikam-download.desktop.cmake,
	  utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
	  utilities/hotplug/digikam-mount-and-download.desktop.cmake,
	  utilities/hotplug/digikam-opencamera.desktop.cmake,
	  utilities/imageeditor/editor/digikamimageplugin.desktop,
	  utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	  messages (.desktop file)

2010-03-16 07:05  cgilles

	* CMakeLists.txt, NEWS, imageplugins/TODO,
	  utilities/queuemanager/basetools/color/invert.cpp,
	  utilities/queuemanager/basetools/color/invert.h,
	  utilities/queuemanager/batchtool.cpp,
	  utilities/queuemanager/batchtool.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: new Batch Queue
	  Manager tool to invert all image colors

2010-03-15 21:09  jmueller

	* NEWS, utilities/fuzzysearch/findduplicatesview.cpp,
	  utilities/fuzzysearch/findduplicatesview.h: cancel duplicate
	  search immediately
	  
	  BUGS: 223003

2010-03-15 21:06  mwiesweg

	* digikam/imageratingoverlay.cpp: Fix probable cause of crash seen
	  by Holger

2010-03-15 15:52  cgilles

	* NEWS: update

2010-03-15 15:50  cgilles

	* imageplugins/TODO: update

2010-03-15 15:47  cgilles

	* libs/dimg/filters/lens/antivignettingsettings.cpp,
	  utilities/queuemanager/batchtoolsmanager.cpp: enable
	  Antivignettings toom in Batch Queue Manager

2010-03-15 15:40  cgilles

	* CMakeLists.txt,
	  utilities/queuemanager/basetools/enhance/antivignetting.cpp,
	  utilities/queuemanager/basetools/enhance/antivignetting.h:
	  AntiVignetting BQM tool is implemented.

2010-03-15 15:29  cgilles

	* imageplugins/enhance/antivignettingtool.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.h: delegate preview
	  mask computation to setings view class. Compute preview when a
	  settings change, as a live view.

2010-03-15 15:21  cgilles

	* utilities/queuemanager/basetools/enhance/antivignetting.cpp,
	  utilities/queuemanager/basetools/enhance/antivignetting.h: start
	  to implement Antivignettings tool for BQM

2010-03-15 15:19  cgilles

	* imageplugins/color/bcgtool.cpp,
	  imageplugins/enhance/antivignettingtool.cpp: polish

2010-03-15 15:18  cgilles

	* imageplugins/enhance/antivignettingtool.cpp,
	  imageplugins/enhance/antivignettingtool.h,
	  libs/dimg/filters/lens/antivignettingsettings.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.h: use common
	  settings widget

2010-03-15 12:16  cgilles

	* libs/dimg/filters/README: update

2010-03-15 12:15  cgilles

	* CMakeLists.txt,
	  libs/dimg/filters/lens/antivignettingsettings.cpp,
	  libs/dimg/filters/lens/antivignettingsettings.h: start to
	  implement Antivignetting settings view

2010-03-15 11:59  cgilles

	* imageplugins/enhance/antivignettingtool.cpp: polish

2010-03-15 11:53  cgilles

	* imageplugins/enhance/imageplugin_enhance.cpp: missing to add
	  action to collection

2010-03-15 08:03  cgilles

	* imageplugins/enhance/antivignettingtool.cpp,
	  libs/dimg/filters/lens/antivignettingfilter.cpp,
	  libs/dimg/filters/lens/antivignettingfilter.h: use common
	  settings container for this tool

2010-03-14 21:31  jmueller

	* libs/widgets/common/dhistoryview.cpp,
	  libs/widgets/common/dhistoryview.h,
	  utilities/queuemanager/actions.h,
	  utilities/queuemanager/actionthread.cpp,
	  utilities/queuemanager/queuemgrwindow.cpp,
	  utilities/queuemanager/queuemgrwindow.h: - display canceling
	  message in history when stop action executed
	  - use new cancel entry and icon when canceled from renamedialog

2010-03-14 21:28  jmueller

	* imageplugins/color/channelmixertool.cpp: do recalculate effect on
	  histogram channel change

2010-03-14 13:57  cgilles

	* CMakeLists.txt, imageplugins/enhance/lensautofixtool.cpp,
	  imageplugins/enhance/lensautofixtool.h,
	  libs/dimg/filters/lens/lensfuncameraselector.cpp,
	  libs/dimg/filters/lens/lensfuncameraselector.h,
	  libs/dimg/filters/lens/lensfunfilter.cpp,
	  libs/dimg/filters/lens/lensfunfilter.h,
	  libs/dimg/filters/lens/lensfuniface.cpp,
	  libs/dimg/filters/lens/lensfuniface.h,
	  libs/dimg/filters/lens/lensfunsettings.cpp,
	  libs/dimg/filters/lens/lensfunsettings.h: separate lensfun widget
	  : camera selector and filter settings.
	  Redesign a little bit lensfun interface and optimize code
	  everywhere
	  next stage is to implement a BQM tool for lensfun.

2010-03-14 07:16  scripty

	* digikam/digikam.notifyrc: SVN_SILENT made messages (.desktop
	  file)

2010-03-13 15:14  jmueller

	* utilities/queuemanager/basetools/metadata/assigntemplate.cpp: fix
	  remove template can not be selected in BQM after selecting
	  dont_change template

2010-03-13 14:19  jmueller

	* digikam/main.cpp, libs/dialogs/libsinfodlg.cpp,
	  libs/imageproperties/imagepropertiessidebarcamgui.cpp,
	  showfoto/main.cpp: fix kexiv2 define in
	  imagepropertiessidebarcamgui
	  cleanup, remove old kexiv2 defines

2010-03-13 07:07  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-12 22:47  jmueller

	* NEWS, utilities/queuemanager/basetools/color/autocorrection.cpp,
	  utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.cpp,
	  utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/basetools/color/colorbalance.cpp,
	  utilities/queuemanager/basetools/color/curvesadjust.cpp,
	  utilities/queuemanager/basetools/color/hslcorrection.cpp,
	  utilities/queuemanager/basetools/color/iccconvert.cpp,
	  utilities/queuemanager/basetools/color/whitebalance.cpp,
	  utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	  utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	  utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	  utilities/queuemanager/basetools/convert/convert2png.cpp,
	  utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	  utilities/queuemanager/basetools/decorate/watermark.cpp,
	  utilities/queuemanager/basetools/enhance/blur.cpp,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	  utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	  utilities/queuemanager/basetools/enhance/restoration.cpp,
	  utilities/queuemanager/basetools/enhance/sharpen.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp,
	  utilities/queuemanager/basetools/metadata/assigntemplate.cpp,
	  utilities/queuemanager/basetools/transform/flip.cpp,
	  utilities/queuemanager/basetools/transform/resize.cpp,
	  utilities/queuemanager/basetools/transform/rotate.cpp,
	  utilities/queuemanager/batchtool.cpp,
	  utilities/queuemanager/batchtool.h,
	  utilities/queuemanager/queuelist.cpp: do not emit
	  signalAssignedToolsChanged when executing a tool and reset state
	  of queue items after tool changes (settings, position, add,
	  remove)
	  
	  BUGS: 201591

2010-03-12 22:28  cgilles

	* NEWS: update

2010-03-12 17:40  jmueller

	* imageplugins/enhance/CMakeLists.txt: fix compile error
	  "config-digikam.h: No such file or directory"

2010-03-12 13:34  cgilles

	* libs/dimg/filters/lens/STATUS, libs/dimg/filters/lens/TODO: merge

2010-03-12 13:32  cgilles

	* imageplugins/hotpixels: rm

2010-03-12 13:31  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/hotpixels,
	  imageplugins/enhance/hotpixels/TODO,
	  imageplugins/enhance/hotpixels/blackframelistview.cpp,
	  imageplugins/enhance/hotpixels/blackframelistview.h,
	  imageplugins/enhance/hotpixels/blackframeparser.cpp,
	  imageplugins/enhance/hotpixels/blackframeparser.h,
	  imageplugins/enhance/hotpixels/hotpixel.h,
	  imageplugins/enhance/hotpixels/hotpixelfixer.cpp,
	  imageplugins/enhance/hotpixels/hotpixelfixer.h,
	  imageplugins/enhance/hotpixels/hotpixelstool.cpp,
	  imageplugins/enhance/hotpixels/hotpixelstool.h,
	  imageplugins/enhance/hotpixels/weights.cpp,
	  imageplugins/enhance/hotpixels/weights.h,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/hotpixels/TODO,
	  imageplugins/hotpixels/blackframelistview.cpp,
	  imageplugins/hotpixels/blackframelistview.h,
	  imageplugins/hotpixels/blackframeparser.cpp,
	  imageplugins/hotpixels/blackframeparser.h,
	  imageplugins/hotpixels/hotpixel.h,
	  imageplugins/hotpixels/hotpixelfixer.cpp,
	  imageplugins/hotpixels/hotpixelfixer.h,
	  imageplugins/hotpixels/hotpixelstool.cpp,
	  imageplugins/hotpixels/hotpixelstool.h,
	  imageplugins/hotpixels/weights.cpp,
	  imageplugins/hotpixels/weights.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  hotpixels tool to enhance plugin

2010-03-12 13:04  cgilles

	* imageplugins/enhance/imageplugin_enhance.cpp: use right icon

2010-03-12 13:01  cgilles

	* imageplugins/enhance/lensautofixtool.cpp: optimize memory
	  allocation

2010-03-12 09:05  cgilles

	* imageplugins/enhance/lensautofixtool.cpp: use right icon

2010-03-12 09:04  cgilles

	* data/icons/digikam/hi128-action-lensautofix.png,
	  data/icons/digikam/hi16-action-lensautofix.png,
	  data/icons/digikam/hi22-action-lensautofix.png,
	  data/icons/digikam/hi32-action-lensautofix.png,
	  data/icons/digikam/hi48-action-lensautofix.png,
	  data/icons/digikam/hi64-action-lensautofix.png,
	  data/icons/digikam/hisc-action-lensautofix.svgz: add icon for
	  lensfun tool

2010-03-12 08:45  cgilles

	* imageplugins/TODO,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: polish

2010-03-12 08:43  cgilles

	* imageplugins/lenscorrection: rm

2010-03-12 08:42  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/lensdistortiontool.cpp,
	  imageplugins/enhance/lensdistortiontool.h,
	  imageplugins/lenscorrection/distortion/lensdistortiontool.cpp,
	  imageplugins/lenscorrection/distortion/lensdistortiontool.h: move
	  lensdistortion tool to enhance plugin

2010-03-12 08:36  cgilles

	* CMakeLists.txt, imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/distortion/lensdistortionfilter.cpp,
	  imageplugins/lenscorrection/distortion/lensdistortionfilter.h,
	  imageplugins/lenscorrection/distortion/pixelaccess.cpp,
	  imageplugins/lenscorrection/distortion/pixelaccess.h,
	  libs/dimg/filters/lens/lensdistortionfilter.cpp,
	  libs/dimg/filters/lens/lensdistortionfilter.h,
	  libs/dimg/filters/lens/pixelaccess.cpp,
	  libs/dimg/filters/lens/pixelaccess.h: move LensDistortion filter
	  to DImg

2010-03-12 07:34  scripty

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/filters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-12 06:52  cgilles

	* imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/distortion/lensdistortion.cpp,
	  imageplugins/lenscorrection/distortion/lensdistortion.h,
	  imageplugins/lenscorrection/distortion/lensdistortionfilter.cpp,
	  imageplugins/lenscorrection/distortion/lensdistortionfilter.h,
	  imageplugins/lenscorrection/distortion/lensdistortiontool.cpp,
	  imageplugins/lenscorrection/distortion/lensdistortiontool.h,
	  imageplugins/lenscorrection/imageplugin_lenscorrection.cpp:
	  rename class

2010-03-12 06:41  cgilles

	* imageplugins/lenscorrection/vignetting: rm

2010-03-12 06:40  cgilles

	* imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/antivignettingtool.cpp,
	  imageplugins/enhance/antivignettingtool.h,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/digikamimageplugin_lenscorrection_ui.rc,
	  imageplugins/lenscorrection/imageplugin_lenscorrection.cpp,
	  imageplugins/lenscorrection/imageplugin_lenscorrection.h,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.h: move
	  antivignetting tool to Enhance plugin

2010-03-12 06:30  cgilles

	* imageplugins/lenscorrection/vignetting/TODO,
	  libs/dimg/filters/lens/TODO: mv

2010-03-12 06:29  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/CMakeLists.txt,
	  imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/vignetting/antivignettingfilter.cpp,
	  imageplugins/lenscorrection/vignetting/antivignettingfilter.h,
	  libs/dimg/filters/lens, libs/dimg/filters/lens/STATUS,
	  libs/dimg/filters/lens/antivignettingfilter.cpp,
	  libs/dimg/filters/lens/antivignettingfilter.h,
	  libs/dimg/filters/lens/lensfunfilter.cpp,
	  libs/dimg/filters/lens/lensfunfilter.h,
	  libs/dimg/filters/lens/lensfuniface.cpp,
	  libs/dimg/filters/lens/lensfuniface.h,
	  libs/dimg/filters/lens/lensfunsettings.cpp,
	  libs/dimg/filters/lens/lensfunsettings.h,
	  libs/dimg/filters/lensfun, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: move Antivignettings filter to DImg

2010-03-11 21:41  cgilles

	* imageplugins/lenscorrection/autocorrection: rm

2010-03-11 21:40  cgilles

	* imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/vignetting/antivignetting.cpp,
	  imageplugins/lenscorrection/vignetting/antivignetting.h,
	  imageplugins/lenscorrection/vignetting/antivignettingfilter.cpp,
	  imageplugins/lenscorrection/vignetting/antivignettingfilter.h,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.h:
	  rename filter class

2010-03-11 21:32  cgilles

	* imageplugins/lenscorrection/vignetting/antivignetting.cpp,
	  imageplugins/lenscorrection/vignetting/antivignetting.h: polish

2010-03-11 21:28  cgilles

	* imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/lensautofixtool.cpp,
	  imageplugins/enhance/lensautofixtool.h,
	  imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
	  imageplugins/lenscorrection/autocorrection/autocorrectiontool.h,
	  imageplugins/lenscorrection/digikamimageplugin_lenscorrection_ui.rc,
	  imageplugins/lenscorrection/imageplugin_lenscorrection.cpp,
	  imageplugins/lenscorrection/imageplugin_lenscorrection.h: move
	  LensFun tool to Enhance plugin

2010-03-11 21:01  cgilles

	* libs/dimg/filters/lensfun/lensfunfilter.cpp,
	  libs/dimg/filters/lensfun/lensfunfilter.h,
	  libs/dimg/filters/lensfun/lensfuniface.cpp,
	  libs/dimg/filters/lensfun/lensfuniface.h,
	  libs/dimg/filters/lensfun/lensfunsettings.cpp,
	  libs/dimg/filters/lensfun/lensfunsettings.h: remove extra
	  namespace qualification
	  fix classes namespace

2010-03-11 20:24  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/CMakeLists.txt,
	  imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/autocorrection/STATUS,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.h,
	  imageplugins/lenscorrection/autocorrection/lensfuniface.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfuniface.h,
	  imageplugins/lenscorrection/autocorrection/lensfunsettings.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunsettings.h,
	  libs/dimg/filters/lensfun, libs/dimg/filters/lensfun/STATUS,
	  libs/dimg/filters/lensfun/lensfunfilter.cpp,
	  libs/dimg/filters/lensfun/lensfunfilter.h,
	  libs/dimg/filters/lensfun/lensfuniface.cpp,
	  libs/dimg/filters/lensfun/lensfuniface.h,
	  libs/dimg/filters/lensfun/lensfunsettings.cpp,
	  libs/dimg/filters/lensfun/lensfunsettings.h,
	  showfoto/CMakeLists.txt, themedesigner/CMakeLists.txt: Move
	  LensFun Filter to DImg

2010-03-11 20:16  jmueller

	* utilities/queuemanager/assignedlist.cpp,
	  utilities/queuemanager/queuemgrwindow.cpp: do not emit
	  signalAssignedToolsChanged when BQM current queue changes
	  
	  CCBUGS: 201591

2010-03-11 19:47  cgilles

	* imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.h,
	  imageplugins/lenscorrection/autocorrection/lensfuniface.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfuniface.h,
	  imageplugins/lenscorrection/autocorrection/lensfunsettings.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunsettings.h:
	  restructure classes files

2010-03-11 19:19  cgilles

	* imageplugins/lenscorrection/CMakeLists.txt,
	  imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
	  imageplugins/lenscorrection/autocorrection/autocorrectiontool.h,
	  imageplugins/lenscorrection/autocorrection/klensfun.cpp,
	  imageplugins/lenscorrection/autocorrection/klensfun.h,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.cpp,
	  imageplugins/lenscorrection/autocorrection/lensfunfilter.h:
	  rename classes and prepare inclusion to DImg

2010-03-11 18:53  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/filters, imageplugins/fxfilters: to be homogenous
	  with BQM tool, rename fxfilters to filters

2010-03-11 18:39  cgilles

	* NEWS: update

2010-03-11 16:58  mwiesweg

	* NEWS, libs/database/imageinfocache.cpp: Use a direct connection
	  here so that cache is invalidated immediately with the change.
	  It's mutex protected.
	  
	  BUG: 229578

2010-03-11 16:58  mwiesweg

	* digikam/metadatamanager.cpp: Make sure that transaction (only
	  needed for sqlite speedup) is finished
	  before emitting for writing. Otherwise, not all changes may have
	  taken effect.
	  (basically indentation changes)
	  
	  CCBUG: 229578

2010-03-11 16:58  mwiesweg

	* digikam/albummanager.cpp: Properly add thumbnail db journal to
	  dirwatch blacklist

2010-03-11 14:02  cgilles

	* utilities/imageeditor/canvas/imagepluginloader.cpp,
	  utilities/imageeditor/canvas/imagepluginloader.h: disable plugin
	  core loading definitively

2010-03-11 13:22  cgilles

	* imageplugins/enhance/digikamimageplugin_enhance_ui.rc: polish

2010-03-11 13:19  cgilles

	* imageplugins/enhance/digikamimageplugin_enhance_ui.rc: polish

2010-03-11 13:16  cgilles

	* imageplugins/inpainting: rm

2010-03-11 13:15  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/inpaintingtool.cpp,
	  imageplugins/enhance/inpaintingtool.h,
	  imageplugins/inpainting/imageplugin_inpainting.cpp,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/inpainting/inpaintingtool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  inpainting tool to Enhance plugin

2010-03-11 13:06  cgilles

	* imageplugins/color/CMakeLists.txt,
	  imageplugins/color/autocorrectiontool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: Core => Color

2010-03-11 13:04  cgilles

	* imageplugins/color/adjustcurvestool.cpp,
	  imageplugins/color/adjustcurvestool.h,
	  imageplugins/color/adjustlevelstool.cpp,
	  imageplugins/color/adjustlevelstool.h,
	  imageplugins/color/autocorrectiontool.cpp,
	  imageplugins/color/bcgtool.cpp, imageplugins/color/bcgtool.h,
	  imageplugins/color/bwsepiatool.cpp,
	  imageplugins/color/bwsepiatool.h, imageplugins/color/cbtool.cpp,
	  imageplugins/color/cbtool.h,
	  imageplugins/color/channelmixertool.cpp,
	  imageplugins/color/channelmixertool.h,
	  imageplugins/color/hsltool.cpp, imageplugins/color/hsltool.h,
	  imageplugins/color/imageplugin_color.cpp,
	  imageplugins/color/imageplugin_color.h,
	  imageplugins/color/profileconversiontool.cpp,
	  imageplugins/color/profileconversiontool.h,
	  imageplugins/color/whitebalancetool.cpp,
	  imageplugins/color/whitebalancetool.h: Core => Color

2010-03-11 12:57  cgilles

	* imageplugins/color/digikamimageplugin_color.desktop,
	  imageplugins/color/digikamimageplugin_color_ui.rc,
	  imageplugins/color/digikamimageplugin_core.desktop,
	  imageplugins/color/digikamimageplugin_core_ui.rc,
	  imageplugins/color/imageplugin_color.cpp,
	  imageplugins/color/imageplugin_color.h,
	  imageplugins/color/imageplugin_core.cpp,
	  imageplugins/color/imageplugin_core.h: compile

2010-03-11 12:56  cgilles

	* imageplugins/color/CMakeLists.txt,
	  imageplugins/color/digikamimageplugin_core.desktop,
	  imageplugins/color/digikamimageplugin_core_ui.rc: Core => color

2010-03-11 12:53  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/color, imageplugins/coreplugin: CorePlugin => Color

2010-03-11 12:49  cgilles

	* imageplugins/TODO: polish

2010-03-11 12:48  cgilles

	* imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/redeyetool.h,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/redeyetool.cpp,
	  imageplugins/enhance/redeyetool.h: move RedEyes tool to enhance
	  plugin

2010-03-11 12:40  cgilles

	* imageplugins/TODO: update

2010-03-11 12:40  cgilles

	* imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/localcontrasttool.cpp,
	  imageplugins/coreplugin/localcontrasttool.h,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/localcontrasttool.cpp,
	  imageplugins/enhance/localcontrasttool.h: move LocalContrast to
	  Enhance plugin

2010-03-11 12:34  cgilles

	* imageplugins/TODO, imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/noisereductiontool.cpp,
	  imageplugins/coreplugin/noisereductiontool.h,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/noisereductiontool.cpp,
	  imageplugins/enhance/noisereductiontool.h: move NR tool to
	  Enhance plugin

2010-03-11 12:27  cgilles

	* imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/sharpentool.cpp,
	  imageplugins/coreplugin/sharpentool.h,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/sharpentool.cpp,
	  imageplugins/enhance/sharpentool.h: move Sharpen tool to Enhance
	  plugin

2010-03-11 12:21  cgilles

	* imageplugins/TODO, imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/coreplugin/blurtool.h,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/blurtool.cpp,
	  imageplugins/enhance/blurtool.h,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h: move BlurTool to
	  Enhance plugin

2010-03-11 12:12  cgilles

	* imageplugins/enhance/CMakeLists.txt,
	  imageplugins/enhance/digikamimageplugin_enhance.desktop,
	  imageplugins/enhance/digikamimageplugin_enhance_ui.rc,
	  imageplugins/enhance/digikamimageplugin_restoration.desktop,
	  imageplugins/enhance/digikamimageplugin_restoration_ui.rc,
	  imageplugins/enhance/imageplugin_enhance.cpp,
	  imageplugins/enhance/imageplugin_enhance.h,
	  imageplugins/enhance/imageplugin_restoration.cpp,
	  imageplugins/enhance/imageplugin_restoration.h,
	  imageplugins/enhance/restorationtool.cpp,
	  imageplugins/enhance/restorationtool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: Restoration
	  => Enhance

2010-03-11 12:02  cgilles

	* imageplugins/TODO: update

2010-03-11 12:01  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/enhance,
	  imageplugins/restoration: restoration => enhance

2010-03-11 11:55  cgilles

	* imageplugins/coreplugin/CMakeLists.txt: polish

2010-03-11 11:17  cgilles

	* imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/filmgraintool.cpp,
	  imageplugins/coreplugin/filmgraintool.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/filmgraintool.cpp,
	  imageplugins/fxfilters/filmgraintool.h,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  FilmGrain tool to FxFilter plugin

2010-03-11 11:05  cgilles

	* imageplugins/TODO, imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/ratiocrop,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h,
	  imageplugins/transform/imageselectionwidget.cpp,
	  imageplugins/transform/imageselectionwidget.h,
	  imageplugins/transform/ratiocroptool.cpp,
	  imageplugins/transform/ratiocroptool.h: move ratio crop tool to
	  Transform plugin

2010-03-11 10:52  cgilles

	* imageplugins/TODO, imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/resizetool.cpp,
	  imageplugins/coreplugin/resizetool.h,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h,
	  imageplugins/transform/resizetool.cpp,
	  imageplugins/transform/resizetool.h: move resizetool to Transform
	  plugin

2010-03-11 10:23  cgilles

	* utilities/queuemanager/basetools/color/autocorrection.cpp,
	  utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.cpp,
	  utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/basetools/color/colorbalance.cpp,
	  utilities/queuemanager/basetools/color/curvesadjust.cpp,
	  utilities/queuemanager/basetools/color/hslcorrection.cpp,
	  utilities/queuemanager/basetools/color/iccconvert.cpp,
	  utilities/queuemanager/basetools/color/whitebalance.cpp,
	  utilities/queuemanager/basetools/convert/convert2jp2.cpp,
	  utilities/queuemanager/basetools/convert/convert2jp2.h,
	  utilities/queuemanager/basetools/convert/convert2jpeg.cpp,
	  utilities/queuemanager/basetools/convert/convert2jpeg.h,
	  utilities/queuemanager/basetools/convert/convert2pgf.cpp,
	  utilities/queuemanager/basetools/convert/convert2pgf.h,
	  utilities/queuemanager/basetools/convert/convert2png.cpp,
	  utilities/queuemanager/basetools/convert/convert2png.h,
	  utilities/queuemanager/basetools/convert/convert2tiff.cpp,
	  utilities/queuemanager/basetools/convert/convert2tiff.h,
	  utilities/queuemanager/basetools/decorate/watermark.cpp,
	  utilities/queuemanager/basetools/enhance/blur.cpp,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	  utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	  utilities/queuemanager/basetools/enhance/restoration.cpp,
	  utilities/queuemanager/basetools/enhance/sharpen.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp,
	  utilities/queuemanager/basetools/metadata/assigntemplate.cpp,
	  utilities/queuemanager/basetools/metadata/assigntemplate.h,
	  utilities/queuemanager/basetools/transform/flip.cpp,
	  utilities/queuemanager/basetools/transform/flip.h,
	  utilities/queuemanager/basetools/transform/resize.cpp,
	  utilities/queuemanager/basetools/transform/resize.h,
	  utilities/queuemanager/basetools/transform/rotate.cpp,
	  utilities/queuemanager/basetools/transform/rotate.h,
	  utilities/queuemanager/batchtool.cpp,
	  utilities/queuemanager/batchtool.h,
	  utilities/queuemanager/toolslistview.cpp,
	  utilities/queuemanager/toolsview.cpp,
	  utilities/queuemanager/toolsview.h: To be more suitable, the
	  Batch Queueu Manager tools list is not sorted to grouping tool by
	  topic : Convert, Transform, Enhance, Filters, etc...

2010-03-11 09:20  cgilles

	* utilities/queuemanager/toolslistview.cpp,
	  utilities/queuemanager/toolslistview.h: polish

2010-03-11 09:17  cgilles

	* utilities/queuemanager/batchtoolsmanager.cpp: polish

2010-03-11 09:14  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/resizetool.cpp,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/restoration/restorationtool.cpp,
	  libs/dimg/filters/greycstoration/greycstorationsettings.cpp,
	  libs/dimg/filters/greycstoration/greycstorationsettings.h,
	  libs/dimg/filters/greycstoration/greycstorationwidget.cpp,
	  libs/dimg/filters/greycstoration/greycstorationwidget.h:
	  GreycStorationWidget => GreycStorationSettings

2010-03-11 09:08  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/resizetool.cpp,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/inpainting/inpaintingtool.h,
	  imageplugins/restoration/restorationtool.cpp,
	  imageplugins/restoration/restorationtool.h,
	  libs/dialogs/infodlg.cpp, libs/dialogs/infodlg.h,
	  libs/dialogs/libsinfodlg.cpp, libs/dialogs/libsinfodlg.h,
	  libs/dimg/filters/greycstoration/greycstorationfilter.cpp,
	  libs/dimg/filters/greycstoration/greycstorationfilter.h,
	  libs/dimg/filters/greycstoration/greycstorationiface.cpp,
	  libs/dimg/filters/greycstoration/greycstorationiface.h,
	  libs/dimg/filters/greycstoration/greycstorationsettings.h,
	  libs/dimg/filters/greycstoration/greycstorationwidget.cpp,
	  libs/dimg/filters/greycstoration/greycstorationwidget.h,
	  utilities/queuemanager/basetools/enhance/restoration.cpp,
	  utilities/queuemanager/basetools/enhance/restoration.h:
	  GreycStorationIface => GreycStorationFilter

2010-03-11 08:37  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/CMakeLists.txt, libs/CMakeLists.txt,
	  libs/dimg/filters/greycstoration,
	  libs/dimg/filters/greycstoration/CMakeLists.txt,
	  libs/greycstoration, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: move greycstoration filter to DImg

2010-03-11 08:03  cgilles

	* imageplugins/TODO: update

2010-03-10 21:34  jmueller

	* imageplugins/coreplugin/hsltool.cpp: fix nondisappearing wait
	  cursor in final effect

2010-03-10 21:18  cgilles

	* utilities/queuemanager/basetools/color/bcgcorrection.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.h: use common
	  settings widget

2010-03-10 20:38  aclemens

	* utilities/advancedrename/parser/options/sequencenumberoption.cpp:
	  Fix generating of sequence number token string

2010-03-10 20:13  aclemens

	* libs/dimg/filters/lc/localcontrastfilter.cpp: pedantic

2010-03-10 15:30  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.cpp: Film Grain settings
	  widget is done. Use it on Film Grain image editor tool

2010-03-10 15:05  cgilles

	* CMakeLists.txt, libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h: compile

2010-03-10 15:01  cgilles

	* libs/dimg/filters/fx/filmgrainsettings.cpp,
	  libs/dimg/filters/fx/filmgrainsettings.h: start to implement
	  FilmGrain settings widget

2010-03-10 14:58  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: remember settings
	  between tool sessions

2010-03-10 14:27  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: polish

2010-03-10 14:26  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: polish

2010-03-10 14:12  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp: introduce
	  new Film Grain settings container

2010-03-10 13:46  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: compile

2010-03-10 13:44  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: polish

2010-03-10 12:13  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp: polish

2010-03-10 12:10  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h: remove unsused
	  methods

2010-03-10 11:59  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h: remove unsused method

2010-03-10 11:42  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.h: polish

2010-03-10 10:30  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp: use
	  tonemap icon

2010-03-10 10:29  cgilles

	* data/icons/digikam/hi128-action-tonemap.png,
	  data/icons/digikam/hi16-action-tonemap.png,
	  data/icons/digikam/hi22-action-tonemap.png,
	  data/icons/digikam/hi32-action-tonemap.png,
	  data/icons/digikam/hi48-action-tonemap.png,
	  data/icons/digikam/hi64-action-tonemap.png,
	  data/icons/digikam/hisc-action-tonemap.svgz,
	  data/icons/hi16-action-tonemap.png,
	  data/icons/hi22-action-tonemap.png,
	  data/icons/hi32-action-tonemap.png,
	  data/icons/hi48-action-tonemap.png,
	  data/icons/hi64-action-tonemap.png: fix tone map icon

2010-03-10 10:14  cgilles

	* data/icons/hi128-action-infrared.png,
	  data/icons/hi16-action-infrared.png,
	  data/icons/hi16-action-tonemap.png,
	  data/icons/hi22-action-infrared.png,
	  data/icons/hi22-action-tonemap.png,
	  data/icons/hi32-action-infrared.png,
	  data/icons/hi32-action-tonemap.png,
	  data/icons/hi48-action-infrared.png,
	  data/icons/hi48-action-tonemap.png,
	  data/icons/hi64-action-infrared.png,
	  data/icons/hi64-action-tonemap.png: rm infrared
	  add tonemap

2010-03-10 09:58  jnarboux

	* libs/dimg/filters/lc/localcontrastsettings.cpp: fix layout to
	  prevent having an horizontal scrollbar

2010-03-10 09:52  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp: optimize

2010-03-10 08:49  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp: polish

2010-03-10 08:46  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp: fix default
	  values

2010-03-10 08:41  scripty

	* imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-10 08:39  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp: polish

2010-03-10 08:34  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp: add debug statement
	  for high and low saturation adjustement

2010-03-10 08:30  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h: preview zoom value is
	  not used in digiKam

2010-03-10 08:27  cgilles

	* libs/dimg/filters/lc/localcontrastcontainer.cpp,
	  libs/dimg/filters/lc/localcontrastcontainer.h,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h: fast mode is an
	  obsolete settings

2010-03-10 08:27  cgilles

	* NEWS: update

2010-03-10 08:23  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	  utilities/queuemanager/batchtoolsmanager.cpp: enable Local
	  Contrast tool for Batch Queue Manager

2010-03-10 07:51  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/localcontrasttool.cpp,
	  imageplugins/coreplugin/localcontrasttool.h,
	  libs/dimg/filters/lc/localcontrastcontainer.cpp,
	  libs/dimg/filters/lc/localcontrastcontainer.h,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.h,
	  libs/dimg/filters/lc/tonemappingparameters.cpp,
	  libs/dimg/filters/lc/tonemappingparameters.h,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp:
	  ToneMappingParameters => LocalContrastContainer

2010-03-10 07:36  cgilles

	* libs/dimg/filters/README: update

2010-03-10 07:35  cgilles

	* NEWS: update

2010-03-10 07:34  cgilles

	* NEWS: update

2010-03-09 22:48  cgilles

	* CMakeLists.txt, libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  utilities/queuemanager/basetools/enhance/localcontrast.cpp,
	  utilities/queuemanager/basetools/enhance/localcontrast.h: start
	  to implement Local Contrast tool for Batch Queue Manager

2010-03-09 22:37  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.h: remove
	  ToneMappingParameters pointer, and use const ref instead.

2010-03-09 22:30  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/tonemappingparameters.cpp,
	  libs/dimg/filters/lc/tonemappingparameters.h: clean up all code.
	  no need staic method to post progress now...

2010-03-09 22:21  cgilles

	* CMakeLists.txt, libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/lc/tonemapping.cpp,
	  libs/dimg/filters/lc/tonemapping.h: bye bye ToneMapping class.
	  All is merged to LocalContrastFilter...

2010-03-09 22:08  cgilles

	* libs/dimg/filters/lc/tonemapping.cpp: polish

2010-03-09 22:07  cgilles

	* libs/dimg/filters/lc/tonemapping.cpp: polish

2010-03-09 22:02  cgilles

	* libs/dimg/filters/lc/tonemapping.cpp,
	  libs/dimg/filters/lc/tonemapping.h: use d private internal clas

2010-03-09 21:52  cgilles

	* libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/tonemapping.cpp,
	  libs/dimg/filters/lc/tonemapping.h: polish API

2010-03-09 21:44  cgilles

	* libs/dimg/filters/lc/tonemapping.cpp,
	  libs/dimg/filters/lc/tonemapping.h: polish

2010-03-09 21:31  cgilles

	* CMakeLists.txt, libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/tonemapping.cpp,
	  libs/dimg/filters/lc/tonemapping.h,
	  libs/dimg/filters/lc/tonemappingbase.cpp,
	  libs/dimg/filters/lc/tonemappingbase.h: rename class

2010-03-09 21:29  mwiesweg

	* digikam/CMakeLists.txt: fix linking again

2010-03-09 21:20  cgilles

	* CMakeLists.txt, libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/tonemappingbase.cpp,
	  libs/dimg/filters/lc/tonemappingbase.h,
	  libs/dimg/filters/lc/tonemappingfloat.cpp,
	  libs/dimg/filters/lc/tonemappingfloat.h: merge both tone mapping
	  classes

2010-03-09 21:19  mwiesweg

	* NEWS, digikam/imagecategorizedview.cpp,
	  digikam/imagecategorizedview.h, digikam/imageratingoverlay.cpp,
	  digikam/ratingwidget.cpp, digikam/ratingwidget.h: When changing
	  the rating, keep showing the overlays.
	  
	  Changing the rating causes refiltering of the view, which causes
	  the layoutChanged() signal, and relayouting of the view.
	  In this case hiding the overlays is necessary, but after the
	  view's relayout,
	  we can emit entered() again if the mouse is over an item.
	  Currently, this means the widgets are faded in again, which is a
	  bit
	  annoying.
	  
	  BUG: 228810

2010-03-09 21:19  mwiesweg

	* CMakeLists.txt, digikam/CMakeLists.txt: Glib2 is needed for lqr,
	  regardless if using system library
	  or code from 3rdparty. Fix linking when using embedded version.

2010-03-09 21:05  cgilles

	* libs/dimg/filters/lc/tonemappingbase.h: polish

2010-03-09 20:53  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp: add preview
	  histogram

2010-03-09 20:29  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp: polish

2010-03-09 20:27  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp,
	  imageplugins/coreplugin/localcontrasttool.h: use common settings
	  widget

2010-03-09 20:22  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp: compile

2010-03-09 20:09  cgilles

	* CMakeLists.txt: polish

2010-03-09 20:09  cgilles

	* digikam/CMakeLists.txt: GLIB2 need to be checked here.

2010-03-09 20:00  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp: complete

2010-03-09 19:59  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp: polish

2010-03-09 19:54  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp: ++

2010-03-09 19:36  cgilles

	* libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.h: ++

2010-03-09 18:33  cgilles

	* imageplugins/coreplugin/bcgtool.cpp: polish

2010-03-09 18:28  pino

	* digikam/CMakeLists.txt: link to glib and lqr-1 only if they were
	  found

2010-03-09 18:24  jmueller

	* imageplugins/transform/CMakeLists.txt: fix compile error
	  introduced with rev 1101096

2010-03-09 18:15  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp: polish

2010-03-09 17:52  cgilles

	* CMakeLists.txt, libs/dimg/filters/lc/localcontrastsettings.cpp,
	  libs/dimg/filters/lc/localcontrastsettings.h: start to implement
	  LocalContrast settings view

2010-03-09 17:40  cgilles

	* libs/dimg/filters/lc/tonemappingparameters.cpp,
	  libs/dimg/filters/lc/tonemappingparameters.h: polish

2010-03-09 17:31  cgilles

	* imageplugins/coreplugin/localcontrasttool.cpp: polish

2010-03-09 16:25  jmueller

	* NEWS, libs/widgets/common/dzoombar.cpp,
	  utilities/imageeditor/editor/editorstackview.cpp: do logarithmic
	  zoom value to zoom slider pos adjustment
	  
	  BUGS: 230003

2010-03-09 14:39  cgilles

	* imageplugins/localcontrast: rm

2010-03-09 14:39  cgilles

	* libs/dimg/filters/lc/tonemappingbase.cpp,
	  libs/dimg/filters/lc/tonemappingfloat.cpp: fix memory leak

2010-03-09 14:34  cgilles

	* NEWS: update

2010-03-09 14:26  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/localcontrasttool.cpp,
	  imageplugins/coreplugin/localcontrasttool.h,
	  imageplugins/localcontrast/localcontrasttool.cpp,
	  imageplugins/localcontrast/localcontrasttool.h,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/lc/tonemappingbase.cpp,
	  libs/dimg/filters/lc/tonemappingbase.h,
	  libs/dimg/filters/lc/tonemappingfloat.cpp,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move local
	  contrast to coreplugin
	  fix LocalContrastParameter settings management. Do not use a
	  cpnst ref to pass, but pointer, hosted by LocalContrastFloat
	  instance.
	  BUGS: 221992

2010-03-09 12:46  cgilles

	* CMakeLists.txt, imageplugins/localcontrast/CMakeLists.txt,
	  imageplugins/localcontrast/localcontrastfilter.cpp,
	  imageplugins/localcontrast/localcontrastfilter.h,
	  imageplugins/localcontrast/tonemappingbase.cpp,
	  imageplugins/localcontrast/tonemappingbase.h,
	  imageplugins/localcontrast/tonemappingfloat.cpp,
	  imageplugins/localcontrast/tonemappingfloat.h,
	  imageplugins/localcontrast/tonemappingparameters.cpp,
	  imageplugins/localcontrast/tonemappingparameters.h,
	  libs/dimg/filters/lc/localcontrastfilter.cpp,
	  libs/dimg/filters/lc/localcontrastfilter.h,
	  libs/dimg/filters/lc/tonemappingbase.cpp,
	  libs/dimg/filters/lc/tonemappingbase.h,
	  libs/dimg/filters/lc/tonemappingfloat.cpp,
	  libs/dimg/filters/lc/tonemappingfloat.h,
	  libs/dimg/filters/lc/tonemappingparameters.cpp,
	  libs/dimg/filters/lc/tonemappingparameters.h: move localcontrast
	  filter to dimg

2010-03-09 12:14  cgilles

	* digikam/CMakeLists.txt, imageplugins/CMakeLists.txt,
	  libs/dimg/filters/README, libs/dimg/filters/lc,
	  showfoto/CMakeLists.txt, themedesigner/CMakeLists.txt: new subdir
	  to host local contrast filter

2010-03-09 12:10  cgilles

	* imageplugins/localcontrast/tonemappingfloat.cpp,
	  imageplugins/localcontrast/tonemappingfloat.h: polish

2010-03-09 12:08  cgilles

	* imageplugins/localcontrast/CMakeLists.txt,
	  imageplugins/localcontrast/localcontrast.cpp,
	  imageplugins/localcontrast/localcontrast.h,
	  imageplugins/localcontrast/localcontrastfilter.cpp,
	  imageplugins/localcontrast/localcontrastfilter.h,
	  imageplugins/localcontrast/localcontrasttool.cpp,
	  imageplugins/localcontrast/localcontrasttool.h: LocalContrast =>
	  LocalContrastFilter

2010-03-09 11:53  cgilles

	* NEWS: update

2010-03-09 11:27  cgilles

	* imageplugins/localcontrast/CMakeLists.txt,
	  imageplugins/localcontrast/tonemappingint.cpp,
	  imageplugins/localcontrast/tonemappingint.h: int based
	  implementation will never used here

2010-03-09 11:26  cgilles

	* imageplugins/localcontrast/tonemappingbase.cpp,
	  imageplugins/localcontrast/tonemappingbase.h,
	  imageplugins/localcontrast/tonemappingparameters.cpp,
	  imageplugins/localcontrast/tonemappingparameters.h: load and save
	  settings is delegate to editor tool implementation

2010-03-09 10:55  cgilles

	* imageplugins/transform/contentawareresizetool.cpp,
	  libs/dimg/filters/transform/contentawarefilter.cpp,
	  libs/dimg/filters/transform/contentawarefilter.h: use a settings
	  container here

2010-03-09 09:21  cgilles

	* imageplugins/contentawareresizing: rm

2010-03-09 09:21  cgilles

	* utilities/imageeditor/canvas/imagepluginloader.cpp: update list

2010-03-09 09:11  cgilles

	* imageplugins/TODO: update

2010-03-09 09:10  cgilles

	* CMakeLists.txt, config-digikam.h.cmake,
	  imageplugins/CMakeLists.txt,
	  imageplugins/contentawareresizing/TODO,
	  imageplugins/contentawareresizing/contentawareresizetool.cpp,
	  imageplugins/contentawareresizing/contentawareresizetool.h,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/TODO,
	  imageplugins/transform/contentawareresizetool.cpp,
	  imageplugins/transform/contentawareresizetool.h,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h: move
	  ContentAwareResize Tool to Transform Tool

2010-03-09 08:33  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/contentawareresizing/CMakeLists.txt,
	  imageplugins/contentawareresizing/contentawareresizer.cpp,
	  imageplugins/contentawareresizing/contentawareresizer.h,
	  imageplugins/contentawareresizing/contentawareresizetool.cpp,
	  imageplugins/contentawareresizing/contentawareresizetool.h,
	  libs/dimg/filters/transform/contentawarefilter.cpp,
	  libs/dimg/filters/transform/contentawarefilter.h: move
	  ContentAwareFilter to Dimg

2010-03-09 08:08  cgilles

	* imageplugins/contentawareresizing/TODO: update

2010-03-09 08:07  cgilles

	* imageplugins/contentawareresizing/contentawareresizer.cpp,
	  imageplugins/contentawareresizing/contentawareresizer.h: polish

2010-03-09 07:59  cgilles

	* libs/widgets/common/splashscreen.cpp,
	  libs/widgets/common/splashscreen.h: limit text to show at 49 char

2010-03-09 07:22  scripty

	* imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/transform/digikamimageplugin_transform.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-09 06:21  aclemens

	* NEWS: update

2010-03-08 18:47  pino

	* tests/CMakeLists.txt: freerotationfilter.cpp is already compiled
	  in digikamcore, so no need to compile it again

2010-03-08 14:57  cgilles

	* utilities/imageeditor/canvas/imagepluginloader.cpp: fix plugin
	  name

2010-03-08 14:53  cgilles

	* imageplugins/border: rm

2010-03-08 14:38  cgilles

	* imageplugins/texture: rm

2010-03-08 14:37  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/digikamimageplugin_decorate_ui.rc,
	  imageplugins/decorate/imageplugin_decorate.cpp,
	  imageplugins/decorate/imageplugin_decorate.h,
	  imageplugins/decorate/texturetool.cpp,
	  imageplugins/decorate/texturetool.h: move texture tool to
	  Decorate

2010-03-08 14:25  cgilles

	* imageplugins/decorate/borderpatterns/CMakeLists.txt: polish

2010-03-08 14:25  cgilles

	* imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/borderpatterns,
	  imageplugins/decorate/patterns: mv

2010-03-08 14:22  cgilles

	* imageplugins/border/patterns,
	  imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/bordertool.cpp,
	  imageplugins/decorate/patterns: polish

2010-03-08 14:20  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/border/bordertool.cpp,
	  imageplugins/border/bordertool.h,
	  imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/bordertool.cpp,
	  imageplugins/decorate/bordertool.h,
	  imageplugins/decorate/digikamimageplugin_decorate_ui.rc,
	  imageplugins/decorate/imageplugin_decorate.cpp,
	  imageplugins/decorate/imageplugin_decorate.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move border
	  tool to Decorate plugin

2010-03-08 14:13  cgilles

	* imageplugins/TODO, imageplugins/decorate/CMakeLists.txt,
	  imageplugins/decorate/digikamimageplugin_decorate.desktop,
	  imageplugins/decorate/digikamimageplugin_decorate_ui.rc,
	  imageplugins/decorate/digikamimageplugin_inserttext.desktop,
	  imageplugins/decorate/digikamimageplugin_inserttext_ui.rc,
	  imageplugins/decorate/imageplugin_decorate.cpp,
	  imageplugins/decorate/imageplugin_decorate.h,
	  imageplugins/decorate/imageplugin_inserttext.cpp,
	  imageplugins/decorate/imageplugin_inserttext.h,
	  imageplugins/decorate/inserttexttool.cpp,
	  imageplugins/decorate/inserttexttool.h,
	  imageplugins/decorate/inserttextwidget.cpp,
	  imageplugins/decorate/inserttextwidget.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: create
	  Decorate plugin to host InsertText, Border, Texture and Template
	  tools

2010-03-08 13:58  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/decorate,
	  imageplugins/inserttext: mv

2010-03-08 13:53  cgilles

	* CMakeLists.txt, imageplugins/border/CMakeLists.txt,
	  imageplugins/border/borderfilter.cpp,
	  imageplugins/border/borderfilter.h,
	  imageplugins/border/bordertool.cpp,
	  imageplugins/texture/CMakeLists.txt,
	  imageplugins/texture/texture.cpp, imageplugins/texture/texture.h,
	  imageplugins/texture/texturetool.cpp,
	  imageplugins/texture/texturetool.h,
	  libs/dimg/filters/decorate/borderfilter.cpp,
	  libs/dimg/filters/decorate/borderfilter.h,
	  libs/dimg/filters/decorate/texturefilter.cpp,
	  libs/dimg/filters/decorate/texturefilter.h: move texture filter
	  to DImg

2010-03-08 12:35  cgilles

	* digikam/CMakeLists.txt, imageplugins/CMakeLists.txt,
	  libs/dimg/filters/decorate, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: add new sub dir to host decorate
	  filters

2010-03-08 10:12  cgilles

	* imageplugins/sheartool: rm

2010-03-08 10:05  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/sheartool/sheartool.cpp,
	  imageplugins/sheartool/sheartool.h,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h,
	  imageplugins/transform/sheartool.cpp,
	  imageplugins/transform/sheartool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move shear
	  tool to transform tool

2010-03-08 09:54  cgilles

	* imageplugins/freerotation: rm

2010-03-08 09:53  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/freerotation/freerotationtool.h,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/freerotationtool.cpp,
	  imageplugins/transform/freerotationtool.h,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  freerotation tool to Transform tool

2010-03-08 09:39  cgilles

	* imageplugins/CMakeLists.txt: compile

2010-03-08 09:38  cgilles

	* imageplugins/perspective, imageplugins/transform,
	  imageplugins/transform/CMakeLists.txt,
	  imageplugins/transform/digikamimageplugin_transform.desktop,
	  imageplugins/transform/digikamimageplugin_transform_ui.rc,
	  imageplugins/transform/imageplugin_transform.cpp,
	  imageplugins/transform/imageplugin_transform.h,
	  imageplugins/transform/matrix.cpp,
	  imageplugins/transform/matrix.h,
	  imageplugins/transform/perspectivetool.cpp,
	  imageplugins/transform/perspectivetool.h,
	  imageplugins/transform/perspectivewidget.cpp,
	  imageplugins/transform/perspectivewidget.h,
	  imageplugins/transform/triangle.cpp,
	  imageplugins/transform/triangle.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: rename
	  perspective tool as transform tool. It will host too freerotation
	  and shear tool later to factorize and limit plugins to load at
	  editor startup

2010-03-08 09:03  cgilles

	* imageplugins/perspective/matrix.cpp,
	  imageplugins/perspective/matrix.h,
	  imageplugins/perspective/perspectivetool.cpp,
	  imageplugins/perspective/perspectivetool.h,
	  imageplugins/perspective/triangle.cpp,
	  imageplugins/perspective/triangle.h: polish

2010-03-08 08:57  cgilles

	* CMakeLists.txt, imageplugins/sheartool/CMakeLists.txt,
	  imageplugins/sheartool/shear.cpp, imageplugins/sheartool/shear.h,
	  imageplugins/sheartool/sheartool.cpp,
	  imageplugins/sheartool/sheartool.h,
	  libs/dimg/filters/transform/shearfilter.cpp,
	  libs/dimg/filters/transform/shearfilter.h: move Shear filter to
	  Dimg

2010-03-08 06:53  scripty

	* imageplugins/fxfilters/digikamimageplugin_fxfilters.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-07 21:15  cgilles

	* NEWS: update

2010-03-07 19:02  pino

	* tests/CMakeLists.txt: add more needed libraries: kdeui for
	  searchtextbartest, and kexiv2 for albummodeltest

2010-03-07 18:32  aclemens

	* tests/CMakeLists.txt, tests/freerotationtest.cpp: fix compile

2010-03-07 18:32  aclemens

	* libs/widgets/common/previewwidget.h: this is not needed

2010-03-07 18:11  cgilles

	* CMakeLists.txt, imageplugins/freerotation/CMakeLists.txt,
	  imageplugins/freerotation/freerotation.cpp,
	  imageplugins/freerotation/freerotation.h,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/freerotation/freerotationtool.h,
	  libs/dimg/filters/transform/freerotationfilter.cpp,
	  libs/dimg/filters/transform/freerotationfilter.h: move
	  FreeRotation filter to Dimg

2010-03-07 17:45  aclemens

	* libs/widgets/common/previewwidget.h,
	  utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h: When switching
	  preview modes, make sure to render the filter to see the effect.
	  Maybe this can be improved by disconnecting this when the Try
	  button is set.
	  Right now every filter will autofire on preview mode change (but
	  we do this
	  also for resizeEvents, so maybe it isn't bad at all)...

2010-03-07 17:39  cgilles

	* digikam/CMakeLists.txt, imageplugins/CMakeLists.txt,
	  libs/dimg/filters/transform, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: add transform subdir

2010-03-07 17:34  mwiesweg

	* libs/jpegutils/libjpeg-80/transupp.c,
	  libs/jpegutils/libjpeg-80/transupp.cpp: rename

2010-03-07 17:33  mwiesweg

	* CMakeLists.txt, NEWS, digikam/CMakeLists.txt,
	  libs/jpegutils/jinclude.h, libs/jpegutils/jpegint.h,
	  libs/jpegutils/libjpeg-62/transupp.c,
	  libs/jpegutils/libjpeg-62/transupp.cpp,
	  libs/jpegutils/libjpeg-62/transupp.h,
	  libs/jpegutils/libjpeg-80/transupp.c,
	  libs/jpegutils/libjpeg-80/transupp.h,
	  libs/jpegutils/transupp.cpp, libs/jpegutils/transupp.h:
	  Completing Aurelien's fix:
	  Now we use separate directories to compile for libjpeg62 and
	  libjpeg8.
	  I tested for libjpeg62, and would appreciate testing for
	  libjpeg8.
	  
	  BUG: 228483

2010-03-07 17:28  cgilles

	* libs/dimg/dcolorpixelaccess.h: polish

2010-03-07 17:22  jnarboux

	* imageplugins/coreplugin/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: First try at chrominance
	  noise.
	  
	  BUGS: 148540

2010-03-07 17:12  cgilles

	* NEWS: update

2010-03-07 17:00  mwiesweg

	* libs/jpegutils/libjpeg-62, libs/jpegutils/libjpeg-80: Copying
	  Aurelien's fix
	  
	  CCBUG: 228483

2010-03-07 16:40  jmueller

	* imageplugins/coreplugin/adjustlevelstool.cpp: - do no start
	  filter calculation on every histogram channel change (but change
	  sliders)
	  - adjust input level scale (lin/log) on tool startup

2010-03-07 16:04  aclemens

	* utilities/batch/batchthumbsgenerator.cpp: add comment

2010-03-07 15:59  aclemens

	* libs/database/thumbnaildb.cpp, libs/database/thumbnaildb.h,
	  utilities/batch/batchthumbsgenerator.cpp: Since we do not
	  generate thumbnails for movie files, ignore all other types
	  than image files in the "Rebuild Thumbnails" dialog.

2010-03-07 13:58  mwiesweg

	* libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/widgets/iccprofiles/cietonguewidget.cpp,
	  libs/widgets/iccprofiles/cietonguewidget.h,
	  libs/widgets/iccprofiles/iccprofilewidget.cpp,
	  libs/widgets/iccprofiles/iccprofilewidget.h: For RAW files, do
	  not display the color profile of the preview,
	  but instead show "Uncalibrated color space"
	  
	  CCBUG: 229370

2010-03-07 13:25  mwiesweg

	* digikam/albummanager.cpp, libs/models/abstractalbummodel.cpp,
	  libs/models/abstractalbummodel.h: No need to regenerate the map
	  (which can be costly) but
	  just update the state with the stored map.
	  
	  CCBUG: 229574

2010-03-07 13:25  mwiesweg

	* NEWS, digikam/imagethumbnailbar.cpp: Do not check if flow really
	  changed - in some circumstance,
	  the method will never be executed then.
	  
	  BUG: 229690

2010-03-07 10:34  jnarboux

	* imageplugins/coreplugin/filmgraintool.cpp: Use default values
	  which simulates real film grain. More noise is applied to
	  midtones.
	  
	  BUGS: 148540

2010-03-07 10:18  jnarboux

	* imageplugins/coreplugin/filmgraintool.cpp: fix bug: final image
	  was not taking into account parameters, auto fire when changing
	  settings, suppress try button

2010-03-07 10:12  jnarboux

	* libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: Add a function to
	  randomize a value, replace c++ rand by qt rand which should be
	  portable on windows, do not use a random seed so that the noise
	  pattern will always be the same.

2010-03-07 10:05  jmueller

	* imageplugins/coreplugin/adjustlevelstool.cpp: fix 1px offset
	  between output histogram and input histogram in adjust levels
	  tool

2010-03-07 09:32  jmueller

	* imageplugins/coreplugin/adjustcurvestool.cpp,
	  libs/dimg/filters/curves/curvessettings.cpp,
	  libs/dimg/filters/curves/curvessettings.h,
	  libs/widgets/common/curvesbox.cpp,
	  libs/widgets/common/curvesbox.h: fix offset between output
	  histogram and curves in adjust curves tool

2010-03-07 06:56  scripty

	* imageplugins/fxfilters/digikamimageplugin_fxfilters.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-07 01:16  cgilles

	* imageplugins/TODO: update

2010-03-07 01:13  cgilles

	* imageplugins/raindrop: rm

2010-03-07 01:12  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  imageplugins/fxfilters/raindroptool.cpp,
	  imageplugins/fxfilters/raindroptool.h,
	  imageplugins/raindrop/raindroptool.cpp,
	  imageplugins/raindrop/raindroptool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move RainDrop
	  tool to FxFilters

2010-03-07 01:06  cgilles

	* CMakeLists.txt, imageplugins/raindrop/CMakeLists.txt,
	  imageplugins/raindrop/raindrop.cpp,
	  imageplugins/raindrop/raindrop.h,
	  imageplugins/raindrop/raindroptool.cpp,
	  imageplugins/raindrop/raindroptool.h,
	  libs/dimg/filters/fx/raindropfilter.cpp,
	  libs/dimg/filters/fx/raindropfilter.h: move RainDrop filter to
	  Dimg

2010-03-07 00:56  cgilles

	* imageplugins/raindrop/raindrop.h: polish

2010-03-07 00:54  cgilles

	* imageplugins/distortionfx: rm

2010-03-07 00:53  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.h,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/distortionfxtool.cpp,
	  imageplugins/fxfilters/distortionfxtool.h,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  DistortionFx tool to FxFilters

2010-03-07 00:45  cgilles

	* CMakeLists.txt, imageplugins/distortionfx/CMakeLists.txt,
	  imageplugins/distortionfx/distortionfx.cpp,
	  imageplugins/distortionfx/distortionfx.h,
	  imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.h,
	  libs/dimg/filters/fx/blurfxfilter.h,
	  libs/dimg/filters/fx/distortionfxfilter.cpp,
	  libs/dimg/filters/fx/distortionfxfilter.h: move DistortionFx
	  filter to DImg

2010-03-07 00:31  cgilles

	* imageplugins/blurfx: rm

2010-03-07 00:31  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/blurfx/blurfxtool.cpp,
	  imageplugins/blurfx/blurfxtool.h,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/blurfxtool.cpp,
	  imageplugins/fxfilters/blurfxtool.h,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move blurfx
	  tool to FxFilters

2010-03-07 00:23  cgilles

	* CMakeLists.txt, imageplugins/blurfx/CMakeLists.txt,
	  imageplugins/blurfx/blurfx.cpp, imageplugins/blurfx/blurfx.h,
	  imageplugins/blurfx/blurfxtool.cpp,
	  imageplugins/blurfx/blurfxtool.h,
	  libs/dimg/filters/fx/blurfxfilter.cpp,
	  libs/dimg/filters/fx/blurfxfilter.h: move BlurFx filter to DImg

2010-03-07 00:05  cgilles

	* imageplugins/oilpaint: rm

2010-03-07 00:04  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  imageplugins/fxfilters/oilpainttool.cpp,
	  imageplugins/fxfilters/oilpainttool.h,
	  imageplugins/oilpaint/oilpainttool.cpp,
	  imageplugins/oilpaint/oilpainttool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: merge
	  OilPaint tool to FxFilters

2010-03-06 23:57  cgilles

	* imageplugins/TODO, imageplugins/emboss: rm

2010-03-06 23:57  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/emboss/embosstool.cpp,
	  imageplugins/emboss/embosstool.h,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/embosstool.cpp,
	  imageplugins/fxfilters/embosstool.h,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: merge Emboss
	  tool to FxFilters

2010-03-06 23:49  cgilles

	* imageplugins/charcoal: rm

2010-03-06 23:47  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/charcoal/charcoaltool.cpp,
	  imageplugins/charcoal/charcoaltool.h,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/charcoaltool.cpp,
	  imageplugins/fxfilters/charcoaltool.h,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: merge
	  Charcoal tool to FxFilters

2010-03-06 23:32  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/colorfx, imageplugins/fxfilters,
	  imageplugins/fxfilters/CMakeLists.txt,
	  imageplugins/fxfilters/colorfxtool.cpp,
	  imageplugins/fxfilters/colorfxtool.h,
	  imageplugins/fxfilters/digikamimageplugin_colorfx.desktop,
	  imageplugins/fxfilters/digikamimageplugin_colorfx_ui.rc,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters.desktop,
	  imageplugins/fxfilters/digikamimageplugin_fxfilters_ui.rc,
	  imageplugins/fxfilters/imageplugin_colorfx.cpp,
	  imageplugins/fxfilters/imageplugin_colorfx.h,
	  imageplugins/fxfilters/imageplugin_fxfilters.cpp,
	  imageplugins/fxfilters/imageplugin_fxfilters.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: rename
	  ColorFx tool as FxFilters.
	  Charcoal, Emboss, and Oilpaint tool will me merged in this common
	  plugin later

2010-03-06 23:06  jwienke

	* CMakeLists.txt, digikam/folderviewtooltip.cpp,
	  digikam/folderviewtooltip.h: remove unused class left over from
	  model view porting

2010-03-06 22:56  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: fix warnings

2010-03-06 22:43  cgilles

	* imageplugins/coreplugin/digikamimageplugin_core_ui.rc: broken XML
	  tag

2010-03-06 22:42  cgilles

	* imageplugins/lenscorrection/digikamimageplugin_lenscorrection_ui.rc:
	  polish

2010-03-06 22:17  welwarsky

	* imageplugins/coreplugin/bwsepiatool.cpp: prevent resource leaks,
	  delete preview and settings because they have no parent.

2010-03-06 22:16  welwarsky

	* libs/dimg/filters/bw/bwsepiasettings.cpp: fix parent/child
	  relations, based on my understanding
	  Layouts do not take ownership of the widgets they manage, those
	  must be either explicitly deleted or or be child of another
	  widget in the tree.
	  KTabWidget takes ownership of its tabs, those don't need a
	  parent.
	  

2010-03-06 22:09  welwarsky

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: allow construction
	  of PreviewList without a parent
	  PreviewThreadWrapper must not be a child of the PreviewLists
	  parent, this causes crashes when the parent widget is destroyed
	  before the PreviewLists destructor is called

2010-03-06 17:15  jwienke

	* NEWS, digikam/albummanager.cpp: Update tag count after moving.
	  
	  Marcel, can this be a performance problem? For me this was nearly
	  instant. The thing is, normally we know the counts before moving,
	  so we could manipulate the count map directly, but this is the
	  more safe way to my mind.
	  
	  CCMAIL: marcel.wiesweg@gmx.net
	  BUG: 229574

2010-03-06 17:01  jmueller

	* libs/widgets/common/curvesbox.cpp: remove uneccessary repaint()
	  as curveswidget does update() on his own.

2010-03-06 14:06  aclemens

	* imageplugins/coreplugin/bwsepiatool.cpp: Fix filter name in
	  sidepanel tab

2010-03-06 13:19  pino

	* tests/CMakeLists.txt: albummodeltest needs kio & dependencies,
	  QtXml and kdcraw, so link to them

2010-03-06 13:14  jnarboux

	* imageplugins/coreplugin/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: Add sliders to add
	  different amounts of noise to highlights, midtones and shadows.
	  
	  BUGS: 148540

2010-03-06 13:02  jmueller

	* NEWS: b&w works also for me now

2010-03-06 13:00  pino

	* tests/CMakeLists.txt: do not compile sources which are already
	  part of digikamcore

2010-03-06 12:52  jmueller

	* imageplugins/coreplugin/bwsepiatool.cpp: fix not initial effect
	  shown at tool startup

2010-03-06 12:30  aclemens

	* imageplugins/coreplugin/cbtool.cpp,
	  imageplugins/coreplugin/whitebalancetool.cpp: no need for a try
	  button if we autofire anyway

2010-03-06 12:29  jmueller

	* imageplugins/coreplugin/whitebalancetool.cpp: fix no initial
	  effect shown at tool startup

2010-03-06 12:21  pino

	* digikam/CMakeLists.txt: sources of the digikamcore library use
	  the generated svnversion.h (generated by the digikam-svnversion
	  target), so set the right dependency

2010-03-06 12:07  aclemens

	* libs/dimg/filters/hsl/hslsettings.cpp: fix HSSelector

2010-03-06 11:50  aclemens

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/hsltool.cpp: no need for a try button if
	  you autofire anyway

2010-03-06 11:48  aclemens

	* imageplugins/coreplugin/adjustlevelstool.cpp: no need for a try
	  button here

2010-03-06 11:44  aclemens

	* imageplugins/coreplugin/adjustcurvestool.cpp: no need for a try
	  button here

2010-03-06 11:01  aclemens

	* libs/dimg/filters/bw/mixersettings.cpp: Display at least one
	  decimal in the spinbox. This fixes the rendering of the
	  ruler lines. Since we work with double values anyway, why display
	  them? Gimp
	  does so, too, in their channel mixer plugin.

2010-03-06 10:58  jmueller

	* libs/widgets/common/curvesbox.cpp: enabling previously mistaken
	  disabled signalCurvesChanged()

2010-03-06 10:43  aclemens

	* imageplugins/coreplugin/channelmixertool.cpp: No need to have a
	  try button here, since we already autofire

2010-03-06 09:23  aclemens

	* imageplugins/coreplugin/autocorrectiontool.cpp: Do not wait 500ms
	  for the effect to be applied in the autocorrection filter, no
	  need to wait that long. We have no slider or any other input
	  control that needs
	  such a precaution.

2010-03-06 09:23  aclemens

	* imageplugins/coreplugin/autocorrectiontool.cpp: We either should
	  not autofire here and use a try button, or remove the try
	  button and just autofire. To use both variants isn't logical :-)
	  I would say we
	  keep "autofire" here, since it is a very "simple" and fast
	  filter.

2010-03-06 09:23  aclemens

	* CMakeLists.txt: Disable the themedesigner build for now, to avoid
	  compilation errors for users.
	  Themedesigner can not be built at the moment, since it must
	  depend on the
	  modelview concept now, too. We are missing some files that were
	  deleted during
	  the modelview port.

2010-03-06 09:23  aclemens

	* utilities/cameragui/gpcamera.cpp,
	  utilities/searchwindow/searchgroup.cpp: <br> => <br/>

2010-03-06 09:23  aclemens

	* utilities/setup/setupalbumview.cpp,
	  utilities/setup/setuplighttable.cpp: fix typos

2010-03-06 09:23  aclemens

	* libs/dimg/filters/fx/charcoalfilter.cpp,
	  utilities/queuemanager/basetools/color/autocorrection.cpp: fix
	  typo

2010-03-06 09:23  aclemens

	* libs/widgets/metadata/metadatalistview.cpp,
	  libs/widgets/metadata/metadataselector.cpp: fix typo

2010-03-06 09:22  aclemens

	* ChangeLog, libs/widgets/common/dzoombar.h: fix typo

2010-03-05 22:57  cgilles

	* CMakeLists.txt, imageplugins/oilpaint/CMakeLists.txt,
	  imageplugins/oilpaint/oilpaint.cpp,
	  imageplugins/oilpaint/oilpaint.h,
	  imageplugins/oilpaint/oilpainttool.cpp,
	  imageplugins/oilpaint/oilpainttool.h,
	  libs/dimg/filters/fx/oilpaintfilter.cpp,
	  libs/dimg/filters/fx/oilpaintfilter.h: move oilpainting filter yo
	  DImg

2010-03-05 21:42  jmueller

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/cbtool.cpp,
	  imageplugins/coreplugin/hsltool.cpp: - fix no initial effect
	  shown in bcg, cb and hsl tool at startup
	  - fix wait cursor in hsl tool after prepare effect finished

2010-03-05 20:04  cgilles

	* imageplugins/oilpaint/oilpaint.cpp,
	  imageplugins/oilpaint/oilpaint.h: polish

2010-03-05 20:03  cgilles

	* CMakeLists.txt, imageplugins/emboss/CMakeLists.txt,
	  imageplugins/emboss/emboss.cpp, imageplugins/emboss/emboss.h,
	  imageplugins/emboss/embosstool.cpp,
	  imageplugins/emboss/embosstool.h,
	  libs/dimg/filters/bcg/bcgfilter.h,
	  libs/dimg/filters/fx/embossfilter.cpp,
	  libs/dimg/filters/fx/embossfilter.h: move Emboss filter to DImg

2010-03-05 19:51  cgilles

	* imageplugins/emboss/emboss.cpp, imageplugins/emboss/emboss.h:
	  polish

2010-03-05 19:42  cgilles

	* imageplugins/emboss/emboss.cpp, imageplugins/emboss/emboss.h:
	  polish

2010-03-05 19:40  cgilles

	* CMakeLists.txt, imageplugins/charcoal/CMakeLists.txt,
	  imageplugins/charcoal/charcoal.cpp,
	  imageplugins/charcoal/charcoal.h,
	  imageplugins/charcoal/charcoaltool.cpp,
	  imageplugins/charcoal/charcoaltool.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  libs/dimg/filters/fx/charcoalfilter.cpp,
	  libs/dimg/filters/fx/charcoalfilter.h: move charcoal filter to
	  DImg

2010-03-05 19:28  cgilles

	* imageplugins/charcoal/charcoal.cpp: polish

2010-03-05 19:19  cgilles

	* NEWS: update

2010-03-05 15:39  jnarboux

	* imageplugins/coreplugin/filmgraintool.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.cpp: Do not increase
	  lightness on everage.
	  Clamp values to prevent artefacts.
	  Increase range of the filter.
	  
	  BUGS: 148540

2010-03-05 14:55  cgilles

	* imageplugins/border/bordertool.cpp: polish

2010-03-05 14:51  cgilles

	* imageplugins/border/CMakeLists.txt,
	  imageplugins/border/border.cpp, imageplugins/border/border.h,
	  imageplugins/border/borderfilter.cpp,
	  imageplugins/border/borderfilter.h,
	  imageplugins/border/bordertool.cpp: rename class

2010-03-05 14:39  cgilles

	* imageplugins/border/border.cpp, imageplugins/border/border.h,
	  imageplugins/border/bordertool.cpp,
	  imageplugins/border/bordertool.h: polish

2010-03-05 14:24  cgilles

	* imageplugins/TODO: update

2010-03-05 14:23  cgilles

	* NEWS: update

2010-03-05 14:22  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  themedesigner/CMakeLists.txt,
	  utilities/queuemanager/basetools/enhance/blur.h,
	  utilities/queuemanager/basetools/filters,
	  utilities/queuemanager/basetools/filters/filmgrain.cpp,
	  utilities/queuemanager/basetools/filters/filmgrain.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: add Film Grain tool
	  to Batch Queue Manager

2010-03-05 14:18  cgilles

	* imageplugins/coreplugin/filmgraintool.cpp: polish

2010-03-05 14:08  cgilles

	* imageplugins/filmgrain: bye bye filmgrain

2010-03-05 14:07  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/filmgraintool.cpp,
	  imageplugins/coreplugin/filmgraintool.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/filmgrain/filmgraintool.cpp,
	  imageplugins/filmgrain/filmgraintool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  FilmGrain tool to core plugin

2010-03-05 13:46  cgilles

	* CMakeLists.txt, imageplugins/filmgrain/CMakeLists.txt,
	  imageplugins/filmgrain/filmgrainfilter.cpp,
	  imageplugins/filmgrain/filmgrainfilter.h,
	  libs/dimg/filters/fx/filmgrainfilter.cpp,
	  libs/dimg/filters/fx/filmgrainfilter.h: move filmgram filter to
	  dimg

2010-03-05 13:40  cgilles

	* NEWS: update

2010-03-05 13:39  cgilles

	* imageplugins/filmgrain/CMakeLists.txt,
	  imageplugins/filmgrain/filmgrain.cpp,
	  imageplugins/filmgrain/filmgrain.h,
	  imageplugins/filmgrain/filmgrainfilter.cpp,
	  imageplugins/filmgrain/filmgrainfilter.h,
	  imageplugins/filmgrain/filmgraintool.cpp: Film Grain Image Editor
	  tool : use HSL color space to adjust luminosity (and only this
	  component) to add graininess to image.
	  Code is now more simple and faster. There is not alteration of
	  luminosity from original image.
	  BUGS: 148540

2010-03-05 12:44  cgilles

	* libs/dimg/loaders/rawloader.cpp: use curves filter here

2010-03-05 12:38  cgilles

	* libs/dimg/filters/levels/levelsfilter.h: polish

2010-03-05 12:37  cgilles

	* libs/dimg/filters/curves/curvesfilter.h: polish

2010-03-05 12:36  cgilles

	* libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h, libs/dimg/loaders/rawloader.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp: only
	  provide a pure DIMg constructor

2010-03-05 12:28  cgilles

	* libs/dimg/filters/bcg/bcgfilter.cpp,
	  libs/dimg/filters/bcg/bcgfilter.h,
	  libs/dimg/loaders/rawloader.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp: only
	  provide a pure DImg constructor

2010-03-05 12:17  cgilles

	* libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h:
	  polish

2010-03-05 12:13  cgilles

	* libs/dimg/filters/fx/blurfilter.h,
	  libs/dimg/filters/fx/invertfilter.h: polish

2010-03-05 12:12  cgilles

	* libs/dimg/filters/bw/infraredfilter.h: polish

2010-03-05 12:12  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.h: polish

2010-03-05 11:14  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/sharpentool.cpp,
	  libs/dimg/filters/CMakeLists.txt,
	  libs/dimg/filters/sharp/dimgrefocus.cpp,
	  libs/dimg/filters/sharp/dimgrefocus.h,
	  libs/dimg/filters/sharp/dimgsharpen.cpp,
	  libs/dimg/filters/sharp/dimgsharpen.h,
	  libs/dimg/filters/sharp/dimgunsharpmask.cpp,
	  libs/dimg/filters/sharp/dimgunsharpmask.h,
	  libs/dimg/filters/sharp/refocusfilter.cpp,
	  libs/dimg/filters/sharp/refocusfilter.h,
	  libs/dimg/filters/sharp/sharpenfilter.cpp,
	  libs/dimg/filters/sharp/sharpenfilter.h,
	  libs/dimg/filters/sharp/sharpsettings.cpp,
	  libs/dimg/filters/sharp/unsharpmaskfilter.cpp,
	  libs/dimg/filters/sharp/unsharpmaskfilter.h,
	  utilities/queuemanager/basetools/enhance/sharpen.cpp: rename
	  sharp class

2010-03-05 10:49  cgilles

	* libs/dimg/filters/sharp/dimgrefocus.cpp,
	  libs/dimg/filters/sharp/dimgrefocus.h,
	  libs/dimg/filters/sharp/dimgunsharpmask.cpp,
	  libs/dimg/filters/sharp/dimgunsharpmask.h,
	  libs/dimg/filters/sharp/matrix.cpp,
	  libs/dimg/filters/sharp/matrix.h: polish

2010-03-05 10:40  cgilles

	* NEWS: update

2010-03-05 10:40  cgilles

	* imageplugins/TODO: update

2010-03-05 10:39  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/blurtool.cpp,
	  utilities/queuemanager/basetools/enhance/blur.cpp,
	  utilities/queuemanager/basetools/enhance/blur.h,
	  utilities/queuemanager/basetools/enhance/sharpen.cpp,
	  utilities/queuemanager/basetools/enhance/sharpen.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: add new Batch
	  Manager Tool to Blur images

2010-03-05 07:38  cgilles

	* utilities/queuemanager/basetools/enhance/sharpen.cpp: optimize
	  memory allocation

2010-03-05 06:22  aclemens

	* utilities/scripts/cleanup_digikamdb/cleanup_digikamdb: Fix
	  handling of whitespace in database folder path

2010-03-04 21:16  aclemens

	* themedesigner/CMakeLists.txt: trying to fix the build of
	  themedesigner, but it's still not working. I guess
	  we need to adopt this to modelview now, too

2010-03-04 21:04  aclemens

	* tests/advancedrename_testimage.jpg, tests/advancedrenametest.cpp,
	  tests/advancedrenametest.h: Fix advancedrename tests

2010-03-04 21:04  aclemens

	* libs/dimg/filters/fx/pixelsaliasfilter.cpp: pedantic

2010-03-04 19:25  aclemens

	* tests/CMakeLists.txt: Make tests compile again

2010-03-04 16:48  scripty

	* digikam/digikam.desktop, digikam/digikam.notifyrc,
	  imageplugins/colorfx/digikamimageplugin_colorfx.desktop,
	  imageplugins/contentawareresizing/digikamimageplugin_contentawareresizing.desktop,
	  imageplugins/localcontrast/digikamimageplugin_localcontrast.desktop,
	  utilities/nepomuk/digikamnepomukservice.desktop: SVN_SILENT made
	  messages (.desktop file)

2010-03-04 14:37  cgilles

	* libs/dimg/filters/fx/invertfilter.cpp,
	  libs/dimg/filters/fx/invertfilter.h: polish

2010-03-04 14:26  cgilles

	* imageplugins/coreplugin/noisereductiontool.cpp: polish

2010-03-04 14:25  cgilles

	* imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/coreplugin/blurtool.h,
	  imageplugins/coreplugin/sharpentool.cpp,
	  imageplugins/coreplugin/sharpentool.h: optimize memory allocation
	  in these tools

2010-03-04 13:44  pino

	* tests/CMakeLists.txt: albummodeltest uses the kipi api, so link
	  to it

2010-03-04 11:29  cgilles

	* utilities/queuemanager/actionthread.cpp,
	  utilities/queuemanager/actionthread.h,
	  utilities/queuemanager/queuesettingsview.cpp,
	  utilities/queuemanager/queuesettingsview.h: prepare to integrate
	  a Raw Decoding Settings dedicated to each queue

2010-03-04 11:14  cgilles

	* libs/dimg/filters/README: update

2010-03-04 11:05  cgilles

	* CMakeLists.txt,
	  imageplugins/contentawareresizing/contentawareresizetool.cpp,
	  imageplugins/coreplugin/whitebalancetool.cpp,
	  imageplugins/distortionfx/distortionfx.cpp,
	  imageplugins/distortionfx/distortionfx.h,
	  imageplugins/emboss/emboss.cpp, imageplugins/emboss/emboss.h,
	  imageplugins/freerotation/freerotation.cpp,
	  imageplugins/freerotation/freerotation.h,
	  imageplugins/lenscorrection/vignetting/antivignetting.h,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
	  imageplugins/oilpaint/oilpaint.cpp,
	  imageplugins/oilpaint/oilpaint.h,
	  imageplugins/perspective/perspectivewidget.cpp,
	  imageplugins/perspective/perspectivewidget.h,
	  imageplugins/raindrop/raindrop.cpp,
	  imageplugins/raindrop/raindrop.h,
	  imageplugins/sheartool/shear.cpp, imageplugins/sheartool/shear.h,
	  libs/dimg/filters/CMakeLists.txt,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h,
	  libs/dimg/filters/fx/blurfilter.h,
	  libs/dimg/filters/fx/pixelsaliasfilter.cpp,
	  libs/dimg/filters/fx/pixelsaliasfilter.h,
	  libs/dimg/filters/nr/nrfilter.cpp,
	  libs/dimg/filters/sharp/dimgrefocus.cpp,
	  libs/dimg/filters/sharp/dimgrefocus.h,
	  libs/dimg/filters/sharp/dimgsharpen.cpp,
	  libs/dimg/filters/sharp/dimgsharpen.h,
	  utilities/queuemanager/basetools/enhance/sharpen.cpp: bye bye
	  DImgImageFilter class

2010-03-04 10:24  cgilles

	* CMakeLists.txt, imageplugins/charcoal/charcoal.cpp,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h,
	  libs/dimg/filters/fx/blurfilter.cpp,
	  libs/dimg/filters/fx/invertfilter.cpp,
	  libs/dimg/filters/fx/invertfilter.h: create new invert image
	  filter. cleanup DimgImageFilters class

2010-03-04 10:07  cgilles

	* libs/dimg/filters/fx/blurfilter.h: polish

2010-03-04 10:06  cgilles

	* libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h: remove sharpen filters from
	  DImgImageFilters class

2010-03-04 10:02  cgilles

	* imageplugins/coreplugin/redeyetool.cpp,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h,
	  libs/dimg/filters/fx/blurfilter.cpp,
	  libs/dimg/filters/fx/blurfilter.h,
	  utilities/queuemanager/basetools/decorate/watermark.cpp,
	  utilities/queuemanager/basetools/decorate/watermark.h: remove
	  blur filter from DimgImaeFilters class

2010-03-03 23:29  welwarsky

	* imageplugins/coreplugin/autocorrectiontool.cpp: Fix resource
	  leak: make PreviewList a child of the AutoCorrectionTool instance
	  instead of the ImagePlugin_core instance and explicitely delete
	  it on destruction to free the stored autocorrection filters
	  
	  For some reason the explicit delete is necessary, otherwise I get
	  a crash on closing the application.

2010-03-03 23:25  welwarsky

	* libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autoexpofilter.h,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.h,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.h: autocorrection filters
	  don't need to deep-copy the reference image, let them share data
	  with the original copy and make sure its treated const

2010-03-03 23:19  welwarsky

	* utilities/imageeditor/editor/editortool.cpp: when setting a new
	  filter, be sure to delete the previous one

2010-03-03 23:17  welwarsky

	* libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h: be more pedantic about
	  const'ness

2010-03-03 22:54  welwarsky

	* libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: be more pedantic about
	  const'ness

2010-03-03 19:50  aclemens

	* libs/widgets/common/histogrambox.cpp: Fix console warnings: These
	  signals don't seem to exist anymore...

2010-03-03 19:15  aclemens

	* NEWS: update

2010-03-03 19:14  aclemens

	* libs/threadimageio/loadingdescription.cpp,
	  tests/albummodeltest.cpp: code cleanup

2010-03-03 17:49  mwiesweg

	* utilities/imageeditor/canvas/dimginterface.cpp: Do not
	  exif-rotate a second time in editor - previews are rotated in the
	  cache,
	  and in the case of full-size preview of a JPEG, this data will be
	  reused
	  for the image editor.
	  
	  CCBUG: 228869

2010-03-03 17:16  jmueller

	* imageplugins/coreplugin/adjustlevelstool.cpp,
	  libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/widgets/common/curvesbox.cpp,
	  libs/widgets/common/curvesbox.h,
	  libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h,
	  libs/widgets/common/histogrambox.cpp,
	  libs/widgets/common/histogrambox.h,
	  libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/common/histogramwidget.h,
	  utilities/imageeditor/editor/editortoolsettings.cpp: make
	  histogram/curves public members private and use the appropriate
	  set and get functions instead.

2010-03-03 15:44  cgilles

	* CMakeLists.txt, imageplugins/blurfx/blurfx.cpp,
	  imageplugins/charcoal/charcoal.cpp,
	  imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/filmgrain/filmgrain.cpp,
	  imageplugins/oilpaint/oilpaint.cpp,
	  libs/dimg/filters/CMakeLists.txt,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/dimggaussianblur.cpp,
	  libs/dimg/filters/dimggaussianblur.h,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/fx/blurfilter.cpp,
	  libs/dimg/filters/fx/blurfilter.h,
	  libs/dimg/filters/sharp/dimgunsharpmask.cpp,
	  libs/dimg/filters/sharp/dimgunsharpmask.h: move blur filter at
	  the right place

2010-03-03 15:25  cgilles

	* imageplugins/TODO: update

2010-03-03 15:18  cgilles

	* NEWS: update

2010-03-03 15:17  cgilles

	* imageplugins/coreplugin/adjustlevelstool.cpp,
	  imageplugins/coreplugin/adjustlevelstool.h,
	  imageplugins/coreplugin/bcgtool.cpp,
	  libs/dimg/filters/levels/levelsfilter.cpp,
	  libs/widgets/common/dgradientslider.cpp,
	  libs/widgets/common/dgradientslider.h,
	  libs/widgets/common/histogrambox.cpp,
	  libs/widgets/common/histogrambox.h: port Adjust Levels tool to
	  use zoomable preview, multithreading, and histogram
	  computation based on visible preview region.
	  BUGS: 163286

2010-03-03 15:09  cgilles

	* NEWS: update

2010-03-03 13:31  cgilles

	* libs/dimg/filters/levels/levelsfilter.h: compile

2010-03-03 13:30  cgilles

	* libs/dimg/filters/levels/levelsfilter.cpp,
	  libs/dimg/filters/levels/levelsfilter.h: polish

2010-03-03 12:31  cgilles

	* imageplugins/blurfx/blurfxtool.h,
	  imageplugins/coreplugin/adjustcurvestool.h,
	  imageplugins/coreplugin/bcgtool.h,
	  imageplugins/coreplugin/blurtool.h,
	  imageplugins/coreplugin/bwsepiatool.h,
	  imageplugins/coreplugin/cbtool.h,
	  imageplugins/coreplugin/hsltool.h,
	  imageplugins/coreplugin/profileconversiontool.h,
	  imageplugins/coreplugin/sharpentool.h,
	  imageplugins/coreplugin/whitebalancetool.h,
	  imageplugins/hotpixels/hotpixelstool.h: method not re-implemented

2010-03-03 12:24  cgilles

	* imageplugins/coreplugin/adjustlevelstool.cpp,
	  imageplugins/coreplugin/adjustlevelstool.h: polish

2010-03-03 11:38  cgilles

	* imageplugins/TODO: update

2010-03-03 11:35  cgilles

	* NEWS: update

2010-03-03 11:34  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp,
	  libs/dimg/filters/curves/imagecurves.h,
	  libs/widgets/common/curveswidget.cpp,
	  utilities/queuemanager/batchtoolsmanager.cpp: enable Adjust
	  Curves tool in Batch Queue Manager
	  ImageCurves now use 16 points to recompose curves from a Free to
	  Smooth type
	  Improve method to import Free curve values from 8 to 16 bits
	  curves and vis versa.

2010-03-03 11:15  cgilles

	* CMakeLists.txt, NEWS: fix 1.2.0 release date

2010-03-03 10:13  cgilles

	* libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autoexpofilter.h,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.h,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.h: polish

2010-03-02 21:28  cfeck

	* digikam/imagethumbnailbar.cpp: SVN_SILENT compile

2010-03-02 19:50  mwiesweg

	* NEWS, digikam/albumwidgetstack.cpp,
	  digikam/imagethumbnailbar.cpp: At the point when the scroll bar
	  is switched on, the delegate will be resized,
	  getting smaller, the scroll bar is switched off, the delegate
	  gets bigger,
	  scroll bar shown again...
	  In short, ScrollBarAsNeeded is not supported.
	  
	  BUG: 228807

2010-03-02 15:26  cgilles

	* NEWS: update

2010-03-02 15:25  cgilles

	* imageplugins/TODO: update

2010-03-02 15:25  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp: polish

2010-03-02 15:22  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: compile

2010-03-02 14:32  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: polish

2010-03-02 13:37  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: polish

2010-03-02 13:01  cgilles

	* utilities/queuemanager/batchtool.cpp: filter QPolygin debug
	  output

2010-03-02 13:00  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp: polish

2010-03-02 12:53  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: do not show picker
	  bouttons with BQM

2010-03-02 12:06  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: polish

2010-03-02 12:04  cgilles

	* utilities/queuemanager/basetools/color/curvesadjust.cpp: add
	  missing parameter

2010-03-02 12:04  cgilles

	* libs/dimg/filters/curves/curvesfilter.cpp,
	  libs/dimg/filters/curves/imagecurves.cpp: polish

2010-03-02 12:04  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp,
	  imageplugins/coreplugin/channelmixertool.cpp: polish

2010-03-02 11:16  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp: polish

2010-03-02 11:16  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp,
	  libs/dimg/filters/curves/curvessettings.h,
	  libs/dimg/filters/curves/imagecurves.cpp: polish

2010-03-02 11:16  cgilles

	* CMakeLists.txt: compile

2010-03-02 11:16  cgilles

	* utilities/queuemanager/basetools/color/bwconvert.cpp,
	  utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/basetools/color/curvesadjust.cpp,
	  utilities/queuemanager/basetools/color/curvesadjust.h: add Curves
	  Adjust tool for BQM. Not yet suitable

2010-03-02 09:31  scripty

	* utilities/imageeditor/editor/digikamimageplugin.desktop:
	  SVN_SILENT made messages (.desktop file)

2010-03-02 09:15  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h,
	  libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/curves/curvesfilter.h,
	  libs/dimg/filters/curves/imagecurves.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.h: manage reset
	  to default values for curve settings in BQM BW tool

2010-03-01 18:52  jnarboux

	* imageplugins/coreplugin/bwsepiatool.cpp: I do not think we need a
	  try button for bw tool as this tool is very fast

2010-03-01 18:37  jnarboux

	* imageplugins/border/bordertool.cpp,
	  imageplugins/coreplugin/resizetool.cpp,
	  imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/raindrop/raindroptool.cpp,
	  imageplugins/sheartool/sheartool.cpp: Add preview feature for all
	  plugins based on ImageGuideWidget

2010-03-01 15:48  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp: polish

2010-03-01 15:47  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp,
	  imageplugins/coreplugin/adjustcurvestool.h,
	  imageplugins/coreplugin/whitebalancetool.cpp: use new common
	  settings widget

2010-03-01 15:45  cgilles

	* CMakeLists.txt: compile

2010-03-01 15:45  cgilles

	* libs/dimg/filters/curves/curvessettings.cpp,
	  libs/dimg/filters/curves/curvessettings.h: implement
	  CurvesSettings widget

2010-03-01 14:52  cgilles

	* libs/widgets/common/curvesbox.cpp: polish

2010-03-01 13:43  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp: polish

2010-03-01 13:41  cgilles

	* NEWS: update

2010-03-01 13:26  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp: polish

2010-03-01 13:24  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp,
	  imageplugins/coreplugin/adjustcurvestool.h,
	  imageplugins/coreplugin/adjustlevelstool.cpp: polish

2010-03-01 13:00  cgilles

	* libs/widgets/common/curveswidget.cpp: bug fix : only dispatch
	  change in free mode only when curve is changed, not all time

2010-03-01 12:53  cgilles

	* imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/coreplugin/adjustcurvestool.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h,
	  libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/curves/curvesfilter.cpp,
	  libs/dimg/filters/curves/curvesfilter.h,
	  libs/dimg/filters/curves/imagecurves.cpp,
	  libs/dimg/filters/curves/imagecurves.h,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.cpp: add 2 new
	  methods to pass retry Curves values (not points).
	  This wil fix a bug in Curves Widget about free mode

2010-03-01 12:51  cgilles

	* utilities/imageeditor/widgets/imageregionwidget.cpp: forget to
	  remove capture mode here (debug)

2010-03-01 10:59  cgilles

	* imageplugins/coreplugin/adjustcurvestool.cpp,
	  imageplugins/coreplugin/adjustcurvestool.h: port adjust curves
	  tool to support multithreading and zoomable preview

2010-03-01 10:53  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp: polish

2010-03-01 09:00  cgilles

	* imageplugins/TODO: update

2010-03-01 08:35  cgilles

	* imageplugins/adjustlevels: rm

2010-03-01 08:35  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/adjustlevelstool.cpp,
	  imageplugins/coreplugin/adjustlevelstool.h,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move Adjust
	  Levels tool to core plugin

2010-03-01 07:55  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: polish

2010-02-28 18:09  cgilles

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bcgtool.h: polish

2010-02-28 07:31  aclemens

	* utilities/searchwindow/searchtabheader.cpp: use
	  QLineEdit::clear() instead of setting an empty string

2010-02-28 07:30  aclemens

	* utilities/searchwindow/searchtabheader.cpp: Make sure to
	  highlight the current search if the focus has been manually set
	  to
	  the keyword search input field

2010-02-28 07:30  aclemens

	* utilities/searchwindow/searchtabheader.cpp: When using the search
	  action, make sure the keyword search gets activated

2010-02-27 20:28  mwiesweg

	* NEWS, libs/widgets/common/dcategorizedview.cpp: Fix pasting in
	  icon view
	  
	  BUG: 228802

2010-02-27 19:52  cgilles

	* imageplugins/adjustcurves: rm

2010-02-27 19:51  cgilles

	* imageplugins/CMakeLists.txt, imageplugins/TODO,
	  imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/adjustcurvestool.cpp,
	  imageplugins/coreplugin/adjustcurvestool.h,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move adjust
	  curves tool to core plugin. next one to port new api

2010-02-27 19:24  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h: polish

2010-02-27 18:58  cgilles

	* NEWS: update

2010-02-27 18:56  cgilles

	* NEWS: update

2010-02-27 18:54  cgilles

	* NEWS: update

2010-02-27 18:44  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp: polish

2010-02-27 18:44  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp: compile

2010-02-27 18:42  cgilles

	* NEWS: update

2010-02-27 18:37  cgilles

	* imageplugins/channelmixer: rm

2010-02-27 18:36  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/channelmixertool.cpp,
	  imageplugins/coreplugin/channelmixertool.h,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp: move
	  channelmixer to plugin core

2010-02-27 18:06  cgilles

	* NEWS: update

2010-02-27 14:36  mwiesweg

	* NEWS, digikam/scancontroller.cpp, digikam/scancontroller.h,
	  utilities/imageeditor/editor/imagewindow.cpp: Add a method to
	  ScanController that scans an image directly
	  and then copies the relevant attributes of another image to it.
	  When creating a new image in the image editor use this
	  functionality.
	  
	  BUG: 221918

2010-02-27 14:35  mwiesweg

	* libs/database/collectionscanner.cpp,
	  libs/database/collectionscanner.h,
	  libs/database/imagescanner.cpp, libs/database/imagescanner.h: Add
	  methods to copy all appropriate properties from source to derived
	  image.
	  Every copied field is explicitly selected.
	  This differs from copyItem, which just copies everything and
	  should not be used.
	  
	  CCBUG: 221918

2010-02-27 14:35  mwiesweg

	* libs/database/imagecomments.cpp, libs/database/imagecomments.h,
	  libs/database/imagecopyright.cpp, libs/database/imagecopyright.h:
	  Add methods to replace all entries with entries from another
	  object.
	  This allows to overwrite resp. copy entries from original to
	  derived image.

2010-02-27 14:35  mwiesweg

	* libs/database/albumdb.cpp, libs/database/albumdb.h: Split off the
	  code to copy tags and to copy ImageProperty entries

2010-02-27 13:52  jwienke

	* NEWS: Some more typos ;)

2010-02-27 13:51  jwienke

	* NEWS: SVN_SILENT: typo

2010-02-27 13:50  jwienke

	* NEWS, digikam/albummanager.cpp, digikam/albummanager.h: While
	  moving tags ensure that this doesn't result in two tags with the
	  same name under the same parent.
	  
	  BUG: 225718

2010-02-27 11:28  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp,
	  libs/dimg/filters/wb/wbsettings.h,
	  utilities/queuemanager/basetools/color/whitebalance.cpp: no need
	  to show advanced buttons for editor in BQM

2010-02-27 11:19  cgilles

	* imageplugins/TODO: update

2010-02-27 11:18  cgilles

	* NEWS: update

2010-02-27 11:17  cgilles

	* utilities/queuemanager/basetools/color/whitebalance.cpp,
	  utilities/queuemanager/batchtoolsmanager.cpp: White Balance tool
	  for Batch Queue Manager is now ready to use.
	  BUGS: 225927

2010-02-27 10:15  cgilles

	* CMakeLists.txt,
	  utilities/queuemanager/basetools/color/whitebalance.cpp,
	  utilities/queuemanager/basetools/color/whitebalance.h: introduce
	  new White Balance tool for Batch Queue Manager

2010-02-27 10:14  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp: polish

2010-02-27 09:37  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp,
	  libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h: memory allocation optimization.

2010-02-27 07:41  cgilles

	* NEWS: update

2010-02-26 20:44  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp,
	  imageplugins/coreplugin/whitebalancetool.h: use new WB settings
	  widget

2010-02-26 20:44  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp: implementation done

2010-02-26 20:36  cgilles

	* NEWS: update

2010-02-26 20:15  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp,
	  libs/dimg/filters/wb/wbsettings.h: polish

2010-02-26 19:32  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp: polish

2010-02-26 19:19  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp: ++

2010-02-26 19:14  cgilles

	* libs/dimg/filters/wb/wbfilter.cpp: polish

2010-02-26 19:14  cgilles

	* libs/dimg/filters/wb/wbfilter.h: polish

2010-02-26 19:13  cgilles

	* libs/dimg/filters/wb/wbfilter.h: polish

2010-02-26 19:10  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp: polish

2010-02-26 19:08  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp,
	  libs/dimg/filters/wb/wbsettings.h: ++

2010-02-26 18:34  cgilles

	* NEWS: update

2010-02-26 18:19  mwiesweg

	* libs/widgets/common/previewwidget.cpp: Add missing update()
	  
	  CCBUG: 225443

2010-02-26 17:51  cgilles

	* NEWS: update

2010-02-26 14:44  cgilles

	* CMakeLists.txt, libs/dimg/filters/wb/wbsettings.cpp: compile

2010-02-26 14:42  cgilles

	* libs/dimg/filters/wb/wbsettings.cpp,
	  libs/dimg/filters/wb/wbsettings.h: start to implement WB settings
	  widget

2010-02-26 14:34  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/cbtool.cpp,
	  imageplugins/coreplugin/hsltool.cpp,
	  imageplugins/coreplugin/noisereductiontool.cpp,
	  imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/redeyetool.h,
	  imageplugins/coreplugin/resizetool.cpp,
	  imageplugins/coreplugin/resizetool.h,
	  imageplugins/coreplugin/sharpentool.cpp: polish

2010-02-26 14:12  cgilles

	* libs/dimg/filters/CMakeLists.txt: install

2010-02-26 14:11  cgilles

	* imageplugins/coreplugin/bcgtool.cpp: polish

2010-02-26 14:04  cgilles

	* NEWS: update

2010-02-26 14:03  cgilles

	* CMakeLists.txt, libs/dimg/filters/wb/whitebalance.cpp,
	  libs/dimg/filters/wb/whitebalance.h,
	  libs/dimg/loaders/rawloader.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp: remove old
	  WB filter code and use new one instead.

2010-02-26 13:24  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp,
	  imageplugins/coreplugin/whitebalancetool.h,
	  utilities/imageeditor/widgets/imageregionwidget.cpp: White
	  Balance Image Editor tool use multithreading now and support
	  zoomable preview.
	  Next stage, add WB tool to BQM.

2010-02-26 13:16  cgilles

	* libs/dimg/filters/wb/wbfilter.h: polish

2010-02-26 12:37  cgilles

	* imageplugins/coreplugin/whitebalancetool.cpp,
	  imageplugins/coreplugin/whitebalancetool.h: polish

2010-02-26 12:32  cgilles

	* imageplugins/TODO: update

2010-02-26 12:21  cgilles

	* utilities/imageeditor/canvas/imagepluginloader.cpp: disable to
	  load old WB tool

2010-02-26 12:20  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/whitebalancetool.cpp,
	  imageplugins/coreplugin/whitebalancetool.h,
	  imageplugins/whitebalance: move WB tool to core plugin

2010-02-26 12:07  cgilles

	* utilities/imageeditor/widgets/imageregionwidget.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.h: add new method
	  to set color picker mode from original image. Will be used by WB,
	  Levels and Curves tools later when
	  they will support zommable preview.

2010-02-26 09:38  cgilles

	* NEWS: update

2010-02-25 16:32  mwiesweg

	* NEWS, digikam/imagepreviewview.cpp,
	  libs/widgets/common/previewwidget.cpp,
	  libs/widgets/common/previewwidget.h: In the preview:
	  a) For single click system settings:
	  - Click -> back to icon view
	  - Click + Drag -> pan if zoomed
	  b) For double click systems:
	  - Double click -> back to icon view
	  - Click + Drag -> pan if zoomed
	  
	  Dragging is defined by the Qt's startDragDistance()
	  
	  This is not the big solution envisioned by some comments, but it
	  is the small
	  solution that most people can live with, and which restores good
	  old behavior.
	  
	  BUG: 225443

2010-02-25 13:45  cgilles

	* CMakeLists.txt, libs/dimg/filters/levels/levelsfilter.cpp,
	  libs/dimg/filters/levels/levelsfilter.h: multithreaded levels
	  filter. Not yet used and tested.

2010-02-25 13:23  cgilles

	* imageplugins/filmgrain/filmgrain.cpp,
	  imageplugins/filmgrain/filmgrain.h: polish

2010-02-25 13:13  cgilles

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.h: use new
	  Curves filter here

2010-02-25 13:13  cgilles

	* libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h:
	  polish

2010-02-25 13:01  cgilles

	* imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/colorfx/colorfxtool.h: use new curves filter here

2010-02-25 12:45  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp: use new Curves Filter
	  here

2010-02-25 12:45  cgilles

	* libs/dimg/filters/curves/curvesfilter.cpp: implementation is done

2010-02-25 12:44  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp,
	  libs/dimg/filters/curves/imagecurves.h: bugfix. calculateCurves()
	  must be called on all channel before to setup Curves LUT

2010-02-25 10:57  cgilles

	* libs/dimg/filters/curves/curvesfilter.cpp: polish

2010-02-25 10:33  cgilles

	* libs/dimg/filters/curves/curvesfilter.cpp,
	  libs/dimg/filters/curves/curvesfilter.h: polish

2010-02-25 09:27  cgilles

	* CMakeLists.txt, libs/dimg/filters/curves/curvesfilter.cpp,
	  libs/dimg/filters/curves/curvesfilter.h: introduce new Curves
	  filter multithreaded

2010-02-24 21:29  jwienke

	* NEWS, digikam/albumsettings.cpp, digikam/albumsettings.h,
	  libs/models/albumfiltermodel.cpp, utilities/setup/setupmisc.cpp:
	  Provide a setting to define how string comparison is performed.
	  
	  BUG: 227905

2010-02-24 18:43  jwienke

	* NEWS, digikam/datefolderview.cpp, digikam/datefolderview.h,
	  digikam/digikamview.cpp, digikam/leftsidebarwidgets.cpp,
	  digikam/leftsidebarwidgets.h, digikam/tagmodificationhelper.cpp:
	  Use tree views as reference for creating new albums and tags and
	  not the current albums in the AlbumManager. Also guard against
	  empty parent tags while creating new tags considering 0 a legal
	  value for the creation method as stated in the comment.
	  
	  BUG: 228326
	  
	  Thanks for the bug report.

2010-02-24 15:56  cgilles

	* NEWS: update

2010-02-24 15:04  cgilles

	* imageplugins/TODO: to do list about editor tool pending tasks

2010-02-24 14:38  cfeck

	* libs/dimg/filters/CMakeLists.txt: SVN_SILENT install

2010-02-24 13:11  cgilles

	* CMakeLists.txt, imageplugins/coreplugin/noisereductiontool.cpp,
	  libs/dimg/filters/nr/noisereductionsettings.cpp,
	  libs/dimg/filters/nr/noisereductionsettings.h,
	  libs/dimg/filters/nr/nrfilter.cpp,
	  libs/dimg/filters/nr/nrfilter.h,
	  libs/dimg/filters/nr/nrsettings.cpp,
	  libs/dimg/filters/nr/nrsettings.h,
	  libs/dimg/filters/nr/waveletsnr.cpp,
	  libs/dimg/filters/nr/waveletsnr.h,
	  utilities/queuemanager/basetools/enhance/noisereduction.cpp,
	  utilities/queuemanager/basetools/enhance/noisereduction.h: rename

2010-02-24 12:26  cgilles

	* libs/dimg/filters/README: update

2010-02-24 12:25  cgilles

	* digikam/CMakeLists.txt, imageplugins/CMakeLists.txt,
	  libs/dimg/filters/fx, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: add fx subfolder

2010-02-24 12:06  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h,
	  libs/dimg/filters/bw/bwsepiasettings.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.cpp: BW tool :
	  store curves settings as QPolygon object.
	  Fix rendering with 16 bits color depth images

2010-02-24 11:47  cgilles

	* CMakeLists.txt: fix order

2010-02-24 11:41  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp: polish

2010-02-24 10:40  cgilles

	* imageplugins/charcoal/charcoal.cpp,
	  imageplugins/colorfx/colorfxtool.cpp: compile

2010-02-24 10:39  cgilles

	* libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h,
	  libs/dimg/filters/bw/mixerfilter.cpp,
	  libs/dimg/filters/bw/mixerfilter.h: use Fully based DImg
	  constructors

2010-02-24 08:55  cgilles

	* libs/dimg/filters/bw/tonalityfilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.h: fully based DImg
	  constructor

2010-02-24 08:48  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: fully based Dimg calls
	  everywhere. factoring and polishing

2010-02-24 08:20  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: polish

2010-02-24 08:19  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: only provide DImg
	  constructor

2010-02-23 20:51  cgilles

	* utilities/queuemanager/batchtoolsmanager.cpp: enable B&W
	  converter into BQM

2010-02-23 20:46  cgilles

	* utilities/queuemanager/basetools/color/bwconvert.cpp: polish

2010-02-23 20:05  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp: polish

2010-02-23 20:03  aclemens

	* NEWS, utilities/searchwindow/searchtabheader.cpp: Do not steal
	  focus when using simple search
	  
	  BUG:227992

2010-02-23 18:50  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/widgets/common/curvesbox.h: polish

2010-02-23 18:42  cgilles

	* CMakeLists.txt: compile

2010-02-23 18:42  cgilles

	* utilities/queuemanager/basetools/color/bwconvert.cpp,
	  utilities/queuemanager/basetools/color/bwconvert.h: start to
	  implement BW convert for BQM

2010-02-23 18:41  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.h: polish

2010-02-23 18:36  cgilles

	* NEWS: update

2010-02-23 18:06  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp: polish

2010-02-23 18:02  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: factoring : use common BW
	  settings widget

2010-02-23 18:01  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.h: polish

2010-02-23 15:16  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp: polish

2010-02-23 14:22  cgilles

	* libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.h: progress

2010-02-23 13:37  cgilles

	* CMakeLists.txt, libs/dimg/filters/bw/bwsepiasettings.cpp,
	  libs/dimg/filters/bw/bwsepiasettings.h: start to factorize BW
	  settings view

2010-02-23 12:56  cgilles

	* imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/coreplugin/blurtool.h,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h,
	  imageplugins/coreplugin/cbtool.cpp,
	  imageplugins/coreplugin/hsltool.cpp,
	  imageplugins/coreplugin/noisereductiontool.cpp,
	  imageplugins/coreplugin/noisereductiontool.h,
	  imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/sharpentool.cpp,
	  imageplugins/coreplugin/sharpentool.h: Black and White converter
	  :
	  - Support multithreading
	  - Support zoomable preview
	  Next stage : Factoring B&W settings widget and add B&W tool to
	  BQM !!!

2010-02-23 12:41  cgilles

	* imageplugins/coreplugin/bcgtool.cpp: polish

2010-02-23 12:23  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: mem leak

2010-02-23 12:02  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h: add Infrared settings
	  container

2010-02-23 11:21  cgilles

	* libs/dimg/filters/bw/mixerfilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.cpp: polish

2010-02-23 11:15  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: huge code simplification :
	  factoring with PreviewList widget

2010-02-23 11:14  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: polish

2010-02-23 10:47  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp: polish

2010-02-23 08:42  cgilles

	* libs/dimg/filters/bw/tonalityfilter.cpp: we need to copy target
	  data to destination image

2010-02-23 08:41  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: polish

2010-02-23 08:00  cgilles

	* NEWS: update

2010-02-22 21:40  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.cpp: polish

2010-02-22 21:00  mwiesweg

	* NEWS, digikam/imagecategorizedview.cpp: When the icon view is set
	  to a Url that is not (yet) contained in the model,
	  this call is ignored instead of clearing current selection.
	  There is a better solution available using
	  setCurrentWhenAvailable,
	  but this is all right for now.
	  
	  BUG: 227555

2010-02-22 20:59  mwiesweg

	* libs/models/abstractalbummodel.cpp: Dont cram the console

2010-02-22 20:48  jnarboux

	* imageplugins/lenscorrection/vignetting/antivignetting.cpp,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp:
	  Increase range of parameters.
	  
	  CCBUGS: 225728

2010-02-22 15:09  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: polish

2010-02-22 14:39  yurchor

	* imageplugins/lenscorrection/vignetting/antivignettingtool.cpp:
	  add missing spaces

2010-02-22 13:24  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h,
	  libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: Black and White image
	  editor Converter tool use now the new BWSepia filter. It's not
	  yet multithreaded

2010-02-22 12:01  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: implementation is complete

2010-02-22 11:26  cgilles

	* CMakeLists.txt: compile

2010-02-22 11:25  cgilles

	* libs/dimg/filters/bw/bwsepiafilter.cpp,
	  libs/dimg/filters/bw/bwsepiafilter.h: new BWSepia filer. Not
	  finalized

2010-02-22 08:02  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: polish

2010-02-21 22:01  cgilles

	* NEWS: update

2010-02-21 21:02  jnarboux

	* imageplugins/lenscorrection/vignetting/TODO,
	  imageplugins/lenscorrection/vignetting/antivignetting.cpp,
	  imageplugins/lenscorrection/vignetting/antivignetting.h,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp:
	  Reimplement vignetting/antivignetting logic.
	  Remove normalizing of the picture. This caused changes in the
	  brightness of the picture which were hard to predict.
	  Vignetting now decreases exposure in the periphery.
	  Antivignetting increases exposure in the periphery.
	  The center of the picture is always kept untouched. The new
	  parameter inner circle radius allow user to chose the size of the
	  circle where the image is kept untouched.
	  Remove Brightness/Contrast/Gamma tools, which I think were used
	  in the post only as a trick to restore brightness by hand in the
	  center of the picture.
	  
	  CCBUGS: 225728

2010-02-21 18:48  cgilles

	* NEWS: update

2010-02-21 12:46  jnarboux

	* imageplugins/lenscorrection/vignetting/TODO,
	  imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.cpp,
	  utilities/imageeditor/widgets/previewtoolbar.h: Add three preview
	  modes to the vignetting/antivignetting plugin.

2010-02-21 10:41  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp: polish

2010-02-21 10:32  cgilles

	* libs/dimg/filters/bw/infraredfilter.cpp: polish

2010-02-21 10:24  cgilles

	* libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h: remove grain code from
	  Infrared Filter

2010-02-21 09:47  cgilles

	* imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/infraredtool.cpp,
	  imageplugins/coreplugin/infraredtool.h: remove Infrared tool. Use
	  B&W instead

2010-02-21 09:42  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h: Add Infrared film to Black
	  and White converter

2010-02-20 17:55  cgilles

	* imageplugins/infrared: bye bye Infrared

2010-02-20 17:54  cgilles

	* imageplugins/CMakeLists.txt,
	  imageplugins/coreplugin/CMakeLists.txt,
	  imageplugins/coreplugin/digikamimageplugin_core_ui.rc,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  imageplugins/coreplugin/infraredtool.cpp,
	  imageplugins/coreplugin/infraredtool.h,
	  imageplugins/infrared/infraredtool.cpp,
	  imageplugins/infrared/infraredtool.h,
	  utilities/imageeditor/canvas/imagepluginloader.cpp,
	  utilities/imageeditor/canvas/imagepluginloader.h: merge Infrared
	  Image Editor tool to core image plugin.
	  Next stage :
	  - merge it directly in Black and White converter.
	  - Port B&W tool to support multithreading and zoomable preview.
	  - Create a new Batch Queue Manager tool to convert images to B&W

2010-02-20 16:15  jwienke

	* libs/models/abstractalbummodel.cpp: cleanup

2010-02-20 15:55  jwienke

	* NEWS, digikam/tagcheckview.cpp,
	  libs/models/abstractalbummodel.cpp: Don't block signal for auto
	  parent / child toggling in checkable tree views. This prevents
	  other connected classes from noticing things. Instead disconnect
	  and reconnect.
	  
	  Also ensure that the root item isn't changed.
	  
	  BUG: 227545

2010-02-20 15:46  mwiesweg

	* NEWS, libs/imageproperties/imagepropertiescolorstab.cpp: Let
	  histogram calculation finish when returning from image plugin.
	  
	  Now obviously, a signalSelectionChanged is emitted when returning
	  from a tool.
	  If the selection is not actually changed, the computation will be
	  stopped,
	  but HistogramBox will not begin a new one, because nothing really
	  changed.
	  
	  BUG: 226238

2010-02-20 15:22  mwiesweg

	* NEWS, digikam/tagcheckview.cpp, digikam/tagcheckview.h,
	  digikam/tagmodificationhelper.cpp,
	  digikam/tagmodificationhelper.h,
	  libs/imageproperties/imagedescedittab.cpp: Add a properte to
	  TagCheckView that any tag created from within the view
	  (via the context menu) is automatically checked after creation.
	  For this, the tag modification helper needs to emit a signal, so
	  the view
	  can know the addition happened from its context menu.
	  
	  BUG: 226962

2010-02-20 15:21  mwiesweg

	* libs/models/abstractalbummodel.cpp: Preserve check state if album
	  is moved
	  
	  CCBUG: 226504

2010-02-20 15:18  jwienke

	* NEWS: And now close the right bug... ;)
	  
	  BUG: 227550

2010-02-20 15:14  jwienke

	* NEWS, digikam/albumtreeview.cpp, digikam/albumtreeview.h,
	  libs/imageproperties/imagedescedittab.cpp: In ImageDescEditTab
	  expand only matches and not also their children when toggling to
	  display only assigned tags.
	  
	  BUG: 227545

2010-02-20 13:21  aclemens

	* utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/parser/options/directorynameoption.cpp,
	  utilities/advancedrename/parser/options/filepropertiesoption.cpp,
	  utilities/advancedrename/parser/options/metadataoption.cpp:
	  Checking for empty string in the main parser kills the modifiers
	  and general
	  parsing. All options that need to make sure the file really
	  exists should check
	  on their own.

2010-02-20 12:41  aclemens

	* utilities/advancedrename/common/parser.cpp: Since Qt4.6 I
	  experience a lot of weird crashes and widget bahaviours. But
	  maybe it is also related to some threading changes we did? Anyway
	  sometimes a
	  settings container for advancedRename is empty, never happened
	  before, but now
	  it does. This will lead to crashes when using the directoryOption
	  or
	  metadataOption in advancedrename

2010-02-20 11:42  cgilles

	* imageplugins/infrared/infraredtool.cpp,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h: Infrared => InfraredFilter

2010-02-20 11:34  cgilles

	* CMakeLists.txt, imageplugins/infrared/CMakeLists.txt,
	  imageplugins/infrared/infrared.cpp,
	  imageplugins/infrared/infrared.h,
	  imageplugins/infrared/infraredtool.cpp,
	  libs/dimg/filters/bw/infraredfilter.cpp,
	  libs/dimg/filters/bw/infraredfilter.h,
	  libs/dimg/filters/bw/mixerfilter.h: merge infrared filter to dimg
	  B&W area

2010-02-20 06:15  jnarboux

	* utilities/imageeditor/widgets/imageregionwidget.cpp: fix display
	  of target image

2010-02-20 06:09  jnarboux

	* imageplugins/channelmixer/channelmixertool.cpp: compile

2010-02-19 22:01  cgilles

	* NEWS: update

2010-02-19 22:00  cgilles

	* libs/dimg/filters/bw/mixersettings.h: polish

2010-02-19 21:59  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  libs/dimg/filters/bw/mixersettings.h,
	  utilities/queuemanager/basetools/color/channelmixer.cpp: fix
	  layout

2010-02-19 19:14  cgilles

	* libs/dimg/filters/bw/mixersettings.cpp: polish

2010-02-19 19:14  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2010-02-19 19:04  cgilles

	* utilities/queuemanager/basetools/color/channelmixer.cpp: polish

2010-02-19 15:51  jnarboux

	* digikam/imagepreviewview.cpp,
	  imageplugins/contentawareresizing/contentawareresizer.cpp,
	  imageplugins/contentawareresizing/contentawareresizer.h,
	  libs/widgets/common/previewwidget.cpp,
	  libs/widgets/common/previewwidget.h,
	  utilities/imageeditor/widgets/imageguidewidget.cpp,
	  utilities/imageeditor/widgets/imageguidewidget.h,
	  utilities/imageeditor/widgets/imageregionwidget.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.h,
	  utilities/lighttable/lighttablepreview.cpp: Factorize drawing of
	  text in rectangle

2010-02-19 15:40  cgilles

	* utilities/queuemanager/basetools/color/channelmixer.cpp: polish

2010-02-19 15:35  cgilles

	* utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/basetools/color/channelmixer.h: polish

2010-02-19 15:17  cgilles

	* utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/batchtoolsmanager.cpp: Channel Mixer BQM
	  tool is implemented

2010-02-19 15:06  cgilles

	* CMakeLists.txt: compile

2010-02-19 15:06  cgilles

	* utilities/queuemanager/basetools/color/channelmixer.cpp,
	  utilities/queuemanager/basetools/color/channelmixer.h: start to
	  implement Channel Mixer BQM tool

2010-02-19 14:56  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h,
	  libs/dimg/filters/bw/mixersettings.cpp,
	  libs/dimg/filters/bw/mixersettings.h: prepare to implement
	  Channel Mixer tool for Batch Queue Manager:
	  Factoring Image Editor Channel Mixer settings view.

2010-02-19 14:46  cgilles

	* libs/dimg/filters/bw/mixersettings.cpp: implementation is
	  complete

2010-02-19 14:39  cgilles

	* libs/dimg/filters/bw/mixersettings.cpp: polish

2010-02-19 14:18  cgilles

	* CMakeLists.txt: compile

2010-02-19 14:18  cgilles

	* libs/dimg/filters/bw/mixersettings.cpp,
	  libs/dimg/filters/bw/mixersettings.h: progress implementation

2010-02-19 13:43  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2010-02-19 13:40  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2010-02-19 13:35  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2010-02-19 13:18  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: factorize

2010-02-19 13:01  jwienke

	* ., showfoto/showfoto.cpp,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h,
	  utilities/imageeditor/editor/editorwindow_p.h,
	  utilities/imageeditor/editor/imagewindow.cpp: some more string
	  duplication removed

2010-02-19 12:31  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2010-02-19 12:28  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h: factoring

2010-02-19 12:26  jwienke

	* utilities/imageeditor/editor/editorwindow_p.h: sort config
	  entries.

2010-02-19 12:22  jwienke

	* project/extractConfigGroups.py,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow_p.h: Missed entries
	  containing white spaces.

2010-02-19 12:15  jwienke

	* libs/widgets/common/sidebar.h, project/extractConfigGroups.py,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow_p.h: As a first step to
	  find the side bar size restoring problem in the image editor,
	  refactor code to not duplicate config string literals. Therefore
	  added a small python script that can extract these entries and
	  generate variable definitions for them.

2010-02-19 12:01  cgilles

	* NEWS: update

2010-02-19 12:01  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h: Channel Mixer tool
	  use multithreading now and a zoomable preview widget.

2010-02-19 10:57  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: factoring

2010-02-19 10:28  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h: polish

2010-02-19 10:22  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/charcoal/charcoal.cpp,
	  imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/infrared/infrared.cpp,
	  libs/dimg/filters/bw/mixerfilter.cpp,
	  libs/dimg/filters/bw/mixerfilter.h: polish api

2010-02-19 07:37  cgilles

	* libs/dimg/filters/bw/mixersettings.cpp,
	  libs/dimg/filters/bw/mixersettings.h: start to implement channel
	  mixer settings widget

2010-02-18 17:08  cgilles

	* NEWS: update

2010-02-18 14:33  cgilles

	* libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h: clean up

2010-02-18 14:33  cgilles

	* imageplugins/infrared/infrared.cpp,
	  imageplugins/infrared/infrared.h: use new api

2010-02-18 14:17  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: use new api

2010-02-18 13:34  cgilles

	* imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/colorfx/colorfxtool.h: use new api

2010-02-18 13:25  cgilles

	* imageplugins/charcoal/charcoal.cpp: use new api

2010-02-18 13:20  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h: polish

2010-02-18 13:18  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: use new api

2010-02-18 13:04  cgilles

	* libs/dimg/filters/bw/mixerfilter.cpp,
	  libs/dimg/filters/bw/mixerfilter.h,
	  libs/dimg/filters/bw/tonalityfilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.h: polish

2010-02-18 11:08  cgilles

	* NEWS: update

2010-02-18 09:38  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp: polish

2010-02-18 09:33  cgilles

	* libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autoexpofilter.h,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.h,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.h: make a copy of ref image,
	  else it can crash

2010-02-18 09:16  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  utilities/imageeditor/widgets/previewlist.cpp: fix normalize loop
	  in 16 bits.
	  add test to check org. and ref. images bits depth

2010-02-18 08:30  cgilles

	* libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  libs/dimg/filters/auto/stretchfilter.h: polish

2010-02-18 08:09  cgilles

	* libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h: polish

2010-02-18 07:49  cgilles

	* libs/dimg/filters/auto/normalizefilter.cpp: polish

2010-02-18 07:21  cgilles

	* libs/dimg/filters/dimgthreadedfilter.cpp,
	  libs/dimg/filters/dimgthreadedfilter.h: cache progress indicator
	  value to prevent bombarding parent object with same progress
	  value
	  CCMAIL: marcel.wiesweg@gmx.de

2010-02-17 21:18  aclemens

	* libs/dimg/filters/bw/mixerfilter.cpp: pedantic

2010-02-17 18:51  jwienke

	* digikam/tagfiltersidebarwidget.cpp: missing object name

2010-02-17 17:54  cgilles

	* libs/dimg/filters/auto/equalizefilter.cpp: use integer here

2010-02-17 17:00  mwiesweg

	* libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h: For the time being
	  (until there is a thread-safe tag cache at a low level)
	  we must look after the MetadataHub and notify it when tags are
	  removed.
	  This code was already added for 1.0, got lost during the
	  model/view merge, but
	  we got crash reports for 1.0-beta5, 1.0.0, 1.1.0, and 1.2.0-svn.
	  So I cannot be sure that this fully fixes 214340.
	  
	  CCBUG: 226504
	  CCBUG: 214340

2010-02-17 16:59  mwiesweg

	* digikam/albummanager.cpp, digikam/albummanager.h: Provide
	  information if an album is being moved.
	  In this case, state can be preserved because the object will not
	  be deleted.
	  
	  CCBUG: 226504

2010-02-17 16:25  cgilles

	* NEWS: update

2010-02-17 15:32  cgilles

	* CMakeLists.txt, libs/dimg/filters/bw/tonalityfilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.h: compile

2010-02-17 15:31  cgilles

	* libs/dimg/filters/bw/mixerfilter.cpp,
	  libs/dimg/filters/bw/mixerfilter.h: new chanel mixer filter

2010-02-17 15:12  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp: compile

2010-02-17 14:56  cgilles

	* CMakeLists.txt, digikam/CMakeLists.txt,
	  imageplugins/CMakeLists.txt,
	  libs/dimg/filters/bw/tonalityfilter.cpp,
	  libs/dimg/filters/bw/tonalityfilter.h,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h, showfoto/CMakeLists.txt,
	  themedesigner/CMakeLists.txt: new treaded filter to change
	  Tonality of image

2010-02-17 14:35  cgilles

	* libs/dimg/filters/bw: add

2010-02-17 14:34  cgilles

	* libs/dimg/filters/README: update

2010-02-17 13:54  cgilles

	* NEWS: update

2010-02-17 13:51  cgilles

	* NEWS: update

2010-02-17 13:40  cgilles

	* libs/dimg/filters/icc/iccprofilesettings.cpp: polish

2010-02-17 12:30  cgilles

	* CMakeLists.txt, libs/dimg/filters/icc/iccsettings.cpp,
	  libs/dimg/filters/icc/iccsettings.h,
	  libs/dimg/filters/icc/iccsettingscontainer.cpp,
	  libs/dimg/filters/icc/iccsettingscontainer.h,
	  utilities/imageeditor/canvas/iccsettings.cpp,
	  utilities/imageeditor/canvas/iccsettings.h,
	  utilities/imageeditor/canvas/iccsettingscontainer.cpp,
	  utilities/imageeditor/canvas/iccsettingscontainer.h: factorize
	  common code between BQM and IE at the right place

2010-02-17 11:43  cgilles

	* NEWS: update

2010-02-17 11:41  cgilles

	* CMakeLists.txt,
	  utilities/queuemanager/basetools/color/iccconvert.cpp,
	  utilities/queuemanager/basetools/color/iccconvert.h,
	  utilities/queuemanager/batchtoolsmanager.cpp: new Batch Queue
	  Manager tool to convert images to a specific color space.
	  BUGS: 226932

2010-02-17 10:37  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp: optimize to
	  compute on reduced preview image, as Julien done with BCG, HSL, a
	  RGB tools

2010-02-17 10:34  cgilles

	* CMakeLists.txt,
	  imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/profileconversiontool.h,
	  libs/dimg/filters/icc/iccprofilesettings.cpp,
	  libs/dimg/filters/icc/iccprofilesettings.h: preparing to
	  implement a new Color Space converter for BQM.
	  factoring icc profile convert settings from editor tool to a new
	  widget

2010-02-17 08:39  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp: polish

2010-02-17 08:31  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp: polish

2010-02-17 08:29  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/profileconversiontool.h: implement
	  preview histogram computation

2010-02-17 08:27  cgilles

	* imageplugins/coreplugin/bcgtool.cpp: polish

2010-02-17 08:26  cgilles

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bcgtool.h: polish

2010-02-17 08:19  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp: polish

2010-02-17 08:16  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/profileconversiontool.h: remove extra
	  Digikam namespace

2010-02-17 08:12  cgilles

	* imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/iccprooftool.h: this code is obsolete now

2010-02-17 08:11  cgilles

	* imageplugins/coreplugin/profileconversiontool.cpp,
	  imageplugins/coreplugin/profileconversiontool.h: polish

2010-02-17 07:48  cgilles

	* NEWS: update

2010-02-16 21:46  cgilles

	* NEWS: update

2010-02-16 17:59  mwiesweg

	* utilities/imageeditor/widgets/previewlist.cpp: Never scale a
	  pixmap, it's slooow. Scale the image before conversion.

2010-02-16 17:30  mwiesweg

	* libs/database/schemaupdater.cpp: Hope this works now.
	  
	  CCBUG: 226853

2010-02-16 15:08  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp: Et voilà : Auto
	  color correction tool use a zoomable preview as BCG, HSL, RGB,
	  sharp, NR, etc...

2010-02-16 14:54  cgilles

	* imageplugins/charcoal/charcoal.cpp: compile

2010-02-16 14:54  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.h,
	  utilities/queuemanager/basetools/color/autocorrection.cpp:
	  stretch filter use a reference image now

2010-02-16 14:49  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  utilities/queuemanager/basetools/color/autocorrection.cpp:
	  Equalize use now a reference image

2010-02-16 14:39  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/lenscorrection/vignetting/antivignetting.cpp,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  utilities/queuemanager/basetools/color/autocorrection.cpp:
	  Normalize use now a reference image

2010-02-16 14:15  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autoexpofilter.h,
	  utilities/queuemanager/basetools/color/autocorrection.cpp: auto
	  exposure filter use now a reference image

2010-02-16 14:10  cgilles

	* libs/dimg/filters/auto/equalizefilter.cpp,
	  libs/dimg/filters/auto/equalizefilter.h,
	  libs/dimg/filters/auto/normalizefilter.cpp,
	  libs/dimg/filters/auto/normalizefilter.h,
	  libs/dimg/filters/auto/stretchfilter.cpp,
	  libs/dimg/filters/auto/stretchfilter.h: remove non DImg based
	  constructors

2010-02-16 14:04  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h,
	  libs/dimg/filters/auto/autolevelsfilter.cpp,
	  libs/dimg/filters/auto/autolevelsfilter.h,
	  utilities/queuemanager/basetools/color/autocorrection.cpp:
	  autolevels use now a ref image to compute histogram

2010-02-16 13:35  cgilles

	* libs/dimg/filters/curves/imagecurves.h,
	  libs/widgets/common/curveswidget.cpp: compile

2010-02-16 13:27  cgilles

	* libs/dimg/filters/curves/imagecurves.cpp,
	  libs/dimg/filters/dimgimagefilters.h,
	  libs/dimg/filters/levels/imagelevels.cpp,
	  libs/dimg/filters/levels/levelsfilter.cpp,
	  libs/dimg/filters/levels/levelsfilter.h,
	  libs/dimg/filters/sharp/dimgrefocus.cpp,
	  libs/dimg/filters/sharp/dimgunsharpmask.cpp,
	  libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h: compile

2010-02-16 13:09  cgilles

	* libs/dimg/filters/levels/imagelevels.cpp,
	  libs/dimg/filters/levels/imagelevels.h: polish

2010-02-16 13:00  cgilles

	* libs/dimg/filters/levels/levelsfilter.cpp,
	  libs/dimg/filters/levels/levelsfilter.h: polish

2010-02-16 12:58  pino

	* digikam/globals.h: fix and simplify the CLAMP* and MIN3/MAX3
	  macros:
	  - the CLAMP* ones can perfectly use qBound
	  - MIN3 and MAX3 should also take into account the third value
	  
	  CCMAIL: caulier.gilles@gmail.com

2010-02-16 12:37  cgilles

	* libs/dimg/filters/wb/wbfilter.h: polish

2010-02-16 12:11  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp: polish

2010-02-16 12:10  cgilles

	* digikam/globals.h: polish

2010-02-16 12:09  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h: port autocorrection
	  tool to DimgThreadedFilter

2010-02-16 12:09  cgilles

	* utilities/imageeditor/editor/imageiface.cpp,
	  utilities/imageeditor/editor/imageiface.h: factorize macro to
	  global
	  new method to get preview as DImg

2010-02-16 12:08  cgilles

	* digikam/globals.h: more globals macro here

2010-02-16 10:53  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: polish

2010-02-16 10:49  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: use a QObject to
	  wrap thread.

2010-02-16 09:36  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: polish

2010-02-16 09:34  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: pass parent here

2010-02-16 09:33  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp: polish

2010-02-15 20:05  mwiesweg

	* libs/database/schemaupdater.cpp: For now just add the
	  ImageInformation entry when schema upgrading.
	  
	  A better solution (update or insert) in the Image scanner leads
	  to
	  the SQL "upsert" problem, for which I found no good solution for
	  SQLite.
	  
	  CCBUG: 226853

2010-02-15 15:33  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h: Auto-Color
	  Correction tool :
	  First implementation to render preview thumbs from effect list in
	  separated threads.
	  
	  Marcel,
	  
	  it doesn't work. Computation still done in GUI thread. No QT4
	  error in the console. What's wrong there ?
	  Note:
	  - to take a while and to see progress indicators, i compute
	  preview thumbs using whole image.
	  - Preview list widget is located here :
	  http://websvn.kde.org/trunk/extragear/graphics/digikam/utilities/imageeditor/widgets/previewlist.h?view=log
	  
	  CCMAIL : marcel.wiesweg@gmx.de

2010-02-15 15:27  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp: polish

2010-02-15 14:52  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: polish

2010-02-15 13:39  cgilles

	* CMakeLists.txt: compile

2010-02-15 13:39  cgilles

	* libs/dimg/filters/auto/autoexpofilter.cpp,
	  libs/dimg/filters/auto/autoexpofilter.h,
	  libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h: add auto exposure filter

2010-02-15 12:09  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: polish

2010-02-15 11:01  cgilles

	* NEWS: update

2010-02-15 10:54  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: polish

2010-02-15 10:45  cgilles

	* NEWS: update

2010-02-15 10:35  cgilles

	* utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: class i snow fully
	  implemented

2010-02-15 06:11  cgilles

	* CMakeLists.txt, utilities/imageeditor/widgets/previewlist.cpp,
	  utilities/imageeditor/widgets/previewlist.h: new widget to list
	  preview effect as thumbs. not yet completed

2010-02-15 05:41  cgilles

	* utilities/imageeditor/widgets/previewtoolbar.cpp,
	  utilities/imageeditor/widgets/previewtoolbar.h: polish

2010-02-15 05:39  cgilles

	* NEWS: update

2010-02-14 22:20  mwiesweg

	* digikam/albumtreeview.cpp, digikam/leftsidebarwidgets.cpp: Expand
	  the children of a newly selected current item in left sidebar
	  album and tag tree view.
	  
	  Waiting for protests...
	  (we can revert if we dont like it)
	  
	  CCMAIL: digikam-devel@kde.org

2010-02-14 22:05  mwiesweg

	* digikam/albumtreeview.cpp: Previously, all indexes not marked as
	  expanded were actively collapsed.
	  Now, they are not touched. To restore after a search, we collapse
	  all
	  (a lot may be expanded because of search results) and then
	  selectively expand.

2010-02-14 19:54  jwienke

	* NEWS, digikam/albumtreeview.cpp, digikam/albumtreeview.h,
	  libs/imageproperties/imagedescedittab.cpp: Expand to all checked
	  tags in ImageDescEditTab if they should be shown only.
	  
	  BUG: 226872

2010-02-14 19:11  jwienke

	* digikam/albumiconviewfilter.cpp, digikam/albummanager.cpp,
	  digikam/kdateedit.cpp, digikam/kdateedit.h,
	  digikam/mimefilter.cpp, digikam/mimefilter.h,
	  digikam/tagfiltersidebarwidget.cpp,
	  libs/dimg/loaders/jpegsettings.cpp,
	  libs/greycstoration/greycstorationwidget.cpp,
	  libs/greycstoration/greycstorationwidget.h,
	  libs/imageproperties/imagepropertiesgpstab.cpp,
	  libs/widgets/common/comboboxutilities.cpp,
	  libs/widgets/common/comboboxutilities.h,
	  libs/widgets/common/splashscreen.cpp,
	  libs/widgets/iccprofiles/iccprofilescombobox.cpp,
	  libs/widgets/iccprofiles/iccprofilescombobox.h,
	  utilities/searchwindow/searchfields.cpp,
	  utilities/searchwindow/searchfields.h,
	  utilities/searchwindow/searchutilities.cpp,
	  utilities/searchwindow/searchutilities.h,
	  utilities/setup/setupmime.cpp: Port some Qt classes to their KDE
	  equivalents.

2010-02-14 18:03  jwienke

	* digikam/tagfiltersidebarwidget.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  libs/database/albumdb.cpp, libs/database/collectionmanager.cpp,
	  libs/database/haar/haariface.cpp,
	  libs/database/imagecopyright.cpp,
	  libs/database/imagequerybuilder.cpp,
	  libs/database/schemaupdater.cpp, libs/dimg/filters/cb/cbfilter.h,
	  libs/dimg/filters/hsl/hslfilter.h,
	  libs/dimg/filters/nr/waveletsnr.cpp,
	  libs/dmetadata/dmetadata.cpp, libs/template/altlangstredit.cpp,
	  libs/template/templatemanager.cpp, libs/themeengine/texture.cpp,
	  libs/widgets/iccprofiles/iccprofilescombobox.cpp,
	  libs/widgets/metadata/metadatalistview.cpp,
	  utilities/advancedrename/common/highlighter.cpp,
	  utilities/advancedrename/common/parseobject.cpp,
	  utilities/advancedrename/common/parser.cpp,
	  utilities/advancedrename/common/parseresults.cpp,
	  utilities/advancedrename/parser/options/filepropertiesoption.cpp,
	  utilities/advancedrename/parser/options/metadataoption.cpp,
	  utilities/imageeditor/canvas/iccsettings.cpp,
	  utilities/nepomuk/digikamnepomukservice.cpp,
	  utilities/setup/setupcollectionview.cpp: make krazy happy

2010-02-14 17:21  jwienke

	* digikam/albummanager.h: make doxygen a bit more happy

2010-02-14 17:08  jwienke

	* digikam/albummanager.cpp, digikam/albummanager.h,
	  digikam/albumtreeview.cpp, libs/models/albummodel.cpp: cache
	  count maps in album manager and make them accessible with
	  getters. Use them to bootstrap counting of models.

2010-02-14 17:01  cgilles

	* NEWS: update

2010-02-14 16:51  jnarboux

	* utilities/imageeditor/widgets/imageregionwidget.cpp: polish

2010-02-14 15:34  jwienke

	* libs/models/abstractalbummodel.cpp: Don't emit illegal
	  dataChanged signals.

2010-02-14 15:18  mwiesweg

	* digikam/albumtreeview.cpp, digikam/albumtreeview.h: restoreState
	  was called very often. The problem is that queued signals
	  will be delivered when sent even if the connection is removed.
	  When the connection is removed from the slot of the queued
	  signal, and
	  albums are added in one event loop run, then signals will be
	  received for each
	  album even though the connection is removed after the first one.
	  
	  Now, the restoring code is modified to work in the rowsInserted()
	  code directly
	  and not for the full hierarchy each time. Expansion only works
	  when children
	  are available, so parents will get restored a second time.

2010-02-14 15:18  mwiesweg

	* digikam/albumtreeview.cpp, digikam/albumtreeview.h: Add property
	  that selecting an item as the new current item expand the
	  hierarchy.
	  This is a subset of expandOnSingleClick.

2010-02-14 15:15  jwienke

	* digikam/albumtreeview.cpp: Always expand root album when
	  restoring a tree view state. Everything else might look really
	  confusing for the user.
	  
	  Julien, can you try this again?
	  
	  CCBUGS: 226363

2010-02-14 15:04  jnarboux

	* utilities/imageeditor/widgets/imageregionwidget.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.h: Factorize

2010-02-14 14:52  jwienke

	* libs/imageproperties/imagedescedittab.cpp: Qt 4.6 seems to handle
	  tristate differently in tree views. Don't allow the user to
	  create a partially checked tag.

2010-02-14 14:48  jwienke

	* libs/imageproperties/imagedescedittab.cpp: whoops, reenable root
	  tag

2010-02-14 14:30  jwienke

	* digikam/albumdragdrop.cpp, digikam/albummanager.cpp,
	  digikam/albumtreeview.cpp,
	  libs/imageproperties/imagedescedittab.cpp,
	  libs/models/abstractalbummodel.cpp,
	  libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/common/searchtextbar.cpp,
	  libs/widgets/common/statesavingobject.cpp,
	  tests/albummodeltest.cpp, tests/albummodeltest.h: * tried again
	  to "fix" the search text bar synchronization problem
	  * removed some debug ouptut and comments
	  * removed some obsolete TODOs
	  * more testing for the album model

2010-02-14 13:21  jmueller

	* digikam/albumsettings.cpp, digikam/digikamapp.cpp,
	  libs/database/schemaupdater.cpp, libs/dialogs/imagedialog.cpp,
	  libs/dialogs/infodlg.cpp, libs/dialogs/libsinfodlg.cpp,
	  libs/dialogs/rawcameradlg.cpp, libs/dimg/dimg.cpp,
	  libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h,
	  libs/imageproperties/imagepropertiessidebar.cpp,
	  libs/widgets/common/thumbbar.cpp,
	  libs/widgets/common/thumbbartooltip.cpp, showfoto/showfoto.cpp,
	  utilities/cameragui/cameraui.cpp,
	  utilities/lighttable/lighttablewindow.cpp,
	  utilities/queuemanager/queuemgrwindow.cpp,
	  utilities/setup/setupdcraw.cpp: code cleanpup, remove unsupported
	  kdcraw versions

2010-02-14 09:35  jnarboux

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/cbtool.cpp,
	  imageplugins/coreplugin/hsltool.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.cpp,
	  utilities/imageeditor/widgets/imageregionwidget.h: Add an option
	  to compute preview for some filters only at screen resolution.
	  Default is false.
	  Use true for Hue-Saturation-Lightness, Brightness-Contrast-Gamma,
	  and White-Balance tools.

2010-02-13 18:24  cgilles

	* utilities/imageeditor/widgets/previewtoolbar.h: polish

2010-02-13 15:38  mwiesweg

	* NEWS, libs/threadimageio/thumbnailcreator.cpp: Disable cheat
	  scaling for thumbnails because of demonstrated quality
	  regressions.
	  
	  BUG: 224999

2010-02-13 13:57  mwiesweg

	* NEWS, libs/widgets/common/dcategorizedview.cpp: Use model's
	  mimeData() which is forwarded through the proxy models to the
	  source model.
	  The drag-drop handler expects indexes from the source model. We
	  fed indexes from
	  the proxy model. The ImageModel does not crash there, but gives
	  out the
	  images it has at the given position.
	  
	  BUG: 226381

2010-02-13 12:37  yurchor

	* digikam/albummanager.cpp: typo: space after the period

2010-02-13 12:36  yurchor

	* imageplugins/lenscorrection/vignetting/antivignettingtool.cpp:
	  typo: add->adds+space after the period

2010-02-13 07:59  cgilles

	* libs/dimg/filters/wb/wbfilter.cpp: polish

2010-02-12 23:19  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  utilities/queuemanager/basetools/color/autocorrection.cpp: port
	  to WBFilter

2010-02-12 23:09  cgilles

	* libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h: polish

2010-02-12 23:03  cgilles

	* CMakeLists.txt, libs/dimg/filters/wb/wbfilter.cpp,
	  libs/dimg/filters/wb/wbfilter.h: new multithreaded WB filter

2010-02-12 22:48  mwiesweg

	* NEWS, digikam/digikamview.cpp: This signal is responsible for
	  resetting the right side bar at startup.
	  It's a timer, so it was not reproducable everytime.
	  
	  BUG: 225827

2010-02-12 22:13  mwiesweg

	* libs/models/abstractalbummodel.cpp: Perhaps the check state is
	  touched again after albumCleared() is called, from
	  rowsAboutToBeRemoved? Move the albumCleared() call behind
	  beginRemoveRows().
	  
	  CCBUG: 226586

2010-02-12 22:13  mwiesweg

	* libs/models/abstractalbummodel.cpp: Remove the check box from
	  root item if root is not checkable.
	  QStyledItemDelegate does this:
	  QVariant value = index.data(Qt::CheckStateRole);
	  if (value.isValid() && !value.isNull()) {
	  v4->features |= QStyleOptionViewItemV2::HasCheckIndicator;
	  so we need to return a null QVariant for the CheckStateRole
	  
	  CCBUG: 226515

2010-02-12 21:07  mwiesweg

	* NEWS, digikam/albumtreeview.cpp: Auto-expand trees for external
	  drags as well.
	  When hovering a drag, items were auto-expanded only when dragging
	  from within
	  the view. We need to set the DraggingState in dragEnterEvent when
	  we accept the event.
	  QAbstractItemView does this, but we reimplement.
	  
	  BUG: 226537

2010-02-12 21:07  mwiesweg

	* CMakeLists.txt, digikam/albumwidgetstack.cpp,
	  digikam/albumwidgetstack.h, digikam/digikamview.cpp: In the
	  preview view, replace the old ThumbBar by the new QListView-based
	  one.
	  Please report any regressions.

2010-02-12 21:07  mwiesweg

	* digikam/imagethumbnailbar.cpp, digikam/imagethumbnailbar.h:
	  ImageThumbnailBar is a model/view based thumbbar for the preview
	  view.
	  It is not a drop-in replacement for the old ThumbBarView
	  because currently it is restricted to ImageInfo-based models.
